<%@ Control Language="C#" AutoEventWireup="true" Inherits="quote_FtpSearchObject"
    CodeBehind="FtpSearchObject.ascx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc1" %>
<link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
<script type="text/javascript">
    function EmptyErrorMsgSearch() {

        document.getElementById('<%=lbError.ClientID%>').innerHTML = '';
    }
    function hideToast() {
        $('#PageContent_toast').css('display', 'none');
        return false;
    }
</script>
<asp:UpdatePanel ID="UpdatePanelRecords" runat="server" UpdateMode="Conditional">
    <contenttemplate>
                   <!-- client side toaster-->
         <div  class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align--absolute-center">
<div id="toastSearchObject" runat="server" class="slds-scrollable" style="display: none;">
    <div class="demo-only">
        <div class="slds-notify_container slds-is-relative">
            <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                <span class="slds-assistive-text">error</span>
                <div class="slds-notify__content">
                    <h2 class="slds-text-body_regular ">
                         <asp:Label ID="lbError" runat="server" CssClass="slds-text-body--regular" SkinID="Error"></asp:Label>
                    </h2>
                </div>
            </div>
        </div>
    </div>
</div>
             </div>
          <div class="slds-grid slds-wrap slds-p-top_small">
               <div  class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                   <div class="slds-form-element">
                       <span class="slds-text-body_regular">
                        <asp:Label ID="lblSearchAll" runat="server" Text="Search All" CssClass="slds-form-element__label"></asp:Label>
                       </span>
                       <div class="slds-form-element__control">
                                <asp:DropDownList ID="cmbObjects" runat="server" Font-Bold="False"  CssClass="slds-select slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                </asp:DropDownList>
                       </div>
                   </div>
               </div>
               <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                   <div class="slds-form-element">
                       <span class="slds-text-body_regular">
                              <asp:Label ID="lblKey" runat="server" Text="Keyword" CssClass="slds-form-element__label"></asp:Label>
                      </span>
                       <div class="slds-form-element__control">
                         <asp:TextBox ID="txtSearchObject" runat="server"  CssClass="slds-input slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1"></asp:TextBox>
                       </div>
                   </div>
               </div>
            </div>
          <div class="slds-grid slds-wrap slds-p-top_small">
               <div runat="server" id="Div1"  class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                   <div class="slds-form-element">
                        <div class="slds-form-element__control slds-p-top_small">
                       <asp:Button ID="btnSearchNew" runat="server" Text="Search"  OnClick="btnSearch_Click" class="slds-button slds-button_neutral"></asp:Button>
                             </div>
                   </div>
               </div>
                <asp:UpdateProgress ID="UpdateProgress1" runat="server" DynamicLayout="False">
                    <ProgressTemplate>
                        <%--<img alt="Processing..." src="../App_Themes/Default/images/progressbar-small.gif" />--%>
                            <div class="demo-only">
                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                <span class="slds-assistive-text">Loading</span>
                                <div class="slds-spinner__dot-a"></div>
                                <div class="slds-spinner__dot-b"></div>
                            </div>
                        </div>
                    </ProgressTemplate>
                    </asp:UpdateProgress>
            </div>
          <div class="slds-grid slds-wrap slds-p-top_small">
            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1"> 
                 <asp:GridView ID="grdSearchObjects" runat="server" Width="100%" GridLines="Vertical"
                        EmptyDataText="No records found matching specified criteria" OnRowCreated="grdSearchObjects_RowCreated"
                        OnDataBinding="grdSearchObjects_DataBinding" cellpadding="0" cellspacing="0" border="0" AlternatingRowStyle-BackColor="White"  CssClass="slds-table slds-table_cell-buffer slds-table_bordered slds-no-row-hover slds-text-body_regular">
                        <Columns>
                            <asp:TemplateField>
                                <ItemTemplate>
                                    <a href="javascript:OnSearchObject('<%#Eval("Id")%>');">
                                        <%#((string)Eval(m_strName) != "") ? Eval(m_strName) : Eval("Id") %></a>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                        <RowStyle Wrap="False" />
                    </asp:GridView>
                    <asp:HiddenField ID="hdnObjectType" runat="server" />
                    <asp:HiddenField ID="hdID" runat="server" />
            </div>
        </div>
    </contenttemplate>
</asp:UpdatePanel>
