﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GenerateLicense.ascx.cs" Inherits="GenerateLicense" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc3" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<script type="text/javascript">
    function GenerateLicenseFileCheck() {
        if (Page_ClientValidate()) {
            OnBodyLoad();
            //var baseFile = $.base64.encode(fileObject);
            //window.localStorage.setItem("file",basefile);
            document.getElementById('progressBar').style.display = 'block';
        }
    }
    function CloseDialog() {
        $("#divGenerateLicense").dialog('close');
    }
    var service = new enzigma.sforce.webapp.webservices.InternalFTPAttachmentsService();
    function UpdateProgress(result, eventArgs)
    {
        if( result.HasCompleted || result.HasError || result.IsCached ){
            window.clearInterval(intervalProgress);
        }
        if( <%=progressBar.ClientID%>_obj )
            <%=progressBar.ClientID%>_obj.UpdateProgress(result.Progress, result.ProgressStatus);
    }
    function OnError(error)
    {
        var lbError = document.getElementById('<%=lbError.ClientID%>');
        lbError.innerHTML = error.get_message();
    }
	
    function RetreiveProgress()
    {
        service.DownloadProgress('<%=hdnDownloadID.Value%>', UpdateProgress, OnError);
        console.log( service.DownloadProgress('<%=hdnDownloadID.Value%>', UpdateProgress, OnError));
    }
    var intervalProgress = false;
    function OnBodyLoad()
    {
        var iInterval = 100 * <%=Global.ProgressIndicatorInterval%>;
        if( iInterval <= 0 )
            iInterval = 2000;
        intervalProgress = window.setInterval('RetreiveProgress()', 100);
    }
	
    function ClearAllIntervals()
    {
        window.clearInterval(intervalProgress);
        lbError.innerHTML = "";
    }

    function clearMsg(){
        document.getElementById('<%= lbError.ClientID %>').innerHTML = "";
        document.getElementById('<%= UploadButton.ClientID %>').click();
    }
    RegisterWindowEventHandler('unload', ClearAllIntervals);
</script>

<asp:Panel ID="PanemGenerateLicense" runat="server">
    <script language="javascript" type="text/javascript" src="../scripts/common.js"></script>
    <input type="hidden" id="Hidden1" runat="server" />
    <table cellpadding="0" cellspacing="0">
        <tr>
            <td align="Center" colspan="5" valign="middle">
                <asp:Label ID="lbError" runat="server" ForeColor="Red"></asp:Label>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator" ValidationExpression="([a-zA-Z0-9\s_\\.\-:])+(.dat)$"
                    ControlToValidate="fileUpload" runat="server" ForeColor="Red" ErrorMessage="Please select a valid file(.dat)."
                    Display="Dynamic" />
            </td>
        </tr>
        <tr runat="server" id="displayLicenseData">
            <td colspan="5" valign="middle">
                <asp:Label ID="lblPresentSettingTxt" runat="server" Style="color: #104E8B"><b>Current Settings:</b></asp:Label>
                <asp:Label ID="lblServerType" runat="server"><b> Server Type: </b></asp:Label>
                <asp:Label ID="txtServerType" runat="server"></asp:Label>,
                <asp:Label ID="lblServerName" runat="server"><b> Server Name:</b></asp:Label>
                <asp:Label ID="txtServerName" runat="server"></asp:Label>,
                <asp:Label ID="lblMaxFileSize" runat="server"><b> Max File Size:</b></asp:Label>
                <asp:Label ID="txtMaxFileSize" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="Center" colspan="5" style="width: 400px; height: 25px" valign="middle"></td>
        </tr>
        <tr runat="server" id="displayVersionNumber">

            <td>
                <asp:Label ID="lblVersionNumber" runat="server" Style="color: #104E8B"><b>Select Version No:</b></asp:Label>

                <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.BuildVersion"></cc2:Help>

                <asp:DropDownList ID="buildVersionNo" runat="server">
                    <asp:ListItem Selected="True" Value="1.0">none</asp:ListItem>
                    <asp:ListItem Value="2.2"></asp:ListItem>
                    <asp:ListItem Value="2.3"></asp:ListItem>
                    <asp:ListItem Value="3.0"></asp:ListItem>
                    <asp:ListItem Value="3.3"></asp:ListItem>
                    <asp:ListItem Value="4.0"></asp:ListItem>
                    <asp:ListItem Value="4.1"></asp:ListItem>
                    <asp:ListItem Value="4.2"></asp:ListItem>
                    <asp:ListItem Value="4.3"></asp:ListItem>
                    <asp:ListItem Value="4.4"></asp:ListItem>
                    <asp:ListItem Value="4.5"></asp:ListItem>
                    <asp:ListItem Value="4.6"></asp:ListItem>
                    <asp:ListItem Value="4.7"></asp:ListItem>
                    <asp:ListItem Value="4.8"></asp:ListItem>
                    <asp:ListItem Value="4.10"></asp:ListItem>
                    <asp:ListItem Value="4.11"></asp:ListItem>
                    <asp:ListItem Value="4.12"></asp:ListItem>
                    <asp:ListItem Value="4.13"></asp:ListItem>
                    <asp:ListItem Value="4.14"></asp:ListItem>
                    <asp:ListItem Value="4.15"></asp:ListItem>
                </asp:DropDownList>
            </td>


        </tr>
        <tr>
            <td align="Center" colspan="5" style="width: 400px; height: 25px" valign="middle"></td>
        </tr>
        <tr runat="server" id="processLicenseData">
            <td colspan="2" align="right" valign="middle">
                <asp:Label ID="lbUploadLicense" runat="server" CssClass="Label" Text="Upload File:"></asp:Label>
            </td>
            <td align="right" valign="top">
                <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.UploadLicense"></cc2:Help>
            </td>
            <td style="height: 22px">
                <asp:FileUpload ID="fileUpload" runat="server" CssClass="FileUpload" size="45" meta:resourcekey="fileUploadResource1" onchange="clearMsg()" />
                <asp:Button runat="server" ID="UploadButton" Text="" Style="display: none;" OnClick="UploadFileChk_Click" />
            </td>
            <td align="left" valign="top">
                <img id="imgProgress" alt="Processing..." src="App_Themes/Default/images/progressbar-small.gif" style="display: none;" /></td>
        </tr>
        <tr>
            <%--  <td align="center" valign="top" colspan="3"></td>--%>
            <td id="progressBar" align="middle" colspan="2" style="padding: 15px 0px 30px 0px; display: none" valign="middle">
                <cc1:ProgressBar ID="progressBar" CssClass="ProgressBar" runat="server"
                    DefaultVisible="true"
                    ProgressBarClass="ProgressBarValue" ProgressBarStatusClass="ProgressBarStatus"
                    ProgressBarTextClass="ProgressBarText" StatusLabelText="<%$Resources:ProgressStatus, StatusLabelText %>"
                    ValueLabelText="<%$Resources:ProgressStatus, ValueLabelText %>" TextLabel="<%$Resources:ProgressStatus, TextLabel %>" />
                <asp:HiddenField ID="hdnDownloadID" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="Center" colspan="5" style="width: 400px; height: 25px" valign="middle"></td>
        </tr>
        <tr align="center" runat="server" id="btnGenerateLicense">
            <td colspan="5">
                <table cellpadding="0" cellspacing="0" border="0">
                    <tr>

                        <td>
                            <cc1:ImageButton ID="btnGenerateLicenseFile" runat="server" SkinID="DefaultButton" Text="Generate License" OnClick="btnGenerateLicenseFile_Click" CausesValidation="False" OnClientClick="GenerateLicenseFileCheck(event);"></cc1:ImageButton>

                        </td>
                        <td>
                            <cc1:ImageButton ID="btnCancel" runat="server" SkinID="DefaultButton" Text="Cancel" CausesValidation="False" OnClick="btnCancel_Click"></cc1:ImageButton>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Panel>



<%--<td  > 
                    <table width="800" style="border-style:double" >
                        <tr>
                            <td><asp:Label ID="lblPresentSettingTxt" runat="server"  style="color:#104E8B"><b>Current Settings:</b></asp:Label>
                                </td>
                         </tr>
                     <tr>
                        <td><asp:Label ID="lblServerType" runat="server"><b> Server Type: </b></asp:Label></td>
                        <td><asp:Label ID="txtServerType" runat="server"></asp:Label></td>
                     </tr>
                     <tr>
                        <td><asp:Label ID="lblServerName" runat="server" ><b> Server Name:</b></asp:Label></td>
                        <td><asp:Label ID="txtServerName" runat="server"></asp:Label></td>
                     </tr>
                     <tr>
                        <td><asp:Label ID="lblMaxFileSize" runat="server" ><b> Max File Size:</b></asp:Label></td>
                        <td><asp:Label ID="txtMaxFileSize" runat="server"></asp:Label>  </td>
                     </tr>
                    </table>
                   </td>--%>
           
  
