<%@ Page Language="C#" AutoEventWireup="true" Inherits="EvaluatePage" MasterPageFile="~/OtherMaster.master" CodeBehind="Evaluate.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<%@ Register Src="../controls/Signup.ascx" TagName="Signup" TagPrefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanelEvaluate" runat="server">
        <ContentTemplate>
            <script src="../scripts/jquery-3.6.0.min.js"></script>
            <script type="text/javascript">
                $(document).ready(function () {
                    $('link[href="../App_Themes/Default/common.css"]').remove();
                    $("#PageContent_Signup_detailViewCustomer_lbUserName,#PageContent_Signup_detailViewCustomer_lbEmailHelp,#PageContent_Signup_detailViewCustomer_lbName,#PageContent_Signup_detailViewCustomer_lbCompany,#PageContent_Signup_detailViewCustomer_lbAddress,#PageContent_Signup_detailViewCustomer_lbAddress2,#PageContent_Signup_detailViewCustomer_lbCity,#PageContent_Signup_detailViewCustomer_lbZip,#PageContent_Signup_detailViewCustomer_lbState,#PageContent_Signup_detailViewCustomer_lbCountry,#PageContent_Signup_detailViewCustomer_lbLogo,#PageContent_Signup_detailViewCustomer_lbPhone").css("font-weight", "normal");
                    vpw = $(window).width();
                    vph = $(window).height();
                    $('#bodyHeight1').css({ 'height': vph + 'px' });
                });
            </script>

            <div>
                <div class="slds-grid slds-wrap slds-p-around--small slds-large-size--1-of-1 slds-small-size--1-of-1">
                    <div class="slds-col slds-card">
                        <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
                            <div class="slds-grid">
                                <div class="slds-has-flexi-truncate">
                                    <div class="slds-media slds-no-space slds-grow">
                                        <div class="slds-media__figure">
                                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Evaluate Applications">
                                                <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                                    <use xlink:href="../css/vendor/slds/assets/icons/custom-sprite/svg/symbols.svg#custom18"></use>
                                                </svg>
                                            </span>
                                        </div>
                                        <div runat="server" id="tdTitle" class="slds-media__body">
                                            <nav>
                                                <ol class="slds-breadcrumb slds-line-height_reset">
                                                    <ul class="slds-breadcrumb__item">
                                                        <span>Evaluate <%=Product.Name%></span>
                                                    </ul>
                                                </ol>
                                            </nav>
                                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Evaluate</h1>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                                </div>
                            </div>
                            <div class="slds-grid slds-page-header__detail-row">
                                <div class="slds-grid slds-wrap slds-p-around--small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:Label ID="Label8" runat="server" Text="Evaluate FTP Attachments products" meta:resourcekey="Label2Resource1"></asp:Label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="">
                    <%--  <div class="slds-col slds-card">
                    <div class="slds-box slds-m-around--small">
                        <div class="slds-card__header slds-grid" style="padding: 0;">
                            <header class="slds-media slds-media_center slds-has-flexi-truncate">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-account" title="account">
                                        <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                            <use xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#update_status"></use>
                                        </svg>
                                        <span class="slds-assistive-text">Evaluate</span>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <h2 class="slds-text-heading--small">
                                        <span class="slds-text-heading_small slds-text-color--default"><b>Evaluate</b></span>
                                    </h2>
                                </div>
                            </header>
                        </div>--%>
                    <div class="">
                        <div>
                            <asp:Label ID="lbError" runat="server" __designer:wfdid="w14" SkinID="Error"></asp:Label></td>
                        </div>
                        <%-- <div class="slds-p-around--xx-small slds-text-align--left">
                                <uc1:Signup ID="Signup" runat="server" __designer:wfdid="w12"></uc1:Signup>
                            </div>--%>

                        <div class="slds-grid slds-wrap slds-m-bottom--large" style="width: 98%">
                            <div class="slds-box slds-p-top--small slds-m-left--small slds-text-color--default slds-text-body_regular background-body-color--default slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                
                                    <header class="slds-media slds-media_center slds-has-flexi-truncate slds-small-size--1-of-1 slds-p-bottom--x-small">
                                        <%--<div class="slds-media__figure">
                                                    <span class="slds-icon_container slds-icon-standard-custom" title="Delete">
                                                        <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                                            <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#delete"></use>
                                                        </svg>
                                                        <span class="slds-assistive-text">Signup</span>
                                                    </span>
                                                </div>--%>
                                        <div class="slds-media__body">
                                            <h2 class="slds-text-heading--small">
                                                <span class="slds-text-heading_small slds-text-color--default"><b>Signup to Enzigma</b></span>
                                            </h2>
                                        </div>
                                    </header>
                               

                                <div class="slds-p-top--small slds-large-size--1-of-1 slds-small-size--1-of-1">
                                    <uc1:Signup ID="Signup" runat="server" __designer:wfdid="w12"></uc1:Signup>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <asp:UpdatePanel ID="UpdatePanelSignupSuccess" runat="server" __designer:wfdid="w10" Visible="False">
                <ContentTemplate>
                    <div class="slds-grid slds-wrap slds-p-top--small slds-m-bottom--medium slds-m-horizontal--small">
                        <div class="slds-text-body--regular slds-text-color--default slds-large-size--1-of-1">
                            <div class="slds-col slds-card">
                                <div class="slds-box slds-m-around--small">
                                    <div class="slds-card__header slds-grid" style="padding: 0">
                                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                                            <div class="slds-media__figure">
                                                <span class="slds-icon_container slds-icon-standard-address" title="account">
                                                    <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                                        <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success"></use>
                                                    </svg>
                                                    <span class="slds-assistive-text">Signup Successful</span>
                                                </span>
                                            </div>
                                            <div class="slds-media__body">
                                                <h2 class="slds-text-heading--small">
                                                    <span class="slds-text-heading_small slds-text-color--default"><b>Signup Successful</b></span>
                                                </h2>
                                            </div>
                                        </header>
                                    </div>
                                    <div class="slds-card__body slds-card__body_inner">
                                        You have signed up successfully, an email containing password has been sent to your email address specified in the signup process. Now you will be take to next step of subscribing an application.
                                        <div class="slds-p-around--small">
                                            <%--<cc1:ImageButton ID="btnNext" runat="server" OnClick="btnNext_Click" SkinID="DefaultButton" Text="Next"></cc1:ImageButton>--%>
                                            <asp:Button ID="btnNext1" runat="server" OnClick="btnNext_Click" Text="Next" CssClass="slds-button slds-button_outline-brand slds-float--right" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <%--<table style="left: 4px; width: 260px; position: relative; top: -476px" cellspacing="0" cellpadding="0">
                        <tbody>
                            <tr class="MessageHeader">
                                <td>Signup Successful</td>
                            </tr>
                            <tr class="MessageText">
                                <td>You have signed up successfully, an email containing password has been sent to your email address specified in the signup process. Now you will be take to next step of subscribing an application.</td>
                            </tr>
                            <tr class="MessageText">
                                <td>
                                    <cc1:ImageButton ID="btnNext" runat="server" OnClick="btnNext_Click" SkinID="DefaultButton" Text="Next"></cc1:ImageButton>
                                </td>
                            </tr>
                        </tbody>
                    </table>--%>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:HiddenField ID="hdnProductCode" runat="server" __designer:wfdid="w13"></asp:HiddenField>

        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
