﻿<%@ Page Title="Audit Settings" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeBehind="AuditInformation.aspx.cs" Inherits="AuditInformation" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/application_css/custom_2018.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {

            $('link[href="../../App_Themes/Default/common.css"]').remove();

        });
        function OnToggle(strLink, strDiv, strText) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                linkToggle.innerHTML = strText + '&gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                linkToggle.innerHTML = strText + '&lt;&lt;';
            }
        }
        <%--  function RemoveCss()
        {
            var detailsview = document.getElementById('<%= detailsviewAuditSettings.ClientID %>');
            alert(detailsview);
            var TrTag = detailsview.getElementsByTagName("TR");
            alert(TrTag);
            for (var i = 0; i < TrTag.length; i++)
            {
                TrTag[i].style.removeProperty('background-color');
            }     
        }
        window.onload = RemoveCss;--%>
    </script>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div class="slds-p-around_small">
                <div class="slds-page-header">
                    <div class="slds-grid">
                        <div class="slds-col slds-has-flexi-truncate">
                            <div class="slds-media slds-no-space slds-grow">
                                <div class="slds-media__figure">
                                    <span class="slds-icon_container slds-icon-standard-opportunity" title="Audit Setting">
                                        <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                    </span>
                                </div>
                                <div class="slds-media__body">
                                    <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Settings</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                    <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Audit Settings</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slds-grid slds-page-header__detail-row">
                        <div class="slds-grid slds-wrap slds-p-top_xx-small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-text-body_regular">Access Log information on FTP Attachments record can be enabled or disabled using Audit Settings.</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-horizontal_small slds-p-bottom_xx-large">
                <div class="slds-card">
                    <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                        <div class="slds-box">
                            <div class="slds-card" style="position: inherit;">
                                <div class=" slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">

                                    <div class="slds-media__body slds-p-bottom--small">
                                        <h2 class="slds-card__header-title">
                                            <span class="slds-text-heading_small"><b>Audit Settings</b></span>
                                        </h2>
                                    </div>
                                </div>
                                <div class="slds-scrollable" id="successbox" runat="server" visible="false">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme--success" role="alert">
                                                <span class="slds-icon_container slds-icon-utility-error slds-m-right_small slds-no-flex slds-align-top">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                            </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                    <h2 class="slds-text-body_regular">
                                                        <asp:Label ID="lbError" runat="server"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose1">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                            </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-p-top_medium slds-col slds-small-size_1-of-1 background-body-color--default">
                                    <asp:DetailsView ID="detailsviewAuditSettings" runat="server" AutoGenerateRows="False" OnItemUpdating="detailsviewAuditSettings_ItemUpdating"
                                        DataSourceID="odsAuditSettings" BorderStyle="None" GridLines="None">
                                        <Fields>
                                            <asp:TemplateField HeaderText="Additional Characters Allowed:" SortExpression="Characters">
                                                <EditItemTemplate>
                                                    <asp:CheckBox ID="ChkBoxAudit" Checked='<%# Bind("AuditEnable") %>' runat="server" />
                                                </EditItemTemplate>
                                                <InsertItemTemplate>
                                                    <asp:CheckBox ID="ChkBoxAudit" Checked='<%# Bind("AuditEnable") %>' runat="server" />
                                                </InsertItemTemplate>
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="ChkBoxAudit" runat="server" Checked='<%# Bind("AuditEnable") %>' Enabled="false" />
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Right" />
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblCharHeader" runat="server" Text="Audit Information" Font-Bold="false" CssClass="slds-form-element__label" />
                                                    <cc2:Help ID="helpAuditInfo" runat="server" HelpMessageID="Resources.Help.AuditInfo"></cc2:Help>
                                                </HeaderTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_small" ItemStyle-Font-Bold="false">
                                                <EditItemTemplate>
                                                    <div class="slds-p-vertical_small slds-grid slds-wrap">
                                                        <div>
                                                            <asp:Button ID="btnUpdate" runat="server" CommandName="Update" SkinID="DefaultButton" Text="Update" CssClass="slds-button slds-button_brand" Font-Bold="false" />&nbsp;
                                                    <asp:Button ID="btnCancel" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" CssClass="slds-button slds-button_neutral" Font-Bold="false" /><br />

                                                        </div>
                                                        <div class="slds-col slds-small-size_1-of-12">
                                                            <asp:UpdateProgress ID="UpdatePanelSetting" runat="server" >
                                                                <ProgressTemplate>
                                                                    <div class="slds-spinner_container">
                                                                        <div class="demo-only">
                                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                <span class="slds-assistive-text">Loading</span>
                                                                                <div class="slds-spinner__dot-a"></div>
                                                                                <div class="slds-spinner__dot-b"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </ProgressTemplate>
                                                            </asp:UpdateProgress>
                                                        </div>
                                                    </div>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <div>
                                                        <asp:Button ID="btnEdit" runat="server" CausesValidation="False" CommandName="Edit" SkinID="DefaultButton" Text="Edit" CssClass="slds-button slds-button_neutral" />
                                                    </div>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Right" />
                                            </asp:TemplateField>
                                        </Fields>
                                        <FieldHeaderStyle Width="250px" />
                                        <HeaderStyle Width="200px" />
                                    </asp:DetailsView>
                                </div>
                                <div class="slds-col slds-size_1-of-1  slds-large-size_1-of-1">
                                    <%-- <asp:Label ID="lbError"  runat="server" CssClass="slds-text-color_success"></asp:Label>--%>
                                    <asp:HiddenField ID="hdnID" runat="server" />
                                    <asp:ObjectDataSource ID="odsAuditSettings" runat="server" SelectMethod="GetSettingsbyID"
                                        TypeName="enzigma.sforce.webapp.code.business.AuditSettings">
                                        <SelectParameters>
                                            <asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
                                        </SelectParameters>
                                    </asp:ObjectDataSource>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>

