<%--<%@ Page Language="C#" MasterPageFile="~/ftp/settings/ProSettings.master" AutoEventWireup="true" CodeBehind="SearchLayoutSettings.aspx.cs" Inherits="settings_SearchLayoutSettings" Title="Search Layout Settings" %>--%>

<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" Inherits="settings_MigratorSettings" Title="Migrator Settings" CodeBehind="MigratorSettings.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Src="../../controls/MergeFieldHelper.ascx" TagName="MergeFieldHelper"
    TagPrefix="uc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Src="../../controls/DisplayHelp.ascx" TagName="DisplayHelp" TagPrefix="uc4" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">
    <script type="text/javascript" language="javascript">

        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            document.getElementById('<%=toast.ClientID%>').value = "";
            return false;
        }
        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });
    </script>


    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Migrator">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../../css/vendor/slds/assets/icons/custom-sprite/svg/symbols.svg#custom16" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Migrator</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Migrator Settings</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            This Salesforce migrator settings will be used to store the number of attachments you want to migrate in one batch for the selected object.
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default">
                                        <b>Migrator Settings</b></span>
                                </h2>
                            </div>

                        </div>

                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                    <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                        <div class="demo-only">
                                            <div class="slds-notify_container slds-is-relative">
                                                <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                    <span class="slds-assistive-text">Error</span>
                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                                    </span>
                                                    <div class="slds-notify__content">
                                                        <asp:Label ID="lbError" runat="server" CssClass="slds-text-body_regular"></asp:Label>
                                                    </div>
                                                    <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                        <span class="slds-assistive-text">Close</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>



                                <div class="slds-grid slds-wrap slds-p-top_small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="lbObject" CssClass="slds-form-element__label" runat="server" Text="Select Object"></asp:Label>
                                                <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.MigratorObject"></cc2:Help>
                                            </span>
                                            <div class="slds-form-element__control">

                                                <asp:DropDownList ID="cmbObjects" runat="server" Font-Bold="False" CssClass="slds-select" AutoPostBack="True" OnSelectedIndexChanged="cmbObjects_SelectedIndexChanged">
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="lbComment" CssClass="slds-form-element__label" runat="server" Text="Comment"></asp:Label>
                                                <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.MigratorComment"></cc2:Help>
                                            </span>
                                            <div class="slds-form-element__control">
                                                <asp:TextBox ID="edComment" runat="server" TextMode="MultiLine" CssClass="slds-textarea"></asp:TextBox>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="slds-grid slds-wrap slds-p-top_small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="Label2" CssClass="Label" runat="server" Text="Add Field To Folder:"></asp:Label>
                                                <cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.MigratorFolderMergeField"></cc2:Help>
                                            </span>
                                            <div class="slds-form-element__control">
                                                <uc1:MergeFieldHelper ID="mergeFieldHelper" runat="server" />
                                            </div>
                                        </div>
                                    </div>


                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="lbFolder" CssClass="Label" runat="server" Text="Storage Folder"></asp:Label>
                                                <cc2:Help ID="Help4" runat="server" HelpMessageID="Resources.Help.DefaultFolder"></cc2:Help>
                                            </span>
                                            <div class="slds-form-element__control">
                                                <asp:TextBox ID="edFolder" runat="server" TextMode="MultiLine" CssClass="slds-textarea"></asp:TextBox>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="slds-grid slds-wrap slds-p-top_small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="Label1" CssClass="Label" runat="server" Text="Limit"></asp:Label></td>
                                                 <cc2:Help ID="Help5" runat="server" HelpMessageID="Resources.Help.MigratorLimit"></cc2:Help>
                                            </span>
                                            <div class="slds-form-element__control">


                                                <asp:TextBox ID="edLimit" runat="server" CssClass="slds-input"></asp:TextBox>
                                                <asp:RegularExpressionValidator
                                                    ID="reqLimit" runat="server" ControlToValidate="edLimit" Display="Dynamic" ErrorMessage="Please enter a valid number greather than 0"
                                                    ValidationExpression="^[0-9]+$" CssClass="slds-text-color--error" ></asp:RegularExpressionValidator>
                                                <asp:CompareValidator ID="compareLimitPurchased" runat="server" ControlToValidate="edLimit"
                                                    Display="Dynamic" ErrorMessage="Maximum 1000 records can be processed in one go."
                                                    Operator="LessThanEqual" Type="Integer" ValueToCompare="1000"  CssClass="slds-text-color--error"></asp:CompareValidator>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular"></span>
                                            <div class="slds-form-element__control slds-m-top_x-large">
                                                <asp:Button ID="btnUpdate" runat="server" Text="Update" OnClick="btnUpdate_Click" SkinID="DefaultButton" CssClass="slds-button slds-button--brand" />
                                            </div>

                                            
                                        </div>
                                    </div>
                                </div>
                                <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                                                <ProgressTemplate>
                                                     <div class="slds-spinner_container">
                                                       <div class="demo-only">
                                                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                <span class="slds-assistive-text">Loading</span>
                                                                <div class="slds-spinner__dot-a"></div>
                                                                <div class="slds-spinner__dot-b"></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ProgressTemplate>
                                            </asp:UpdateProgress>
                                <div class="slds-grid slds-wrap slds-m-top--medium">
                                    <asp:GridView ID="grdMigratorLayout" runat="server" AutoGenerateColumns="False" DataSourceID="odsMigratorLayouts"
                                        EmptyDataText="No object available">
                                        <Columns>
                                            <asp:TemplateField HeaderText="Object Name" SortExpression="ObjectName">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("ObjectName") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="lbObjectName" runat="server" Text='<%# Eval("ObjectName") %>'></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Comment" SortExpression="Comment">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Comment") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="lbComment" runat="server" Text='<%# Eval("Comment") %>'></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle Width="140px" />
                                                <ItemStyle Width="200px" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Folder" SortExpression="Folder">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Folder") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="lbFolder" runat="server" Text='<%# Eval("Folder") %>'></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle Width="140px" />
                                                <ItemStyle Width="200px" />
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderText="Limit" SortExpression="Limit">
                                                <EditItemTemplate>
                                                    <asp:TextBox ID="lbLimit" runat="server" Text='<%# Bind("Limit") %>'></asp:TextBox>
                                                </EditItemTemplate>
                                                <ItemTemplate>
                                                    <asp:Label ID="lbLimit" runat="server" Text='<%# Eval("Limit") %>'></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle />
                                                <ItemStyle />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </div>

                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <asp:ObjectDataSource ID="odsMigratorLayouts" runat="server" SelectMethod="GetObjectDefaults"
                            TypeName="enzigma.sforce.webapp.code.business.MigratorSettings">
                            <SelectParameters>
                                <asp:ControlParameter ControlID="hdnID" Name="strID" PropertyName="Value" Type="String" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                    </div>

                </div>

            </div>
        </div>
    </div>

    <asp:HiddenField ID="hdComment" runat="server" />
    <asp:HiddenField ID="hdFolder" runat="server" />
    <asp:HiddenField ID="hdnID" runat="server" />
</asp:Content>

