<%@ Page Language="C#" AutoEventWireup="true" Inherits="settings_SelfServicePortalSettings" MasterPageFile="~/MasterPage.master" CodeBehind="SelfServicePortalSettings.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <asp:HiddenField ID="hdnID" runat="server" />
    <asp:ScriptManager ID="ScriptManager" runat="server"></asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel" runat="server">
        <ContentTemplate>
            <div class="slds-scope">
                <div id="Table1">
                    <div class="slds-p-around_small">
                        <div class="slds-page-header">
                            <div class="slds-grid">
                                <div class="slds-col slds-has-flexi-truncate">
                                    <div class="slds-media slds-no-space slds-grow">
                                        <div class="slds-media__figure">
                                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Attachment Settings">
                                                <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#settings" />
                                    </svg>
                                            </span>
                                        </div>
                                        <div runat="server" id="tdTitle" class="slds-media__body">
                                            <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Attachment Settings</span>
                                        </ul>
                                    </ol>
                                </nav>
                                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Self Service Portal Attachment Settings.</h1>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                                </div>
                            </div>
                            <div class="slds-grid slds-page-header__detail-row">
                                <div class="slds-grid slds-wrap slds-p-around--small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:Label ID="Label8" runat="server" Text="Self Service Portal user can view only attachments which are public or all attachments of a case depending on the settings you choose here." meta:resourcekey="Label2Resource1"></asp:Label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="slds-p-horizontal_small slds-p-bottom_small">
                    <div class="slds-card">
                        <div class="slds-p-around--small">
                            <div class="slds-box">
                                <div class="slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                        <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                            <div class="demo-only">
                                                <div class="slds-notify_container slds-is-relative">
                                                    <div class="slds-notify slds-notify_toast slds-theme_info" role="alert">
                                                        <span class="slds-assistive-text">info</span>
                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                                            </svg>
                                                        </span>
                                                        <div class="slds-notify__content">
                                                            <asp:Label ID="lbSelfUserError" runat="server" SkinID="Error" CssClass="slds-text-color_inverse" />
                                                        </div>
                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                 <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                            </svg>
                                                            <span class="slds-assistive-text">Close</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-media slds-p-bottom--small">
                                    <div class="slds-media__figure">
                                        <span class="slds-icon_container" style="background-color: #b19f7e;" title="View Attachments in Cases">
                                            <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#new_case" />
                                 </svg>
                                        </span>
                                        <span>
                                            <b>
                                                <asp:Label ID="Label4" runat="server" CssClass="slds-text-heading--small" Text="View Attachments in Cases"></asp:Label></b>
                                        </span>
                                    </div>
                                </div>
                                <div class="slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="Label5" runat="server" SkinID="Label" Text="Select the type of attachments you want to show to your
		    Self Service Portal users attached to the Cases."
                                                    meta:resourcekey="Label1Resource1"></asp:Label></span>
                                            <div class="slds-form-element__control">
                                                <asp:RadioButtonList ID="cases" runat="server">
                                                    <asp:ListItem Value="Public" />
                                                    <asp:ListItem Value="All" />
                                                    <asp:ListItem Value="None" />
                                                </asp:RadioButtonList>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-media slds-p-top_small">
                                    <div class="slds-media__figure">
                                        <span class="slds-icon_container" style="background-color: #b19f7e;" title="View Attachments in Solutions">
                                            <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#solution" />
                                 </svg>
                                        </span>
                                        <span>
                                            <b>
                                                <asp:Label ID="Label3" runat="server" CssClass="slds-text-heading--small" Text="View Attachments in Solutions"></asp:Label></b>
                                        </span>
                                    </div>
                                </div>
                                <div class="slds-grid slds-wrap slds-p-top_small">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <div class="slds-form-element">
                                            <span class="slds-text-body_regular">
                                                <asp:Label ID="Label1" runat="server" SkinID="Label" Text="Select the type of attachments you want to show to your Self Service Portal 
                       users attached to the Solutions."
                                                    meta:resourcekey="Label1Resource1"></asp:Label></span>
                                            <div class="slds-form-element__control">
                                                <asp:RadioButtonList ID="Solutions" runat="server">
                                                    <asp:ListItem Value="Public" />
                                                    <asp:ListItem Value="All" />
                                                    <asp:ListItem Value="None" />
                                                </asp:RadioButtonList>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="slds-grid slds-wrap">
                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                        <asp:Button ID="btnSubmit" CssClass="slds-button slds-button_brand slds-clearfix slds-float_right" runat="server" OnClick="btnSubmit_Click" SkinID="DefaultButton" Text="Update" />
                                    </div>
                                </div>
                                <asp:UpdateProgress ID="UpdateProgress" runat="server">
                                    <ProgressTemplate>
                                        <div style="top: 40%; position: absolute; z-index: 100; left: 50%">
                                            <div class="demo-only" style="height: 6rem;">
                                                <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                    <span class="slds-assistive-text">Loading</span>
                                                    <div class="slds-spinner__dot-a"></div>
                                                    <div class="slds-spinner__dot-b"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </div>
                        </div>
                    </div>
                </div>
                <asp:ObjectDataSource ID="ServerProfile" runat="server" TypeName="FTP" SelectMethod="GetFTPProfile"></asp:ObjectDataSource>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <script type="text/javascript" language="javascript">
        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();

        });
        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            return false;
        }
    </script>
</asp:Content>
