<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" ClassName="FTPAttachmentsCaseSettings" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<script runat="server">
	protected override void OnPreInit(EventArgs e)
	{
		//UI.SetHelpMasterPage(Context, Page);
		//base.OnPreInit(e);
	}
</script>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PageContent">
    <link href="../../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="../../css/application_css/custom_2018.css" rel="stylesheet" />
    <link rel="shortcut icon" type="image/x-icon" id="favicon" href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>/App_Themes/Default/images/favicon.ico" />
    <div style="font-family: Salesforce Sans,Arial,sans-serif;">
    <div class="slds-p-around--small">
        <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
            <div class="slds-grid">
                <div class="slds-has-flexi-truncate">
                    <div class="slds-media slds-no-space slds-grow">
                        <div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Storage Server">
                                <svg class="slds-icon slds-page-header__icon " aria-hidden="true">
                                    <use xlink:href="../../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#case_comment"></use>
                                </svg>
                            </span>
                        </div>
                        <div runat="server" id="tdTitle" class="slds-media__body">
                            <nav>
                                <ol class="slds-breadcrumb slds-line-height_reset">
                                    <ul class="slds-breadcrumb__item">
                                        <span>Settings</span>
                                    </ul>
                                </ol>
                            </nav>
                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="Servers">Case Settings</h1>
                        </div>
                    </div>
                </div>
                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                </div>
            </div>
            <div class="slds-grid slds-page-header__detail-row">
                <div class="slds-grid slds-wrap slds-p-around--small">
                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                        <asp:Label ID="Label8" runat="server" Text="Many of our customers need to fine tune the way Case works depending on attachments. FTP Attachment fulfills some of this requirements." meta:resourcekey="Label2Resource1"></asp:Label>
                    </div>
                </div>
            </div>
        </div>
    </div>

       <div class="slds-grid slds-wrap slds-p-horizontal--small slds-m-bottom--x-large">
        <div class="slds-col slds-card slds-large-size--1-of-1 slds-small-size--1-of-1 slds-p-around--small">
            <div class="slds-box" style="padding:0">
            <div class="slds-card__header slds-grid">
                <header class="slds-media slds-media_center slds-has-flexi-truncate">
                    <%--<div class="slds-media__figure">
                        <span class="slds-icon_container slds-icon-standard-contract" title="icon">
                            <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#comments"></use>
                            </svg>
                            <span class="slds-assistive-text">Setup "FTP (Attach)" links for Standard/Custom objects</span>
                        </span>
                    </div>--%>
                    <div class="slds-media__body">
                        <h2 class="slds-text-heading--small">
                            <span class="slds-text-heading_small slds-text-color--default"><b>Case Comments</b></span>
                        </h2>
                    </div>
                </header>
            </div>
            <div class="slds-card__body">
                <div class="slds-p-horizontal--small">
                    Whenever a attachment of a case is accessed, a comment can be added to the case automatically. 
                    Depending on different actions taken on the attachment different comment can be added to the case
                    as per the settings in this page.
                </div>
            </div>
            </div>
        </div>
    </div>
        </div>
    <script src="../../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            //$('link[href="../App_Themes/Default/common.css"]').prop('disabled', true);
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });
    </script>
</asp:Content>

