﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/OtherMaster.master" %>

<asp:Content ID="PageContent" ContentPlaceHolderID="PageContent" runat="server">
    <link href="../css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" />
    <link href="../css/application_css/custom_2018.css" rel="stylesheet" />

    <script src="../scripts/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
        function addBookmarkForBrowser(strTitle, strUrl) {
            if (document.all) {
                window.external.AddFavorite(strUrl, strTitle);
            }
            else {
                window.sidebar.addPanel(strTitle, strUrl, "");
            }
        }

        function OnToggle(strLink, strDiv, strTitle) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                //linkToggle.innerHTML = strTitle + ' &gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                //linkToggle.innerHTML = strTitle + ' &lt;&lt;';
            }
        }

        $(document).ready(function () {

            //$('link[href="../App_Themes/Default/common.css"]').prop('disabled', true);
            $('link[href="../App_Themes/Default/common.css"]').remove()
        });
    </script>
    <div class="slds-grid slds-wrap">
        <div class="slds-col slds-m-horizontal--small slds-m-top--small slds-card custom-background-color--default">
            <div class="slds-page-header slds-text-color--default slds-large-size--1-of-1 slds-small-size--1-of-1 slds-medium-size--1-of-1 ">
                
                    <div class="slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Installation Instruction">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#setup_assistant_guide"></use>
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="tdTitle" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Install Standalone version</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <span class="slds-small-size--1-of-1">
                                <h1 class="slds-page-header__title slds-truncate" title="Installation Instruction">Installation Instructions</h1>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
               
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <asp:Label ID="Label8" runat="server" Text="After you evaluate the applications provided by Orektic on Orektic's demo server, you can install the application on your own server for production use." meta:resourcekey="Label2Resource1"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-horizontal--small">
        <div class="slds-col slds-p-top--small slds-large-size--1-of-1 slds-small-size--1-of-1">
            <div class="slds-card slds-p-around--x-small">
                <div class="slds-box" style="padding: 0">
                    <div class="slds-card__header slds-grid">
                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                           <%-- <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-account" title="account">
                                    <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#update_status"></use>
                                    </svg>
                                    <span class="slds-assistive-text">Instructions</span>
                                </span>
                            </div>--%>
                            <div class="slds-media__body">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default"><b>Installation Instructions to Install Standalone Version</b></span>
                                </h2>
                            </div>
                        </header>
                    </div>
                    <div class="slds-p-around--small slds-text-body--regular slds-text-color--default">
                        <div>
                            <a id="lnkSysRequirements" href="javascript:OnToggle('lnkSysRequirements','divSysRequirements','System Requirement Guideline');" class="slds-p-horizontal--x-small">System Requirement Guideline
                            <span data-slds-trend="brand" class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                <svg viewBox="0 0 16 16" aria-hidden="true">
                                    <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                    <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                </svg>
                            </span>
                            </a>
                            <div id="divSysRequirements" class="slds-grid slds-wrap" style="display: none;">
                                <div class="slds-col slds-p-around--xx-small slds-large-size--1-of-2 slds-small-size--1-of-1">
                                    <div class=" slds-box slds-large-size--1-of-1 slds-small-size--1-of-1">
                                        <span class="slds-text-heading_small">Application Server
                                        </span>
                                        <div class="slds-text-longform slds-p-top--small">
                                            <span class="slds-text-title_caps ">Minimum Hardware</span>
                                            <ul>
                                                <li>Pentium IV processor or equivalent</li>
                                                <li>Single Xeon recommended for &gt; 200 concurrent users</li>
                                                <li>Dual Xeon recommended for &gt; 500 concurrent users</li>
                                                <li>Must have administrative rights to install FTP Attachments</li>
                                                <li>Internet connectivity required</li>
                                            </ul>
                                            <span class="slds-text-title_caps">Minimum Memory</span>
                                            <ul>
                                                <li>1GB</li>
                                                <li>2GB recommended for &gt; 10,000 employees</li>
                                                <li>4GB recommended for &gt; 25,000 employees</li>
                                            </ul>
                                            <span class="slds-text-title_caps ">Minimum Hard Disk Space</span>
                                            <ul>
                                                <li>1GB of free disk space Operating System</li>
                                                <li>Windows 2000 Server or Advanced Server</li>
                                                <li>Windows XP Professional or 64-Bit Edition</li>
                                                <li>Windows Server 2003 family products</li>
                                            </ul>
                                            <span class="slds-text-title_caps ">Web Application Server</span>
                                            <ul>
                                                <li>IIS 6 or above</li>
                                                <li><a href="http://www.microsoft.com/downloads/details.aspx?familyid=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5&displaylang=en" target="_blank">ASP .Net 2.0</a></li>
                                                <li><a href="http://www.microsoft.com/downloads/details.aspx?familyid=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5&displaylang=en" target="_blank">ASP .Net 2.0</a></li>
                                                <li><a href="http://www.microsoft.com/downloads/details.aspx?FamilyID=ca9d90fa-e8c9-42e3-aa19-08e2c027f5d6&displaylang=en" target="_blank">ASP .Net AJAX framework</a></li>
                                            </ul>
                                            <span class="slds-text-title_caps ">Environment</span>
                                            <ul>
                                                <li>Administrator rights to install the application</li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>

                                <div class="slds-col slds-p-around--xx-small slds-large-size--1-of-2 slds-small-size--1-of-1">
                                    <div class=" slds-box slds-large-size--1-of-1 slds-small-size--1-of-1">
                                        <span class="slds-text-heading_small">FTP Server
                                        </span>
                                        <div class="slds-text-longform slds-p-top--small">
                                            <span class="slds-text-title_caps ">Minimum Hardware</span>
                                            <ul>
                                                <li>Pentium IV processor or equivalent</li>
                                            </ul>
                                            <span class="slds-text-title_caps">Minimum Memory</span>
                                            <ul>
                                                <li>1GB Minimum</li>
                                            </ul>
                                            <span class="slds-text-title_caps ">Hard Disk Space</span>
                                            <ul>
                                                <li>As per your requirement (Generally 1GB per User)</li>
                                            </ul>
                                            <span class="slds-text-title_caps ">Operating System</span>
                                            <ul>
                                                <li>Any Operating System (Unix Systems recommended for better performance)</li>
                                            </ul>
                                            <span class="slds-text-title_caps ">Required Software</span>
                                            <ul>
                                                <li>FTP Server Environment</li>
                                                <li>FTP user with write access</li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-p-around--small">
        <div class="slds-col slds-card slds-p-around--x-small">
            <div class="slds-box" style="padding: 0">
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                       <%-- <div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-account" title="account">
                                <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                    <use xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#download"></use>
                                </svg>
                                <span class="slds-assistive-text">Download &amp; Install the application</span>
                            </span>
                        </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>Download &amp; Install the application</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-large-size--1-of-1 slds-small-size--1-of-1 slds-text-body_regular slds-text-body--default slds-text-longform slds-p-horizontal--small">
                    <div class="slds-text-title_caps slds-p-left--x-small slds-p-bottom--x-small">FTP Server</div>
                    <ol>
                        <li>Install the IIS, <a href="http://www.microsoft.com/downloads/details.aspx?FamilyID=ca9d90fa-e8c9-42e3-aa19-08e2c027f5d6&displaylang=en" target="_blank">ASP .Net AJAX framework</a> on your machine if not already installed</li>
                        <li>Run some sample ASP .Net 2.0&nbsp; application to make sure the IIS and ASP .Net 2.0 is configured correctly</li>
                        <li><a href="https://www.enzigma.com/downloads/standalone.sforce.zip">Downoad</a> the latest version of standalone application.</li>
                        <li>Extract the zip file in a appropriate folder e.g. C:\Program files\Orektic\Applications</li>
                        <li>Now open your IIS manager and create an application called 'sforce' on the root which is mapped to the folder C:\Program Files\Orektic\Applications\sforce folder.</li>
                        <li>In IIS settings make sure sforce is a ASP .NET 2.0 application</li>
                        <li>Make sure that the user under which ASP .NET 2.0 is running has full access rights to the folder App_Data which is under the sforce folder. This is very important to run the application correctly.</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <div class="slds-grid slds-wrap slds-large--size--1-of-1 slds-small--size--1-of-1 slds-p-horizontal--small slds-m-bottom--xx-large">
        <div class="slds-col slds-card slds-p-around--x-small">
            <div class="slds-box" style="padding:0">
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <%--<div class="slds-media__figure">
                            <span class="slds-icon_container slds-icon-standard-account" title="account">
                                <svg class="slds-icon slds-icon_small slds-p-around--xx-small" aria-hidden="true">
                                    <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#mark_all_as_read"></use>
                                </svg>
                                <span class="slds-assistive-text">Verify &amp; Configure the application</span>
                            </span>
                        </div>--%>
                        <div class="slds-media__body">
                            <h2 class="slds-text-heading--small">
                                <span class="slds-text-heading_small slds-text-color--default"><b>Verify &amp; Configure the application</b></span>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-large-size--1-of-1 slds-small-size--1-of-1 slds-text-body_regular slds-text-body--default slds-text-longform slds-p-horizontal--small">
                    <div class="slds-text-body_regular slds-p-left--x-small">Before you can access the application you must have the public address of the application handy which is accessible to all the users of the application e.g. https://www.yourdomain.com/sforce/ (We recommend you to have https based installation to keep your data secure and also ease of use for Self Service Portal users)</div>
                    <ol class="slds-p-top--small">
                        <li>Go to https://www.yourdomain.com/sforce/ (This is base Url of the application, using which you can login to the application as well as this will be used to create the custom links)</li>
                        <li>It will prompt you for Orektic user name and password</li>
                        <li>On entering login information, it will communicate with our live server to retrieve your information</li>
                        <li>On successful login it will display your subscriptions, this means your application is configured and ready to use.</li>
                        <li>If you need to make any changes to the settings of any subscription click on the "Settings" button of that subscription. Please note these changes are saved only locally and not saved on Orektic servers.<br />
                        </li>
                    </ol>
                </div>
            </div>

        </div>
    </div>
</asp:Content>
