﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EnzigmaPassword.aspx.cs" Inherits="EnzigmaPassword" MasterPageFile="~/MasterPage.master" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ContentPlaceHolderID="PageContent" runat="server">
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Change Password">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#settings" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Change Password</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Signup for Enzigma Account</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>
                                Please enter the information requested to change your password.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">

                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                            <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                            <span class="slds-assistive-text">info</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                 <h2 class="slds-text-body_regular ">
                                                <asp:Label ID="lblSuccess" runat="server"></asp:Label>
                                            </h2>
                                                     </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="toastvalidation" class="slds-scrollable" style="display: none;">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <span class="slds-assistive-text">error</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                       <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                 <h2 class="slds-text-body_regular ">
                                                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ForeColor="White"/>
                                                     </h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <span class="slds-assistive-text">error</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                 </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                 <h2 class="slds-text-body_regular ">
                                                <asp:Label ID="lblError" runat="server" ></asp:Label>
                                                     </h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                 </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default">
                                        <b>Change My Password</b></span>
                                </h2>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="userOldPassword" runat="server" SkinID="Label" Text="Old Password" CssClass="slds-form-element__label"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edOldPassword" runat="server" TextMode="Password" ToolTip="Please enter your existing password." CssClass="slds-input"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbLogin" runat="server" SkinID="Label" Text="Password" CssClass="slds-form-element__label"></asp:Label>

                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edPassword" runat="server" TextMode="Password" ToolTip="Please enter your new password." CssClass="slds-input"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="reqNewPassword" runat="server" ForeColor="Red" ControlToValidate="edPassword" Display="Dynamic"
                                            ErrorMessage="Please enter the required field." Font-Bold="false" CssClass="slds-text-color_error">*</asp:RequiredFieldValidator>
                                        <asp:CustomValidator ID="custValPassword" runat="server" ControlToValidate="edPassword"
                                            ClientValidationFunction="ClientValidate" ErrorMessage="Password should have minimum 8 characters."
                                            Display="Dynamic" Font-Bold="false" CssClass="slds-text-color_error">
                                        </asp:CustomValidator>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbPassword" runat="server" SkinID="Label" Text="Confirm Password" CssClass="slds-form-element__label"></asp:Label>

                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edConfirmPassword" runat="server" TextMode="Password" ToolTip="Please enter your new password to confirm.." CssClass="slds-input"></asp:TextBox>
                                        <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToCompare="edConfirmPassword" ControlToValidate="edPassword" Display="Dynamic" ErrorMessage="Passwords you have entered do not match." SkinID="Error" ForeColor="red" Font-Bold="false" CssClass="slds-text-color_error"><span>*</span></asp:CompareValidator>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <div class="slds-form-element__control">
                                        <asp:Button ID="btnChangePasswordNew" runat="server" Text="Save" OnClick="btnLogin_Click" CssClass="slds-button slds-button--brand" OnClientClick="isError()"></asp:Button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" language="javascript">
        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            $('#toastvalidation').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            document.getElementById('<%=lblError.ClientID%>').value = "";
            document.getElementById('<%=lblSuccess.ClientID%>').value = "";
            document.getElementById('<%=ValidationSummary1.ClientID%>').value = "";
            return false;
        }
        function ClientValidate(source, arguments) {

            if (arguments.Value && arguments.Value.length >= 8) {
                arguments.IsValid = true;
            } else {
                arguments.IsValid = false;
            }
        }
        function isError() {
            if (Page_IsValid == false) {
                document.getElementById("toastvalidation").style.display = "block";
            }
        }
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
        });
    </script>
</asp:Content>
