﻿//<reference path="../designer-expert-dev-ftp/application_js/demo.js" />

$(document).ready(function () {
    setTimeout(function () {
        $("[de-field=field]").css("width", "0%");
    }, 500);

    setTimeout(function () {
        $("[de-field=field]").css("width", "25%");
    }, 1000);
});

function hideToast() {
    $('#toastError').css('display', 'none');
    document.getElementById('msgError').innerHTML = "";
    return false;
}
function showProcessing(spanText) {
    if (spanText) {
        document.getElementById("spanText").innerHTML = spanText;
    }
    $('#spinnerContainer').fadeIn();
};
function hideProcessing() {
    $('#spinnerContainer').fadeOut(1500);
}

//$('#form1').replaceWith(function () {
//    return $('#inDom', this);
//});
//$('#inDom').replaceWith(function () {
//    return $('#divElement', this);
//});
$("#pageContents").removeAttr("style");

//window.templatesFolder = 'https://designer-expert.azurewebsites.net/application_js/templates/';
window.templatesFolder = '../../scripts/application_js/templates/';
window.platform = ''; 
//window.designerUrl = 'http://localhost:8020/';
window.designerUrl = './designer-expert-dev-ftp/';
window.fromPlatform = true;
var baseUrl = document.location.origin.toString() + document.location.pathname.substring(0, document.location.pathname.indexOf("/", 1));


var advanceMigrator = angular.module('a', ['deEngine', 'deServices', 'deTable', 'deLayout', 'toaster']);
//advanceMigrator.config(function ($sceDelegateProvider) {
//    $sceDelegateProvider.resourceUrlWhitelist([
//      // Allow same origin resource loads.
//      'self',
//      // Allow loading from our assets domain.  Notice the difference between * and **.
//      'http://localhost:8020/**',
//       '' + baseUrl + '/**'
//    ]);
//});

advanceMigrator.controller('listViewController', ['$scope', '$de', '$filter', '$http', 'toaster', '$interval', '$rootScope', function ($scope, $de, $filter, $http, toaster, $interval, $rootScope) {
    console.log('this is test');
    var todaysDate = new Date();
    var counter = 0;
  
         $scope.BlockElement = {
             "display": "none",
         }
    $scope.prevRecordCount = 0;
    $scope.migratorStatus = false;
    $scope.ProcesssingRecords = [];
    $scope.credNotExist = "";
    $scope.completionPercent = 100;
    $scope.warning = "";
    $scope.advanceMigFailureMsg = "";
    $de.showSuccess("Successfully save layout", "Success");
    $scope.showLayout = false;
    $scope.prevRecord = [];

    $scope.record = { "threadCount": 3, "queuedCount": 0, "serverProfiles": "" };
    var baseUrl = document.location.origin.toString() + document.location.pathname.substring(0, document.location.pathname.indexOf("/", 1));
    $scope.tableLayout = '{"pageSizes":[50,100,150,200,500],"objtype": "ENZ__MigratorQueue__c","fields":"ID,Name,ENZ__ObjectName__c,CreatedDate,ENZ__Status__c,ENZ__Comment__c","orderBy":"","criteria":"","condition":"CreatedDate < ' + todaysDate.toISOString() + '","sortOrder":"CreatedDate","pageSize":"50","search":"","currentPage":"0","mobileTitle":"{{record.name}}","fieldDefs":{"ID":{"name":"ID","type":"text","label":"ID","required":false} , "Name":{"name":"Name","type":"text","label":"File Name","required":false} , "ENZ__ObjectName__c":{"name":"ENZ__ObjectName__c","type":"text","label":"Object Name","required":false} , "CreatedDate":{"name":"CreatedDate","type":"date","label":"Created Date","required":false} , "ENZ__Status__c":{"name":"ENZ__Status__c","type":"text","label":"Status","required":false} , "ENZ__Comment__c":{"name":"ENZ__Comment__c","type":"text","label":"Comment","required":false}},"tableHeading":"Attachments Log","multiTable":false,"isHighlighted":false,"singleRecordActions":[],"multiRecordActions":[],"buttons":[],"search":"","offset":"200","saveMode":"read-only"}';
    $scope.staticLayout = '{"relatedlists":[],"tabs":[],"sections":[{"label":"Advance Migrator Setting Page","fields":[{"label":"Number Of Threads","name":"threadCount","type":"number","value":0,"precision":"2","scale":"1","smallWidth":12,"mediumWidth":12,"largeWidth":12,"readonly":false,"required":true,"validationCriteria":"{\'criteria\':{\'isEnabled\':true,\'client\':{\'def\':\'function(record){return (record.threadCount > 0 && record.threadCount <= 10);}\',\'isdisabled\':false,\'clientmsg\':\'Please enter thread count in between 1-10.\'}}}"},{"label":"Server Profiles","name":"serverProfiles","type":"picklist","required":true,"smallWidth":12,"mediumWidth":12,"largeWidth":12,"readonly":false,"required":true},{"label":"Number Of Records In Queue","name":"queuedCount","type":"number","value":0,"precision":18,"scale":0,"smallWidth":12,"mediumWidth":12,"largeWidth":12,"readonly":true}],"id":"id_1510314424770","icon":null}],"buttons":[{"id":"id_1511153219933","label":"Start","action":"function(record, errorFn, successFn){$scope.$emit(\'StartEmit\',record)}","name":"Start","type":"primary","actionType":"layoutActions","isStandardAction":false,"css":"btn-sm","mode":"edit"},{"id":"id_1511153219933","label":"Stop","action":"function(record, errorFn, successFn){ $scope.$emit(\'StopEmit\',record)}","name":"Stop","type":"primary","actionType":"layoutActions","isStandardAction":false,"css":"btn-sm","mode":"read-only"}],"icon":null,"label":""}'

    $scope.component = JSON.parse($scope.staticLayout);
    $scope.options = JSON.parse($scope.tableLayout);

    $interval(function () {
        if ($scope.migratorStatus)
            $scope.getProcessingRecord();

    }, 100);

    $scope.calculateOrderBy = function (strOrderBy) {
        var orderBy = [];
        if (strOrderBy) {
            var orderByFields = strOrderBy.split(',');
            angular.forEach(orderByFields, function (orderByField) {
                var orderByParts = orderByField.split(' ');
                if (orderByParts[1] && orderByParts[1] == 'desc') {
                    orderBy.push('-' + orderByParts[0]);
                }
                else
                    orderBy.push(orderByParts[0]);
            })
        }
        return orderBy;
    }

    var successCallback = null;
    $scope.webMethodCall = function () {

        $http.post('FTPAutomatedMigratorTool.aspx/GetRecordsFromSForce', { objtype: $scope.options.objtype, fields: $scope.options.fields, condition: $scope.options.condition, sortOrder: $scope.options.sortOrder, search: $scope.options.search, currentPage: $scope.options.currentPage, pageSize: $scope.options.pageSize, offset: $scope.options.offset })
            .success(function (data, status, headers, config) {
                var count = $scope.prevRecordCount = data.d.count;
                var orderBy = $scope.calculateOrderBy($scope.options.orderBy);
                $scope.options.currentPage = parseInt($scope.options.currentPage);
                $scope.options.pageSize = parseInt($scope.options.pageSize);
                var fieldDefs = [];
                delete $scope.options.fieldDefs.ObjType;
                angular.forEach($scope.options.fieldDefs, function (value, key) {
                    fieldDefs.push(angular.copy(value))
                })
                $scope.records = data.d.data;

                var filteredRecords = (orderBy.length) ? $filter('orderBy')($scope.records, orderBy) : $scope.records;
                var pagedRecords = $scope.prevRecord = (isNaN($scope.options.pageSize) || $scope.options.pageSize <= 0) ? filteredRecords : filteredRecords;//filteredRecords.slice(options.currentPage * options.pageSize, (options.currentPage + 1) * options.pageSize)
                var result = {
                    records: pagedRecords,
                    totalCount: count,
                    currentPage: $scope.options.currentPage,
                    pageSize: $scope.options.pageSize,
                    fieldDefs: fieldDefs,
                    orderBy: $scope.options.orderBy,
                };
                successCallback(result);
                $scope.getServerProfile();
            })
            .error(function (data, status, headers, config) {
                console.log(data);
            });
    }

    $scope.getServerProfile = function () {
        counter++;
        var messageOnPageLoad = "";
        $http.post('FTPAutomatedMigratorTool.aspx/GetServerProfileAndMigratorStatus', {})
           .success(function (data, status, headers, config) {
               debugger;
               $scope.migratorStatus = data.d.migratorStatus;
               angular.forEach(data.d.serverProfile, function (val, key) {
                   var rec = { value: val.Value };
                   $scope.record.serverProfiles = rec;
                   $scope.component.sections[0].fields[1].values = rec;
                   $scope.record.threadCount = data.d.thCount;
                   $scope.showLayout = true;
               });
               if ($scope.advanceMigFailureMsg == "") {
                   if (counter == 1) {
                       
                       if ($scope.migratorStatus) {
                           messageOnPageLoad = "FTP Advance Migrator Tool is in Running Mode";

                           $scope.layoutReadOnly($scope.migratorStatus, messageOnPageLoad, "Start");
                       }
                       else {
                           messageOnPageLoad = "FTP Advance Migrator Tool is in Stop Mode";
                           $scope.layoutReadOnly($scope.migratorStatus, messageOnPageLoad, "Stop");
                       }
                   }
                   hideProcessing();
                  // var toastError = angular.element(document.querySelector("#toastError"));
                   $scope.msg = messageOnPageLoad;
                   document.getElementById('toastError').style.display = "block";
               }
               else {
                   //setTimeout(function () { $de.showError($scope.advanceMigFailureMsg, "Error") }, 500)
                 //  var toastError = angular.element(document.querySelector("#toastError"));
              //     var isStandalone = angular.element(document.querySelector("#isStandalone"));
                   $scope.msg = $scope.advanceMigFailureMsg;
                   var setSlds = angular.element(document.querySelector("#setSlds"));
                   var setIcon = angular.element(document.querySelector("#setIcon"));
                   setIcon.attr("xlink:href", "../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info");
                   setSlds.removeClass("slds-notify slds-notify_toast slds-theme_error");
                   setSlds.addClass("slds-notify slds-notify_toast slds-theme_info");


                   document.getElementById('toastError').style.display = "block";
             
                   document.getElementById('isStandalone').style.display = "none";
             
                   hideProcessing();
               }

              
           })
           .error(function (data, status, headers, config) {
               console.log(data);
           });
    };

    $scope.getProcessingRecord = function (options, onsuccess, onerror) {
        var updatedKeys = { 'RecordID': 'ID', 'FileName': 'Name', 'AttachedFileObjectName': 'ENZ__ObjectName__c', 'Status': 'ENZ__Status__c', 'Comment': 'ENZ__Comment__c' };
        $http.post('FTPAutomatedMigratorTool.aspx/BindThreadRecord', {})
         .success(function (data, status, headers, config) {
             if (data.d.thread != null && data.d.thread.length > 0) {
                 $scope.warning = data.d.warningMsg;
                 $scope.record.queuedCount = data.d.queueCount;
                 for (var index = 0; index < data.d.thread.length; index++) {
                     if (data.d.thread[index].pushTopicObject != null) {
                         if ($scope.ProcesssingRecords.length != 0) {
                             var recoedFoundCounter = 0;
                             for (var i = 0; i < $scope.ProcesssingRecords.length; i++) {
                                 if ($scope.ProcesssingRecords[i].pushTopicObject.RecordID == data.d.thread[index].pushTopicObject.RecordID) {
                                     $scope.ProcesssingRecords[i].ThreadProgressPercent = data.d.thread[index].ThreadProgressPercent;
                                     $scope.ProcesssingRecords[i].pushTopicObject.Status = data.d.thread[index].pushTopicObject.Status;
                                     $scope.ProcesssingRecords[i].pushTopicObject.Comment = data.d.thread[index].pushTopicObject.Comment;
                                     break;
                                 }
                                 else
                                     recoedFoundCounter++;
                             }
                             if ($scope.ProcesssingRecords.length == recoedFoundCounter) {
                                 for (var i = 0; i < $scope.ProcesssingRecords.length; i++) {

                                     if (data.d.thread[index].Id == $scope.ProcesssingRecords[i].Id) {
                                         for (var j = 0; j < Object.keys($scope.ProcesssingRecords[i].pushTopicObject).length; j++) {
                                             for (var k = 0; k < Object.keys(updatedKeys).length; k++) {
                                                 if (Object.keys($scope.ProcesssingRecords[i].pushTopicObject)[j] == Object.keys(updatedKeys)[k]) {
                                                     $scope.ProcesssingRecords[i].pushTopicObject[updatedKeys[Object.keys(updatedKeys)[k]]] = $scope.ProcesssingRecords[i].pushTopicObject[Object.keys(updatedKeys)[k]];
                                                     delete $scope.ProcesssingRecords[i].pushTopicObject[Object.keys(updatedKeys)[k]];
                                                 }
                                             }
                                         }
                                         $scope.ProcesssingRecords[i].pushTopicObject.isHighlighted = true;
                                         if ($scope.ProcesssingRecords[i].pushTopicObject.ENZ__Status__c == 'Completed')
                                             $scope.ProcesssingRecords[i].pushTopicObject.recordStatus = "success";
                                         else
                                             if ($scope.ProcesssingRecords[i].pushTopicObject.ENZ__Status__c == 'Excluded')
                                                 $scope.ProcesssingRecords[i].pushTopicObject.recordStatus = "warning";
                                             else
                                                 $scope.ProcesssingRecords[i].pushTopicObject.recordStatus = "error";

                                         $rootScope.$broadcast('refreshFromLocal', $scope.ProcesssingRecords[i].pushTopicObject);
                                         $scope.ProcesssingRecords.splice(i, 1);
                                     }
                                 }
                                 $scope.ProcesssingRecords.push(data.d.thread[index])
                             }
                         }
                         else
                             $scope.ProcesssingRecords.push(data.d.thread[index]);
                     }
                     else {
                         for (var i = 0; i < $scope.ProcesssingRecords.length; i++) {
                             if ($scope.ProcesssingRecords[i].Id == data.d.thread[index].Id) {
                                 if ($scope.ProcesssingRecords.length != 0) {
                                     for (var j = 0; j < Object.keys($scope.ProcesssingRecords[i].pushTopicObject).length; j++) {
                                         for (var k = 0; k < Object.keys(updatedKeys).length; k++) {
                                             if (Object.keys($scope.ProcesssingRecords[i].pushTopicObject)[j] == Object.keys(updatedKeys)[k]) {
                                                 $scope.ProcesssingRecords[i].pushTopicObject[updatedKeys[Object.keys(updatedKeys)[k]]] = $scope.ProcesssingRecords[i].pushTopicObject[Object.keys(updatedKeys)[k]];
                                                 delete $scope.ProcesssingRecords[i].pushTopicObject[Object.keys(updatedKeys)[k]];
                                             }
                                         }
                                     }

                                     $scope.ProcesssingRecords[i].pushTopicObject.isHighlighted = true;
                                     if ($scope.ProcesssingRecords[i].pushTopicObject.ENZ__Status__c == 'Completed')
                                         $scope.ProcesssingRecords[i].pushTopicObject.recordStatus = "success";
                                     else
                                         if ($scope.ProcesssingRecords[i].pushTopicObject.ENZ__Status__c == 'Excluded')
                                             $scope.ProcesssingRecords[i].pushTopicObject.recordStatus = "warning";
                                         else
                                             $scope.ProcesssingRecords[i].pushTopicObject.recordStatus = "error";
                                     $rootScope.$broadcast('refreshFromLocal', $scope.ProcesssingRecords[i].pushTopicObject);
                                     $scope.ProcesssingRecords.splice(i, 1);
                                 }
                             }
                         }
                     }
                 }
             }
         })
         .error(function (data, status, headers, config) {
             console.log(data);
         });
    };

    $scope.getOffSetAdvanceMigratorFailureReason = function () {
        $http.post('FTPAutomatedMigratorTool.aspx/GetOffSetCountAndAdvanceMigratorFailureReason', {})
         .success(function (data, status, headers, config) {
             if (data.d.isValidForDisplayRec == "False") {
                 if (data.d.adMigFailureMsg == "Advance Migrator Tool is supported only in Standalone mode.") {
                     document.getElementById('isStandalone').style.display = 'none';
                 }
                 $scope.advanceMigFailureMsg = data.d.adMigFailureMsg;
                 
                 $scope.getServerProfile();
             }
             else {
                 if (data.d.offsetCount != null && data.d.offsetCount.length > 0) {
                     $scope.options.offset = data.d.offsetCount;
                     $scope.webMethodCall();
                 }
             }
         })
         .error(function (data, status, headers, config) {
             console.log(data);
         });
    };

    $scope.getRecords = function (options, onsuccess, onerror, count) {
        successCallback = onsuccess;
        if (options.isHighlighted) {
            options.isHighlighted = false;
            if (options) {
                if (!count || isNaN(count)) count = $scope.prevRecordCount;
                if (!$scope['records_' + count]) $scope['records_' + count] = $de.getSampleRecords($scope.fields, count);
                var records = $scope['records_' + count];
                var orderBy = $scope.calculateOrderBy(options.orderBy);
                options.currentPage = parseInt(options.currentPage);
                options.pageSize = parseInt(options.pageSize);

                var fieldDefs = [];

                delete options.fieldDefs.ObjType;
                angular.forEach(options.fieldDefs, function (value, key) {
                    fieldDefs.push(angular.copy(value))
                })
                var filteredRecords = (orderBy.length) ? $filter('orderBy')(records, orderBy) : records;
                var pagedRecords = $scope.prevRecord;
                var result = {
                    records: pagedRecords,
                    totalCount: count,
                    currentPage: options.currentPage,
                    pageSize: options.pageSize,
                    fieldDefs: fieldDefs,
                    orderBy: options.orderBy,
                };
                onsuccess(result);
            }
            else
                onerror('No options specified');
            //$scope.getOffSetAdvanceMigratorFailureReason();
        }
        else {
            showProcessing();
            successCallback = onsuccess;
            $scope.getOffSetAdvanceMigratorFailureReason();
        }
    };

    $scope.$on('StartEmit', function (enent, data) {
        if (data.threadCount === undefined || data.threadCount == null)
            data.threadCount = 3;
        if (data.threadCount <= 0 || data.threadCount > 10){
            //$de.showError("Number of Threads will be 1 to 10.", "Error");
           // var toastError = angular.element(document.querySelector("#toastError"));
            $scope.msg = "Number of Threads will be 1 to 10.";
            document.getElementById('toastError').style.display = "block";
        }
         

        else {
            if (data.serverProfiles.value !== undefined)
                data.serverProfiles = data.serverProfiles.value;
            showProcessing();
            $http.post('FTPAutomatedMigratorTool.aspx/StartAdvanceMigrator', { thrdCount: data.threadCount, serverProf: data.serverProfiles })
          .success(function (data, status, headers, config) {
           
              if (data.d.Success) {
                  $scope.migratorStatus = true;
                  $scope.layoutReadOnly(data.d.Success, data.d.ErrorMessage, "Start");
              }
              else {
                  //$de.showError(data.d.ErrorMessage, "Error");
                 // var toastError = angular.element(document.querySelector("#toastError"));
                  $scope.msg = data.d.ErrorMessage;
                  document.getElementById('toastError').style.display = "block";
              }
              hideProcessing();
          })
          .error(function (data, status, headers, config) {
              console.log(data);
          });
        }
    });

    $scope.$on('StopEmit', function (enent, data) {
        showProcessing();
        $http.post('FTPAutomatedMigratorTool.aspx/StopAdvanceMigrator', {})
             .success(function (data, status, headers, config) {
                 debugger;
                 if (data.d.Success) {
                     hideProcessing();
                     $scope.migratorStatus = false;
                     $scope.ProcesssingRecords = [];
                     $scope.layoutReadOnly(!data.d.Success, data.d.ErrorMessage, "Stop");
                 }
                 else {
                     $de.showWarning(data.d.ErrorMessage, "Warning");
                     hideProcessing();
                 }
             })
             .error(function (data, status, headers, config) {
                 console.log(data);
             });
    })

    $scope.layoutReadOnly = function (isMigratorStart, message, strMode) {

        for (var index = 0; index < $scope.component.buttons.length; index++) {
            if ($scope.component.buttons[index].name == strMode)
                $scope.component.buttons[index].mode = "read-only";
            else
                $scope.component.buttons[index].mode = "edit";
        }
        for (var index = 0; index < $scope.component.sections[0].fields.length; index++) {
            if ($scope.component.sections[0].fields[index].name == "threadCount" || $scope.component.sections[0].fields[index].name == "serverProfiles")
                $scope.component.sections[0].fields[index].readonly = isMigratorStart;
        }
        //$de.showSuccess(message, "Success");
        $scope.msg = message;
       // var toastError = angular.element(document.querySelector("#toastError"));
        var setSlds = angular.element(document.querySelector("#setSlds"));
        var setIcon = angular.element(document.querySelector("#setIcon"));
        setIcon.attr("xlink:href", "../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success");
        setSlds.removeClass("slds-notify slds-notify_toast slds-theme_error");
        setSlds.addClass("slds-notify slds-notify_toast slds-theme_success");
        //toastError.style("display","block");
        document.getElementById('toastError').style.display = "block";
        //$scope.BlockElement = {
        //    "display": "block",
        //}


    }
}]);

advanceMigrator.directive('threadProcessingTable', function () {
    return {
        restrict: 'EA',
        templateUrl: 'recordToProcess.html'
    }
});
