<%@ Page Language="C#" AutoEventWireup="true" Inherits="FTPSetup" MasterPageFile="~/MasterPage.master" CodeBehind="FTPSetup.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="System.Web.Extensions" Namespace="System.Web.UI" TagPrefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />
    <script language="javascript" type="text/javascript">
        function ConfirmDelete(ev) {
            var bAgree = confirm('Are you sure you want to delete selected profile?');
            if (!bAgree) {
                window.event.cancelBubble = true;
                window.event.returnValue = false;
                return false;
            }
        }
        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            $('#PageContent_toaststatus').css('display', 'none');
            document.getElementById('<%=lbError.ClientID%>').value = "";
            document.getElementById('<%=lblErrormsg.ClientID%>').value = "";
            document.getElementById('<%=lbStatus.ClientID%>').value = "";
            return false;
        }
        function OnToggle(strLink, strDiv, strText) {
            var divDisplay = document.getElementById(strDiv);
            var linkToggle = document.getElementById(strLink);
            if (divDisplay.style.display == '') {
                divDisplay.style.display = 'none';
                //linkToggle.innerHTML = strText + '&gt;&gt;';
            }
            else {
                divDisplay.style.display = '';
                //linkToggle.innerHTML = strText + '&lt;&lt;';
            }
        }
        function CheckLimit(strCompare, strMinLimit, strMaxLimit) {
            if (strComment.length > 255 || strComment.length < 3) {
                return false;
                //g_Validator.isvalid = 'visible';
                //ValidatorUpdateDisplay(true);		
            }
            return true;
        }
        function ValidateAlphaNumeric(strComment) {
            //var re5digit = /^[a-zA-Z0-9]+$/;///\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/; 	

            if (strComment.search(/^[a-zA-Z0-9]+$/) != -1)//for alpha numeric
            {
                if (strComment.search(/^[a-zA-Z][a-zA-Z0-9]+$/) != -1)//first--alpha and other numeric 
                {
                    if (strComment.search(/^[a-zA-Z]+[0-9]+[a-zA-Z0-9]*$/) != -1)
                        return true;
                    else
                        return false;
                }
                else if (strComment.search(/^[0-9][a-zA-Z0-9]+$/) != -1)//first--numeric and other alpha
                {
                    if (strComment.search(/^[0-9]+[a-zA-Z]+[a-zA-Z0-9]*$/) != -1)
                        return true;
                    else
                        return false;
                }
                else
                    return false;
            }
            return false;
            //if(strComment.search(/^[a-zA-Z0-9]+$/)!=-1) && (((strComment.search(/^[a-zA-Z][a-zA-Z0-9]+$/)!=-1) && (strComment.search(/^[a-zA-Z]+[0-9]+[a-zA-Z0-9]*$/)!=-1))||((strComment.search(/^[0-9][a-zA-Z0-9]+$/)!=-1) && (strComment.search(/^[0-9]+[a-zA-Z]+[a-zA-Z0-9]*$/)!=-1)))
        }


        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();

            document.getElementById('PageContent_detailsViewProfile').removeAttribute("style");
            $('tr').removeAttr('style');
            $('td').removeAttr('style');
        });
    </script>
    <asp:HiddenField ID="hdnID" runat="server" />
    <asp:ObjectDataSource ID="Subscription" runat="server" SelectMethod="GetSettingsByID" TypeName="enzigma.sforce.webapp.code.Business">
        <selectparameters>
		<asp:QueryStringParameter Name="strID" QueryStringField="ID" Type="String" />
		<asp:Parameter DefaultValue="enzigma.sforce.webapp.code.ServerProfile" Name="strType" Type="String" />
	</selectparameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="odsrcStorageTypes" runat="server" SelectMethod="GetStorageTypes" TypeName="enzigma.sforce.webapp.code.Business"></asp:ObjectDataSource>
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>

    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="FTP Setup">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#setup" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                <ol class="slds-breadcrumb slds-line-height_reset">
                                    <ul class="slds-breadcrumb__item">
                                        <span>FTP Setup</span>
                                    </ul>
                                </ol>
                            </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Default Storage Server</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            This server will be used as default server to store your attachments.You can organize attachments in
						                                    different folders using Folder parameter of the Attach link.
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default">
                                        <b>Default Storage Server</b></span>
                                </h2>
                            </div>
                        </div>

                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-p-around_small slds-grid slds-wrap slds-theme--shade">
                                    <p class="slds-text-align_left">
                                        <a class="headingstyle" id="linkServerTypes" href="javascript:OnToggle('linkServerTypes','divServerTypes','Supported Servers');">Supported Servers <span data-slds-trend="brand" class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                            <svg viewbox="0 0 16 16" aria-hidden="true">
                                                      <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                                   <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                               </svg>
                                        </span></a>
                                    </p>

                                    <div id="divServerTypes" style="display: none">
                                        <p class="slds-text-align_left">Following types of servers are available currently.</p>
                                        <ol class="slds-list--ordered">
                                            <li>
                                                <p class="slds-text-align_left">
                                                    <strong><b>FTP Server:</b></strong> You can use any of your publically available FTP server
									                to store your Salesforce attachments.
                                                </p>
                                            </li>
                                            <li class="slds-m-top_xxx-small">
                                                <p class="slds-text-align_left">
                                                    <strong><b>Local Server (Applicaton Server):</b></strong> You can store your attachments
									                on the same server where your FTP Attachments application is installed. All you
									                have to do is enter a absolute path to the directory of that server in which you
									                want to store the attachments.
                                                </p>
                                            </li>
                                            <li class="slds-m-top_xxx-small">
                                                <p class="slds-text-align_left">
                                                    <strong><b>SFTP Server:</b></strong> You can use your SFTP server to store
									                your attachments.
                                                </p>
                                            </li>
                                            <li class="slds-m-top_xxx-small">
                                                <p class="slds-text-align_left">
                                                    <strong><b>FTPS Server:</b></strong> You can use your FTPS server to store
									                your attachments. Depending on type of Secure FTP Server that is Explicit and Implicit
									                protocol you can check the TLS (for Implicit) or SSL (for Explicit) flag.
                                                </p>
                                            </li>
                                            <li class="slds-m-top_xxx-small">
                                                <p class="slds-text-align_left">
                                                    <strong><b>Amazon Simple Storage Service:</b></strong> You can use Amazon Simple Storage
									                Service (Amazon S3) to store your attachments. In case you are using Standalone
									                server you need to use your own Amazon S3 account, please enter your Amazon S3 Key
									                in Login field and Security key in the Password field below. In case you are using
									                hosted application you will be using our Amazon S3 account.
                                                </p>
                                            </li>
                                        </ol>

                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-p-around_small slds-theme--shade">

                                    <p class="slds-text-align_left slds-m-top_xxx-small">
                                        <a class="headingstyle" id="linkExample" href="javascript:OnToggle('linkExample','divExample','Example');">Example  <span data-slds-trend="brand" class="slds-icon-trend slds-is-animated" title="Click here to see/hide.">
                                            <svg viewbox="0 0 16 16" aria-hidden="true">
                                               <path class="slds-icon-trend__arrow" d="M.75 8H11M8 4.5L11.5 8 8 11.5" />
                                               <circle class="slds-icon-trend__circle" cy="8" cx="8" r="7.375" transform="rotate(-28 8 8) scale(-1 1) translate(-16 0)" />
                                            </svg></a>


                                        <div class="slds-grid slds-wrap">
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                                <div id="divExample" style="display: none">
                                                    <p class="slds-text-align_left">
                                                        <strong><b>Example:</b></strong><br />
                                                        <strong><b>Problem:</b></strong> For cases you want to store your attachments in folder
							                                    named Accounts\<i>AccountName</i>, where <i>AccountName</i> is the name of the account
							                                    to which case is related to. (Applicable to FTP, Local Server and Secure FTP only)<br />
                                                        <br />
                                                        <strong><b>Solution:</b></strong> Edit the Attach (FTP) custom link of Case and introduce
							                                    Folder parameter and set it to Accounts/{!Case.Account}.<br />
                                                        <br />
                                                        <i>https://app.ftpattachments.com/sforce/ftp/<br />
                                                            Attach.aspx?FieldName=Case__c<strong>&Folder=Accounts/<br />
                                                                {!Case.Account}</strong>&FieldValue={!Case.Id}&OrgID={!Organization.Id}&SFUrl<br />
                                                            ={!API.Partner_Server_URL_90}&SFSessionID={!API.Session_ID}</i></><br />
                                                        <br />
                                                    </p>
                                                </div>

                                            </div>
                                        </div>
                                </div>
                            </div>
                        </div>


                        <asp:UpdatePanel ID="UpdatePanel" runat="server">
                            <contenttemplate>
                                            
                                              <div class="slds-grid slds-wrap">
                                                      <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                                             <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                                                <div class="demo-only">
                                                                    <div class="slds-notify_container slds-is-relative">
                                                                        <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                                            <span class="slds-assistive-text">success</span>
                                                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                                                       </svg>
                                                                            </span>
                                                                            <div class="slds-notify__content">
                                                                                 <h2 class="slds-text-body_regular ">
                                                                                 <asp:Label ID="lbError" runat="server"></asp:Label>
                                                                                     </h2>
                                                                            </div>
                                                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                       </svg>
                                                                                <span class="slds-assistive-text">Close</span>
                                                                            </button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                             <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                                            <div class="demo-only">
                                                                <div class="slds-notify_container slds-is-relative">
                                                                    <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                                        <span class="slds-assistive-text">error</span>
                                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                                             </svg>
                                                                        </span>
                                                                        <div class="slds-notify__content">
                                                                             <h2 class="slds-text-body_regular ">
                                                                            <asp:Label ID="lblErrormsg" runat="server"></asp:Label></h2>
                                                                        </div>
                                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                 <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                            </svg>
                                                                            <span class="slds-assistive-text">Close</span>
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                       <div id="toaststatus" class="slds-scrollable" style="display: none;" runat="server">
                                                            <div class="demo-only">
                                                                <div class="slds-notify_container slds-is-relative">
                                                                    <div class="slds-notify slds-notify_toast slds-theme_info" role="alert">
                                                                        <span class="slds-assistive-text">error</span>
                                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                   <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                                                            </svg>
                                                                        </span>
                                                                        <div class="slds-notify__content">
                                                                             <h2 class="slds-text-body_regular ">
                                                                            <asp:Label ID="lbStatus" runat="server"  Width="100%" ></asp:Label></h2>
                                                                        </div>
                                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                 <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                            </svg>
                                                                            <span class="slds-assistive-text">Close</span>
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                      </div>
                                             </div>

                                               <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">
					                                                       <asp:DetailsView ID="detailsViewProfile" runat="server"  BackColor="White" AutoGenerateRows="False" CellPadding="1" GridLines="None" BorderColor="white" BorderStyle="None" BorderWidth="0px" DataSourceID="Subscription" OnItemUpdating="detailsViewProfile_ItemUpdating" OnDataBound="detailsViewProfile_DataBound" >
						                                                                        <Fields>
							 	                                                                                <asp:TemplateField HeaderText="Server Type:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:DropDownList ID="cmbStorageType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="cmbStorageType_SelectedIndexChanged"
											                                                                                SelectedValue='<%# Bind("StorageType") %>' DataSourceID="odsrcStorageTypes" DataTextField="Value" DataValueField="Key" OnDataBound="cmbStorageType_DataBound" CssClass="slds-input" font-bold="false">
										                                                                                </asp:DropDownList>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True" OnSelectedIndexChanged="cmbStorageType_SelectedIndexChanged"
											                                                                                SelectedValue='<%# Bind("StorageType") %>' DataSourceID="odsrcStorageTypes" DataTextField="Value" DataValueField="Key" CssClass="slds-input" font-bold="false">
										                                                                                </asp:DropDownList>
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="lbStorageType" runat="server" Text='<%# Bind("StorageType") %>' font-bold="false"></asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
										                                                                                        <asp:Label ID="lbServerTypeHeader" runat="server" Text="Server Type" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
                                                                                                                          <div class="slds-float_right">       
                                                                                                                         <cc2:Help ID="helpServerType" runat="server" HelpMessageID="Resources.Help.ServerType"> </cc2:Help>
                                                                                                                       </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField >
								                                                                                <asp:TemplateField HeaderText="Profile Name:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edProfile" runat="server" Text='Default' Enabled="false" MaxLength="32"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqProfile" runat="server" ControlToValidate="edProfile"
											                                                                                Display="Dynamic" ErrorMessage="*"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox1" runat="server" Text='Default' Enabled="false" MaxLength="32" CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="edProfile"
											                                                                                Display="Dynamic" ErrorMessage="*"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="Label2" runat="server" Text='Default'></asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
										                                                                                   <asp:Label ID="lblProfileName" runat="server" Text="Profile Name" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                  <div class="slds-float_right"> 
                                                                                                                                   <cc2:Help ID="helpProfile" runat="server" HelpMessageID="Resources.Help.ServerProfile"></cc2:Help>
									                                                                                     </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField SortExpression="Server" HeaderText="Host/IP Address:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edHostName" runat="server" MaxLength="160" Text='<%# Bind("Server") %>' CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqHostName" runat="server" ControlToValidate="edHostName"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox2" runat="server" MaxLength="160" Text='<%# Bind("Server") %>'  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="edHostName"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="Label3" runat="server" Text='<%# Bind("Server") %>' font-bold="false"> </asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                        
										                                                                                        <asp:Label ID="lblHostAddress" runat="server" Text="Host/IP Address" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                  <div class="slds-float_right">
                                                                                                                                <cc2:Help ID="helpIPAddress" runat="server" HelpMessageID="Resources.Help.HostAddress"></cc2:Help>
										                                                                                </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField SortExpression="Login" HeaderText="Login:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edLogin" runat="server" Text='<%# Bind("Login") %>' MaxLength="255"   CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqLogin" runat="server" ControlToValidate="edLogin"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Login") %>' MaxLength="255"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="edLogin"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="Label4" runat="server" Text='<%# Bind("Login") %>'></asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
										                                                                                           <asp:Label ID="lblLogin" runat="server" Text="Login" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
                                                                                                                          <div class="slds-float_right">
										                                                                                           <cc2:Help ID="helpLogin" runat="server" HelpMessageID="Resources.Help.FtpLogin"></cc2:Help>
										                                                                                 </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField HeaderText="Password:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edPassword" runat="server" Text='<%# Bind("Password") %>' TextMode="Password"  CssClass="slds-input slds-m-top--medium"
											                                                                                MaxLength="50" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqPassword" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edPassword" Display="Dynamic"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox4" runat="server" TextMode="Password" MaxLength="50" Text='<%# Bind("Password") %>'  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="Field cant be empty"   ControlToValidate="edPassword" Display="Dynamic"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="lbPassword" runat="server" Text="********" />
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                                <asp:Label ID="lblPassword" runat="server" Text="Password" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                  <div class="slds-float_right">
                                                                                                                                    <cc2:Help ID="helpPassword" runat="server" HelpMessageID="Resources.Help.FtpPassword"></cc2:Help>
                                                                                                                               </div>
  							                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField HeaderText="Confirm Password:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edCfmPassword" runat="server" TextMode="Password" MaxLength="50"  CssClass="slds-input slds-m-top--medium" Font-Bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqCfmPassword" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edCfmPassword" Display="Dynamic" CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator><asp:CompareValidator
											                                                                                ID="comparePassword" runat="server" ErrorMessage="Check the entered password" ControlToValidate="edCfmPassword"
											                                                                                ControlToCompare="edPassword" Display="Dynamic"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:CompareValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox5" runat="server" TextMode="Password" MaxLength="50"  CssClass="slds-input slds-m-top--medium" Font-Bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="Field cant be empty" ControlToValidate="edCfmPassword" Display="Dynamic"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
                                                                                                                        <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Check the entered password" ControlToValidate="edCfmPassword"
											                                                                                ControlToCompare="edPassword" Display="Dynamic"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:CompareValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <HeaderStyle Wrap="False"></HeaderStyle>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="lbCfmPassword" runat="server" Text="********" />
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                                        <asp:Label ID="lblConfirmPassword" runat="server" Text="Confirm Password" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                  <div class="slds-float_right">
                                                                                                                                        <cc2:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.ConfirmPassword"></cc2:Help>
										                                                                                  </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField SortExpression="Port" HeaderText="Port:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edPort" runat="server" Text='<%# Bind("Port") %>' MaxLength="7"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqPort" runat="server" ControlToValidate="edPort" 
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
										                                                                                <asp:RegularExpressionValidator ID="regPort" runat="server" ControlToValidate="edPort"
											                                                                                Display="Dynamic" ErrorMessage="Please enter number" ValidationExpression="[0-9]+"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RegularExpressionValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("Port") %>' MaxLength="7"  CssClass="slds-input slds-m-top--medium" font-bold="false">
										                                                                                </asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="edPort"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
										                                                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="edPort"
											                                                                                Display="Dynamic" ErrorMessage="Please enter number" ValidationExpression="[0-9]+"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RegularExpressionValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="Label5" runat="server" Text='<%# Bind("Port") %>' font-bold="false"></asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                   
										                                                                                        <asp:Label ID="lblPort" runat="server" Text="Port" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                             <div class="slds-float_right">
                                                                                                                                     <cc2:Help ID="helpPort" runat="server" HelpMessageID="Resources.Help.FtpServerPort"></cc2:Help>
										                                                                                 </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField HeaderText="Max. File Size (KB):" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edMaxFileSize" runat="server" Text='<%# Bind("MaxFileSize") %>'
											                                                                                MaxLength="7"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="reqMaxFileSize" runat="server" ControlToValidate="edMaxFileSize"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
																	                                                          <asp:RegularExpressionValidator ID="regMaxFileSize" Display="Dynamic" runat="server"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"
											                                                                                ControlToValidate="edMaxFileSize" ValidationExpression="[0-9]+" ErrorMessage="Please enter numeric value."></asp:RegularExpressionValidator>
										                                                                                <asp:RangeValidator ID="validateMaxFileSize" runat="server" 
                                                                                                                            ControlToValidate="edMaxFileSize" Display="Dynamic" Type = "Integer"
                                                                                                                            ErrorMessage="Max file size allowed is 2093056KB (1.99 GB) per attachment/file." MaximumValue="2093056" 
                                                                                                                            MinimumValue="0"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RangeValidator>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox7" runat="server" Text='<%# Bind("MaxFileSize") %>'
											                                                                                MaxLength="7"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
										                                                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="edMaxFileSize"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
										                                                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ControlToValidate="edMaxFileSize"
											                                                                                Display="Dynamic" ErrorMessage="Please enter number"  ValidationExpression="[0-9]+"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RegularExpressionValidator>
										                                                                                <asp:RangeValidator ID="RangeValidator1" runat="server" 
                                                                                                                            ControlToValidate="edMaxFileSize" Display="Dynamic" 
                                                                                                                            ErrorMessage="Max File Size allowed is 1.99GB per attachment/file" MaximumValue="2093056 " 
                                                                                                                            MinimumValue="0"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RangeValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <HeaderStyle Wrap="False"></HeaderStyle>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="Label6" runat="server" Text='<%# Bind("MaxFileSize") %>' font-bold="false"></asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                        
										                                                                                        <asp:Label ID="lblMaxFileSize" runat="server" Text="Max. File Size (KB)" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                  <div class="slds-float_right">
                                                                                                                                <cc2:Help ID="helpMaxFile" runat="server" HelpMessageID="Resources.Help.FTPFileMaxSize"></cc2:Help>
										                                                                                  </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField SortExpression="DefaultFolder" HeaderText="Base Folder:" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:TextBox ID="edDefaultFolder" runat="server" Text='<%# Bind("DefaultFolder") %>'
											                                                                                MaxLength="100"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox>
											                                                                                <asp:RequiredFieldValidator ID="reqDefaultFolder" runat="server" ControlToValidate="edDefaultFolder"
											                                                                                Display="Dynamic" ErrorMessage="Field cant be empty"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RequiredFieldValidator>
											                                                                                <%--<asp:CustomValidator ID="CustomValidator2" runat="server"
												                                                                                ControlToValidate="edDefaultFolder" ErrorMessage="CustomValidator" ClientValidationFunction="CheckAlphaNumeric"
												                                                                                Enabled="False"></asp:CustomValidator>--%>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:TextBox ID="TextBox8" runat="server" Text='<%# Bind("DefaultFolder") %>'
											                                                                                MaxLength="100"  CssClass="slds-input slds-m-top--medium" font-bold="false"></asp:TextBox><asp:RangeValidator ID="RangeValidator2" runat="server"
												                                                                                ControlToValidate="edDefaultFolder" CultureInvariantValues="True" Display="Dynamic"
												                                                                                ErrorMessage="RangeValidator" MaximumValue="255" MinimumValue="2" Enabled="False" font-bold="false"></asp:RangeValidator><asp:RegularExpressionValidator
													                                                                                ID="RegularExpressionValidator3" runat="server" ControlToValidate="edDefaultFolder"
													                                                                                Display="Dynamic" ErrorMessage="RegularExpressionValidator" ValidationExpression="^[a-zA-Z]*[0-9]*$"
													                                                                                Enabled="False"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:RegularExpressionValidator>
										                                                                                <asp:CustomValidator ID="CustomValidator3" runat="server" ControlToValidate="edDefaultFolder"
											                                                                                ErrorMessage="CustomValidator" ClientValidationFunction="CheckAlphaNumeric" Enabled="False"  CssClass="slds-text-body_regular slds-text-color--error"  Font-Bold="false"></asp:CustomValidator>
									                                                                                </InsertItemTemplate>
									                                                                                <HeaderStyle Wrap="False"></HeaderStyle>
									                                                                                <ItemTemplate>
										                                                                                <asp:Label ID="Label7" runat="server" Text='<%# Bind("DefaultFolder") %>' font-bold="false"></asp:Label>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
										                                                                                            <asp:Label ID="lblDefaultFolder" runat="server" Text="Base Folder" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                 <div class="slds-float_right">
                                                                                                                                     <cc2:Help ID="helpFolder" runat="server" HelpMessageID="Resources.Help.DefaultFolder"></cc2:Help>
										                                                                                 </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField HeaderText="Passive Mode?:" SortExpression="Passive" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("Passive") %>' font-bold="false" />
									                                                                                </EditItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                       
										                                                                                <asp:Label ID="lblPassiveMode" runat="server" Text="Passive Mode?" CssClass="slds-form-element__label"></asp:Label>
                                                                                                                         <div class="slds-float_right">
										                                                                                <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.PassiveMode">
										                                                                                </cc2:Help>
                                                                                                                        </div>
									                                                                                </HeaderTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox2" runat="server" Checked='<%# Bind("Passive") %>' font-bold="false" />
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox3" runat="server" Checked='<%# Bind("Passive") %>' Enabled="false" font-bold="false"/>
									                                                                                </ItemTemplate>
									                                                                                <HeaderStyle Wrap="False" />
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField HeaderText="Auth TLS" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:CheckBox ID="chkAuthTLS" runat="server" AutoPostBack="True" Checked='<%# Bind("AuthTLS") %>'
											                                                                                OnCheckedChanged="chkAuthTLS_CheckedChanged" font-bold="false" />
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox4" runat="server" AutoPostBack="True" Checked='<%# Bind("AuthTLS") %>'
											                                                                                OnCheckedChanged="chkAuthTLS_CheckedChanged" font-bold="false" />
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox5" runat="server" Checked='<%# Bind("AuthTLS") %>' Enabled="False" />
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                      
										                                                                                <asp:Label ID="lblAuthTLS" runat="server" Text="Auth TLS (Implicit Mode)" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                <div class="slds-float_right">
                                                                                                                          <cc2:Help ID="Help10" runat="server" HelpMessageID="Resources.Help.AuthTLS">
										                                                                                </cc2:Help>
                                                                                                                       </div>
									                                                                                </HeaderTemplate>
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField HeaderText="SSL" ItemStyle-CssClass="slds-p-vertical_xx-small">
									                                                                                <EditItemTemplate>
										                                                                                <asp:CheckBox ID="chkSSL" runat="server" AutoPostBack="True" Checked='<%# Bind("SSL") %>'
											                                                                                OnCheckedChanged="chkSSL_CheckedChanged"  font-bold="false"/>
									                                                                                </EditItemTemplate>
									                                                                                <InsertItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox6" runat="server" AutoPostBack="True" Checked='<%# Bind("SSL") %>'
											                                                                                OnCheckedChanged="chkSSL_CheckedChanged" font-bold="false" />
									                                                                                </InsertItemTemplate>
									                                                                                <ItemTemplate>
										                                                                                <asp:CheckBox ID="CheckBox7" runat="server" Checked='<%# Bind("SSL") %>' Enabled="False" font-bold="false"/>
									                                                                                </ItemTemplate>
									                                                                                <HeaderTemplate>
                                                                                                                       
										                                                                                <asp:Label ID="lblSSL" runat="server" Text="SSL (Explicit Mode)" CssClass="slds-form-element__label" font-bold="false"></asp:Label>
										                                                                                 <div class="slds-float_right">
                                                                                                                         <cc2:Help ID="Help11" runat="server" HelpMessageID="Resources.Help.SSL">
										                                                                                </cc2:Help>
                                                                                                                            </div>
									                                                                                </HeaderTemplate>  
								                                                                                </asp:TemplateField>
								                                                                                <asp:TemplateField ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                                                                                <EditItemTemplate> 
                                                                                                                  
                                                                                                                       <asp:Button ID="btnUpdate" runat="server" Text="Update" CommandName="Update"  CssClass="slds-button slds-button--brand slds-m-top_medium " onclientClick="isError()" font-bold="false" ></asp:Button>
                                                                                                                        
                                                                                                                         <asp:Button ID="btnCancel" runat="server" Text="Cancel" CommandName="Cancel" OnClick="btnCancel_Click" CausesValidation="False"  CssClass="slds-button slds-button_neutral slds-m-top_medium" font-bold="false"></asp:Button>
											                                                                           
                                                                                                                    </div>
									                                                                        </EditItemTemplate>
                                                                                                            <InsertItemTemplate>
										                                                                        <table>
											                                                                        <tr>
												                                                                        <td>
                                                                                                                            <asp:Button  ID="btnAdd" runat="server" Text="Add"  CssClass="slds-button slds-button--brand" CommandName="Insert" SkinID="DefaultButton"></asp:Button>
													                                                                   </td>
												                                                                        <td>
                                                                                                                             <asp:Button  ID="ImageButton2" runat="server" Text="Cancel" CausesValidation="False"    OnClick="btnCancel_Click"  CssClass="slds-button slds-button_neutral" CommandName="Cancel"></asp:Button>
												                                                                        </td>
											                                                                        </tr>
										                                                                        </table>
									                                                                        </InsertItemTemplate>
                                                                                                            <ItemTemplate>
                                                                                                               <asp:Button  ID="btnEdit" runat="server"  SkinID="DefaultButton" Text="Edit" CausesValidation="False" onClick="btnEdit_Click" CssClass="slds-button slds-button_neutral slds-m-top_medium" CommandName="Edit"></asp:Button>
			                                                                                                   <asp:Button  ID="btnTestDirectory" runat="server" Text="Test Settings" CausesValidation="False"   OnClick="btnTestDirectory_Click" CssClass="slds-button slds-button--brand slds-m-top_medium"  onclientClick="isError()"></asp:Button>
													                                                           <asp:Button  ID="btnNextStep" runat="server" Text="Next Step"    OnClick="btnNextStep_Click"  Visible="False" CausesValidation="False" CssClass="slds-button slds-button--brand slds-m-top_medium"></asp:Button>
											                                                                   
								                                                                            </ItemTemplate>
							                                                                    </asp:TemplateField>
						                                                                    </Fields>
					                                                                  <FieldHeaderStyle></FieldHeaderStyle>
                        </asp:DetailsView>
                                                   
                    </div>

                    <div class="slds-grid slds-wrap">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-m-bottom_large">
                            <p class="slds-text-align_left">
                                <strong><b>Please Note: </b></strong>By default we have provided settings of Orektic's
						                                                      demo FTP server, we do clean this FTP server every day, please DO NOT put any valuable
						                                                      or sensitive data in this server. We will not be responsible for any such data loss.
						                                                       <br />


                                When you use the Local server in storage type on our servers the file are stored
						                                           on our application server in a particular directory, so you can not specify absolute
						                                                 path in the default folder for Local server.
                            </p>
                        </div>
                    </div>
                    </contenttemplate>
                    </asp:UpdatePanel>
                        <asp:UpdateProgress ID="UpdatePanelSetting" runat="server">
                            <progresstemplate>
					         <div class="slds-spinner_container">
                                <div class="demo-only" >
                                    <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                        <span class="slds-assistive-text">Loading</span>
                                        <div class="slds-spinner__dot-a"></div>
                                        <div class="slds-spinner__dot-b"></div>
                                    </div>
                                </div>
                              </div>
						 </progresstemplate>
                        </asp:UpdateProgress>
                </div>

            </div>
        </div>
    </div>
</asp:Content>
