﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="LoginControl" CodeBehind="Login.ascx.cs" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<script language="javascript" type="text/javascript">



    var passTxt = document.getElementById('<%= edPassword.ClientID %>');
    passTxt.addEventListener("keydown", function (e) {
        
        if(e.keyCode === 13)
        {
            applySpinner();
        }
    })
     
    function applySpinner() {
        var userNametxt = document.getElementById('<%= edUserName.ClientID %>').value;
        var passwordtxt = document.getElementById('<%= edPassword.ClientID %>').value;
        var dispRegValLogin = document.getElementById('<%= regValLogin.ClientID %>').style.display;
        if (userNametxt && passwordtxt && (dispRegValLogin == "none"))
            document.getElementById('<%= spinner.ClientID %>').style.display = "inline";
    }

</script>

<%--<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="css/vendor/slds/salesforce-lightning-design-system.min.css" rel="stylesheet" />
<link href="../css/application_css/custom_2018.css" rel="stylesheet" />--%>

<div class="slds-grid slds-grid_align-center slds-wrap  slds-align--absolute-center">
    <center>
<div class="slds-small-size_1-of-3 slds-medium-size_1-of-2 slds-large-size_1-of-1 slds-card card-size-login slds-card_boundary slds-align-middle slds-p-bottom--x-large slds-fade-in-open">
    <div class="slds-card__body">
        <div class="slds-col slds-size_1-of-1 slds-small-size_1-of-1 slds-form-element slds-image_center-icon slds-p-horizontal--large slds-p-top--large slds-p-bottom_x-large">
            <img id="ftpLogo" src="<%=enzigma.sforce.webapp.code.Global.WebRoot%>images/Logo/FTP-Attachments_Login.png" alt="FTPLOGO">
            <%--<br /><span class="slds-text-heading_medium"><b>FTP Attachments<span style="font-size: 28px;line-height: 0;">®</span></b></span>--%>

           <%-- <span style="font-size:x-large"><b><br />FTP Attachment<span style="font-size:30px">®</span></b></span>--%>
        <div class="slds-form-element">
            <div class="slds-form-element slds-form-element__label slds-text-align--center slds-p-top_medium slds-text-align_left">
                <div class="slds-form-element__control slds-size--1-of-1">
                    <asp:TextBox ID="edUserName" placeholder="Enter Username.." runat="server" ValidationGroup="Login" SkinID="ControlCell" CssClass="ControlCell slds-input slds-size_small slds-text-body_regular slds-text-body_regular"></asp:TextBox>
                    <div>
                        <asp:RequiredFieldValidator ID="reqdValidatorLogin" runat="server" ControlToValidate="edUserName" Display="Dynamic" ErrorMessage="Please Enter Username" CssClass="slds-text-color_error"></asp:RequiredFieldValidator>
                    </div>
                </div>
            </div>
            <div>
                <asp:RegularExpressionValidator id="regValLogin" runat="server" ErrorMessage="Invalid username" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edUserName" CssClass="slds-text-color_error"></asp:RegularExpressionValidator>
            </div>
        </div>
        <div class="slds-form-element slds-form-element__label slds-text-align--center slds-p-top_small slds-text-align_left slds-p-around_small">
            <div class="slds-form-element__control">
                <asp:TextBox ID="edPassword" placeholder="Enter Password.." runat="server" TextMode="Password" ValidationGroup="Login" CssClass="ControlCell slds-input slds-size_small"></asp:TextBox>
                <div>
                    <asp:RequiredFieldValidator ID="reqdValidatorPassword" runat="server" ControlToValidate="edPassword" Display="Dynamic" ErrorMessage="Please enter Password" CssClass="slds-text-color_error"></asp:RequiredFieldValidator>
                </div>
            </div>
             <div class="slds-text-color_error">
                   
             </div>
        </div>
        <div class="slds-p-horizontal_small">
            <asp:Label ID="lbError" runat="server" CssClass="slds-text-color--error"></asp:Label>
                      
                    <div id="spinner" runat="server" style="display: none; top:40%; z-index:100; left:50%">
                       <div class="slds-spinner_container">
                        <div class="demo-only" style="height: 6rem;">
                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                <span class="slds-assistive-text">Loading</span>
                                <div class="slds-spinner__dot-a"></div>
                                <div class="slds-spinner__dot-b"></div>
                            </div>
                        </div>
                    </div>
                      
         </div>
        <div class="slds-form-element slds-p-around_small">
            <div class="slds-size--2-of-5">
                <%--<enz:ImageButton ID="btnDefault" runat="server" OnClick="btnLogin_Click" SkinID="DefaultButton" Text="Login" />--%>
                <asp:Button runat="server" OnClick="btnLogin_Click" Text="Login" OnClientClick="javascript:applySpinner();" CssClass="slds-button slds-button-brand slds-size--1-of-1 custom-button-brand--login" style="color:white;"/>
            </div>
            <div class="slds-text-align_center slds-p-around--medium">
                <span><a id="lnkForgotPassword" href="profile/ForgotPassword.aspx" onclick="javascript:window.open('<%=Global.LiveWebApplication %>profile/ForgotPassword.aspx', '_self', 'width=800,height=400');return false;" class="">Forgot Password?</a></span>
            </div>
        </div>       
    </div>
</div>
</center>
</div>


<%--	<table width="500" style="padding-left: 15%;">
			<tr>
                <td class="Label" valign="top"></td>
				<td colspan="3">
					<asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></td>
			</tr>
			<%--<tr>
				<td class="Label" valign="top">
					<asp:Label ID="lbLogin" runat="server" SkinID="Label" Text="Login:"></asp:Label><cc1:help
						id="Help1" runat="server" helpmessageid="Resources.Help.EnzigmaLogin"></cc1:help></td>
				<td style="width:300px;text-align:left">
					<asp:TextBox ID="edLogin" runat="server" ValidationGroup="Login" SkinID="ControlCell" CssClass="ControlCell"></asp:TextBox>
                   <asp:RequiredFieldValidator ID="reqdValidatorLogin" runat="server" 
                        ControlToValidate="edLogin" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                   <asp:RegularExpressionValidator id="regValLogin" 
		            runat="server" ErrorMessage="Invalid login name" ForeColor="Red"
		            Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edLogin"></asp:RegularExpressionValidator>
                </td>
			</tr>--%>
<%--           <tr>
				<td class="Label" valign="top">
					<asp:Label ID="lbUserName" runat="server" SkinID="Label" Text="Username:"></asp:Label><cc1:help
						id="Help1" runat="server" helpmessageid="Resources.Help.EnzigmaLogin"></cc1:help></td>
				<td style="width:300px;text-align:left">
					<asp:TextBox ID="edUserName" runat="server" ValidationGroup="Login" SkinID="ControlCell" CssClass="ControlCell"></asp:TextBox>
                   <asp:RequiredFieldValidator ID="reqdValidatorLogin" runat="server" 
                        ControlToValidate="edUserName" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                   <asp:RegularExpressionValidator id="regValLogin" 
		            runat="server" ErrorMessage="Invalid user name" ForeColor="Red"
		            Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edUserName"></asp:RegularExpressionValidator>
                </td>
			</tr>


            <tr style="height:15px;"></tr>
			<tr>
				<td class="Label" valign="top">
					<asp:Label ID="lbPassword" runat="server" SkinID="Label" Text="Password:"></asp:Label>
                    <cc1:help id="Help2" runat="server" helpmessageid="Resources.Help.EnzigmaPassword"></cc1:help></td>
				<td colspan="0" style="width:300px; text-align:left">
					<asp:TextBox ID="edPassword" runat="server" TextMode="Password" ValidationGroup="Login" CssClass="ControlCell"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="reqdValidatorPassword" runat="server" 
                        ControlToValidate="edPassword" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
			</tr>
            <tr style="height:15px;"></tr>
			<tr>
				<td>
				</td>
				<td align="left">
					<table cellpadding="0" cellspacing="0" border="0">
						<tr>
							<enz:ImageButton ID="btnDefault" runat="server" OnClick="btnLogin_Click" SkinID="DefaultButton" Text="Login" />
						</tr>
                        <tr style="height:15px;"></tr>
                        <tr>
                            <td></td>
                            <td style="font-weight:bold;">
								<a id="lnkForgotPassword" href="#" onclick="javascript:window.open('<%=Global.LiveWebApplication %>profile/ForgotPassword.aspx', '_blank', 'width=800,height=400');return false;">  <b> Forgot your password?</b></a>
			                </td>
                        </tr>
					</table>
				</td>
			</tr>
			<tr>
				<td style="height: 21px">
				</td>
				<td style="height: 21px">
				</td>
				<td align="left"></td>
					</tr>
		</table>
-->--%>



<%--<%@ Control Language="C#" AutoEventWireup="true" Inherits="LoginControl" Codebehind="Login.ascx.cs" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
		<table width="500" style="padding-left: 15%;">
			<tr>
                <td class="Label" valign="top"></td>
				<td colspan="3">
					<asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></td>
			</tr>
			<%--<tr>
				<td class="Label" valign="top">
					<asp:Label ID="lbLogin" runat="server" SkinID="Label" Text="Login:"></asp:Label><cc1:help
						id="Help1" runat="server" helpmessageid="Resources.Help.EnzigmaLogin"></cc1:help></td>
				<td style="width:300px;text-align:left">
					<asp:TextBox ID="edLogin" runat="server" ValidationGroup="Login" SkinID="ControlCell" CssClass="ControlCell"></asp:TextBox>
                   <asp:RequiredFieldValidator ID="reqdValidatorLogin" runat="server" 
                        ControlToValidate="edLogin" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                   <asp:RegularExpressionValidator id="regValLogin" 
		            runat="server" ErrorMessage="Invalid login name" ForeColor="Red"
		            Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edLogin"></asp:RegularExpressionValidator>
                </td>
			</tr>--%>
<%--     <tr>
				<td class="Label" valign="top">
					<asp:Label ID="lbUserName" runat="server" SkinID="Label" Text="Username:"></asp:Label><cc1:help
						id="Help1" runat="server" helpmessageid="Resources.Help.EnzigmaLogin"></cc1:help></td>
				<td style="width:300px;text-align:left">
					<asp:TextBox ID="edUserName" runat="server" ValidationGroup="Login" SkinID="ControlCell" CssClass="ControlCell"></asp:TextBox>
                   <asp:RequiredFieldValidator ID="reqdValidatorLogin" runat="server" 
                        ControlToValidate="edUserName" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                   <asp:RegularExpressionValidator id="regValLogin" 
		            runat="server" ErrorMessage="Invalid user name" ForeColor="Red"
		            Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="edUserName"></asp:RegularExpressionValidator>
                </td>
			</tr>


            <tr style="height:15px;"></tr>
			<tr>
				<td class="Label" valign="top">
					<asp:Label ID="lbPassword" runat="server" SkinID="Label" Text="Password:"></asp:Label>
                    <cc1:help id="Help2" runat="server" helpmessageid="Resources.Help.EnzigmaPassword"></cc1:help></td>
				<td colspan="0" style="width:300px; text-align:left">
					<asp:TextBox ID="edPassword" runat="server" TextMode="Password" ValidationGroup="Login" CssClass="ControlCell"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="reqdValidatorPassword" runat="server" 
                        ControlToValidate="edPassword" Display="Dynamic" ErrorMessage="*" ForeColor="Red"></asp:RequiredFieldValidator>
                </td>
			</tr>
            <tr style="height:15px;"></tr>
			<tr>
				<td>
				</td>
				<td align="left">
					<table cellpadding="0" cellspacing="0" border="0">
						<tr>
							<enz:ImageButton ID="btnDefault" runat="server" OnClick="btnLogin_Click" SkinID="DefaultButton" Text="Login" />
						</tr>
                        <tr style="height:15px;"></tr>
                        <tr>
                            <td></td>
                            <td style="font-weight:bold;">
								<a id="lnkForgotPassword" href="#" onclick="javascript:window.open('<%=Global.LiveWebApplication %>profile/ForgotPassword.aspx', '_blank', 'width=800,height=400');return false;">  <b> Forgot your password?</b></a>
			                </td>
                        </tr>
					</table>
				</td>
			</tr>
			<tr>
				<td style="height: 21px">
				</td>
				<td style="height: 21px">
				</td>
				<td align="left"></td>
					</tr>
		</table> --%>
