﻿<%@ Page Language="C#"  %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server" ></head>
<script runat="server">

	protected void Page_Load(object sender, EventArgs e)
	{
		Exception ex = Global.LastException;
		if (Request.Params["error"] != null)
		{
			lbError.Text = Request.Params["error"];
			//Global.Log(new Exception(Request.Params["error"]));
		}
			
		else if( Request.Params["resource"] != null && Request.Params["resource"].Contains("."))
		{
			string strResource = Request.Params["resource"];
			int iFnd = strResource.LastIndexOf('.');
			string strClass = strResource.Substring( 0, iFnd);
			Type type = Type.GetType(strClass + ",App_GlobalResources");
			if (type != null)
			{
				System.Reflection.PropertyInfo propInfo = type.GetProperty(strResource.Substring(iFnd + 1));
				if( propInfo != null )
					lbError.Text = (string)propInfo.GetValue(null, null);
			}
		}
		else if (ex != null)
		{
			string strError = "<ul style=\"list-style-type: decimal;\">";
			strError += GetMessage(ex, 0, 5) + "</ul>";
			lbError.Text = Global.Log(new Exception(strError));
		}
	}

	string GetMessage(Exception ex, int iCurrentLevel, int iMaxLevel)
	{
		string strError = (ex.GetType().Name == "HttpUnhandledException" ) ? "" : "<li>" + ex.Message + "</li>";
		if (iCurrentLevel + 1 < iMaxLevel && ex.InnerException != null)
			strError += GetMessage(ex.InnerException, iCurrentLevel + 1, iMaxLevel);
		return strError;
	}
</script>
<body>
<asp:Label ID="lbError" runat="server" SkinID="Error" Width="315px"></asp:Label></td>
</body></html>