﻿<%@ Page Title="" Language="C#" MasterPageFile="~/PublicMasterPage.master" Inherits="AllDownload" AutoEventWireup="true" CodeBehind="AllDownload.aspx.cs" meta:resourcekey="PageResource1"  %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Import Namespace="enzigma.sforce.webapp.code" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server" >
	<script type="text/javascript" src="../scripts/common.js" ></script>
    <script src="../scripts/multipart/enzigma/business/restClient.js" type="text/javascript"></script>
	<script type="text/javascript" >
	</script>
	<center>
		<asp:ScriptManager ID="ScriptManager" runat="server">
			<Services>
				<asp:ServiceReference InlineScript="false" Path="~/WebServices/FTPAttachments.asmx" />
			</Services>
		</asp:ScriptManager>
	<table border="0" cellpadding="0" cellspacing="0" width="550">
		<tr>
			<td align="left" style="height:60px;">
				<asp:Label ID="lbStatus" runat="server" SkinID="Error" 
                    meta:resourcekey="lbStatusResource1" 
                    Text="Please wait while your file is being downloaded..." ></asp:Label><br />
                <asp:Label ID="lbError" runat="server" SkinID="Error" 
                    ></asp:Label>
			</td>
		</tr>
		<tr>
			<td align="center" style="height:80px;" >
				<cc1:ProgressBar ID="progressBar" CssClass="ProgressBar" runat="server" 
                    DefaultVisible="True" 
                    ProgressBarClass="ProgressBarValue" ProgressBarStatusClass="ProgressBarStatus" 
                    ProgressBarTextClass="ProgressBarText" StatusLabelText="<%$Resources:ProgressStatus, StatusLabelText %>" 
                        ValueLabelText="<%$Resources:ProgressStatus, ValueLabelText %>" TextLabel="<%$Resources:ProgressStatus, TextLabel %>"/>
				<input id="hdnDownloadID" name="hdnDownloadID" value="<%=m_DownloadID%>" type="hidden" /></td>
		</tr>
		<tr>
			<td align="center" style="height: 140px" >
                <asp:Label ID="DownloadText" runat="server" 
                    Text="Download will start automatically after the file you requested is downloaded from FTP Server to the Application Server. Depending on your browser security a yellow bar will appear on the top of the window, please right click and click on Download file to download the file. In case download does not start automatically after being downloaded from FTP Server to Application Server, please click on the button below." 
                    meta:resourcekey="DownloadTextResource1"></asp:Label>
				<br /><br />
				<cc1:imagebutton Text="Download" id="btnDownload" runat="server" 
                    onclientclick="return OnDownload();" meta:resourcekey="btnDownloadResource1" ></cc1:imagebutton>&nbsp;
			</td>
		</tr>
		<tr>
		<td style="height:40px;" align="center" >
		<a href="#" onclick="javascript:window.close();return true;"><asp:Label ID="Close" 
                runat="server" Text="Close" meta:resourcekey="CloseResource1"></asp:Label></a>
		</td>
		</tr>
	</table>
	</center>
	<script type="text/javascript" >
	var service = new enzigma.sforce.webapp.webservices.InternalFTPAttachmentsService();
	function UpdateProgress(result, eventArgs)
	{
		if( result.HasCompleted || result.HasError || result.IsCached )
			window.clearInterval(intervalProgress);
		
		if( <%=progressBar.ClientID%>_obj )
			<%=progressBar.ClientID%>_obj.UpdateProgress(result.Progress, result.ProgressStatus);
		
		if( result.HasCompleted )
			document.getElementById('<%=btnDownload.ClientID%>').disabled = false;
	}
	
	function OnDownload()
	{

	document.location.href = '<%=Request.RawUrl%>&download=true&DownloadID=<%=m_DownloadID%>';
	
		if( window.event )
			window.event.cancelBubble = true;
		return false;
	}
	
	function OnError(error)
	{
	}
	
	function RetreiveProgress()
	{
		service.DownloadProgress('<%=m_DownloadID%>', UpdateProgress, OnError);
	}
	document.getElementById('<%=btnDownload.ClientID%>').disabled = true;
	var intervalProgress = false;
	function OnBodyLoad()
	{

		OnDownload();
		var iInterval = 1000 * <%=Global.ProgressIndicatorInterval%>;
		if( iInterval <= 0 )
			iInterval = 2000;
		intervalProgress = window.setInterval('RetreiveProgress()', iInterval);
	}
	
	function ClearAllIntervals()
	{
		window.clearInterval(intervalProgress);
	}
	
	RegisterWindowEventHandler('unload', ClearAllIntervals);
	</script>
	<script type="text/javascript" >
	    window.resizeTo(1000, 730);
	    window.moveTo(window.screen.width / 2 - 350, window.screen.height / 2 - 300);
	</script>
</asp:Content>
