<%@ Page Language="C#" MasterPageFile="~/UserMasterPage.master" AutoEventWireup="true"
    Inherits="SendEmailPage" Title="Send Email" ValidateRequest="false" EnableEventValidation="false"
    CodeBehind="SendEmail.aspx.cs" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc3" %>
<%@ Register Src="~/controls/Attachments.ascx" TagName="Attachments" TagPrefix="uc4" %>
<%@ Register Src="~/controls/FtpSearchObject.ascx" TagName="FtpSearchObject" TagPrefix="uc3" %>
<%@ Register Src="~/controls/SelectTemplate.ascx" TagName="SelectTemplate" TagPrefix="uc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">
    <style>
        #ui-datepicker-div{
            display:none;
        }
    </style>
    <script type="text/javascript">
        var regExLinks = /([ ]*<DIV[ ]+id[ ]*=[ ]*\"?divENZLinks\"?[ ]*>.*<[ ]*\/[ ]*DIV[ ]*>)/ig;
        var regExEnzTagOnly = /([ ]*<DIV[ ]+id[ ]*=[ ]*\"?divENZLinks\"?[ ]*><[ ]*\/[ ]*DIV[ ]*>)/ig;
        var EmailServices = new enzigma.sforce.webapp.webservices.EMailServices();
        function OnClientLoad(editor, args) {
            var removeScriptsFilter = editor.get_filtersManager().getFilterByName("StripScriptsFilter");
            var encodeScriptsFilter = editor.get_filtersManager().getFilterByName("EncodeScriptsFilter");
            var IEKeepScriptsFilter = editor.get_filtersManager().getFilterByName("IEKeepObjectParamsFilter");
            var IECommentScriptsFilter = editor.get_filtersManager().getFilterByName("IEKeepCommentsFilter");
            editor.get_filtersManager().remove(removeScriptsFilter);
            editor.get_filtersManager().remove(encodeScriptsFilter);
            editor.get_filtersManager().remove(IEKeepScriptsFilter);
            editor.get_filtersManager().remove(IECommentScriptsFilter);
        }

        function onCancelToast() {  
          
            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            $('#toastClientSide').css('display', 'none');
          
            return false;
        }

        function OnCancelSendMail(evt) {
            document.getElementById("hideUpdateToaster").style.visibility = "hidden";
            window.close();
            return CancelEvent(evt);
        }
        function EmptyErrorMsg() {  
            EmptyErrorMsgAttach();
            EmptyErrorMsgSelectTemplate();
        }
        /////***** CHANGE TEMPLATE *****/////	
        function OnChooseTemplate(evt) {
            $("#divSelectTemplate").modal('show');
            return CancelEvent(evt);
        }
        function OnTemplateChangeParent(strTemplateID) {
            var editor = $find("<%=edHtmlBody.ClientID%>");
            var strHtml = editor.get_html();
            var bAgree = true;
            document.getElementById('<%=hdTemplateID.ClientID%>').value = strTemplateID;
            $('#divSelectTemplate').modal('hide');
       //     document.getElementById('<%=btnGetTemplate.ClientID%>').click();
            var editor = $find("<%=edHtmlBody.ClientID%>");
            var strHtml = editor.get_html();
            strHtml = strHtml.replace(regExEnzTagOnly, '');
            var bAgree = true;

            var strObjectType = document.getElementById('<%=hdObjectType.ClientID%>').value;
            var strTargetID = document.getElementById('<%=hdID.ClientID%>').value;

            if (bAgree)
                EmailServices.GetTemplate(document.location.search, strTemplateID, strObjectType, strTargetID, OnCompleteTemplate, OnErrorTemplate, OnTimeOutTemplate);
            return false;
        }
        function OnCompleteTemplate(arg) {
            if (arg != null) {
                if (arg.Error != null)
                    document.getElementById('<%=lbMessageError.ClientID%>').innerHTML = arg.Error;
                //Modified by atul edSubjectNew
                document.getElementById('<%=edSubjectNew.ClientID%>').value = arg.Subject;
                var editor = $find("<%=edHtmlBody.ClientID%>");
                editor.set_html(arg.HtmlValue);
                document.getElementById('ctl00_PageContent_edHtmlBody').removeAttribute("style");
                CreateLinks();
            }
            else {
                var editor = $find("<%=edHtmlBody.ClientID%>");
                editor.set_html(arg.HtmlValue);
                document.getElementById('ctl00_PageContent_edHtmlBody').removeAttribute("style");
                document.getElementById('<%=edSubjectNew.ClientID%>').value = '';
            }
            $('#divSelectTemplate').modal('hide');
        }
        function OnTimeOutTemplate(arg) {
            $('#toastClientSide').css('display', 'block');
            document.getElementById('errorMessage').innerHTML = 'timeOut has occured';
            $('#spinner-id').css('display', 'none');
            return false;
        }
        function OnErrorTemplate(arg) {
            $('#toastClientSide').css('display', 'block');
            document.getElementById('errorMessage').innerHTML = 'error has occured' + arg._message;
            $('#spinner-id').css('display', 'none');
            return false;
        }
        ////******GENERATE LINKS *****//////
        function OnAttachFiles(evt) {
            $("#divAttachments").modal('show');
            InitAttachControls();
            return CancelEvent(evt);
        }
        var arrAttachments = new Array(); //null;
        var iTotalSize = 0;
        window.onload = GenerateLink;
        function GenerateLink() {

            OnGenerateLink(document.getElementById('<%=hdAllAttachments.ClientID%>').value, '0');
        }
        function OnGenerateLink(strAttachments, strOption) {
            if (strAttachments != '') {
                var arrNewAttachments = eval(strAttachments);
                var iTotalMaxFileSize = parseInt(document.getElementById('<%=hdTotalMaxFileSize.ClientID%>').value);
                document.getElementById('<%=hdAllAttachments.ClientID%>').value = strAttachments;
                if (CheckMailOption(arrNewAttachments)) {
                    for (var iIndex = 0; iIndex < arrNewAttachments.length; iIndex++) {
                        var bExist = false;
                        var iLen = 0;
                        if (arrAttachments == null)
                            arrAttachments = new Array();
                        for (iLen = 0; iLen < arrAttachments.length; iLen++) {
                            if (arrAttachments[iLen].AttachmentId == arrNewAttachments[iIndex].AttachmentId) {
                                arrAttachments[iLen].Action = arrNewAttachments[iIndex].Action;
                                bExist = true;
                            }
                        }
                        if (!bExist) {
                            if (arrNewAttachments[iIndex].Action == 0) {
                                iTotalSize += parseInt(arrNewAttachments[iIndex].Bytes);
                                if (iTotalSize > iTotalMaxFileSize * 1024 * 1024) {
                                    $('#toastClientSide').css('display', 'block');
                                    document.getElementById('errorMessage').innerHTML = '<%=Resources.SendMail.MaxFileTotalSizeLimitExceed%>';
                                    $('#spinner-id').css('display', 'none');
                                    break;
                                }
                            }
                            arrAttachments[arrAttachments.length] = arrNewAttachments[iIndex];
                        }
                    }
                    CreateLinks();
                    UpdateAttachments();
                    $("#divAttachments").modal('hide');
                    $("Div").removeClass("modal-backdrop fade in");
                }
                else {
                    document.getElementById('divFtpSearchObject').style.display = 'none';
                    $('#toastClientSide').css('display', 'block');
                    document.getElementById('errorMessage').innerHTML = 'Salesforce not allow send mail with attachments!';
                    $('#spinner-id').css('display', 'none');
                    return false;
                    //  alert("Salesforce not allow send mail with attachments!");
                }
            }
        }
        //This method checks that if we are sending mail by salesforce then no any attachment(i.e going to send) attached as an attachment.
        function CheckMailOption(arrCheckAttachments) {
            var bAllow = true;
            if (arrCheckAttachments != null) {
                if (document.getElementById('<%=rdSalesforceNew.ClientID%>').checked) {
                    for (var iIndex = 0; iIndex < arrCheckAttachments.length; iIndex++) {
                        if (arrCheckAttachments[iIndex].Action == 0)//Link = 1,Attachment = 0
                            bAllow = false;
                    }
                }
            }
            return bAllow;
        }
        var strMailOption = '1';
        function OnMailOptionChange() {
            if (!CheckMailOption(arrAttachments)) {
                //Modified by atul rdSMTPNew etc..
                $('#toastClientSide').css('display', 'block');
                document.getElementById('errorMessage').innerHTML = '<%=Resources.SendMail.SalesforceNotAllowAttachment%>';
                    $('#spinner-id').css('display', 'none');

                    document.getElementById('<%=rdSalesforceNew.ClientID%>').checked = false;
                document.getElementById('<%=rdSMTPNew.ClientID%>').checked = true;
                    return false;
                }
                if (document.getElementById('<%=rdSalesforceNew.ClientID%>').checked)
                    strMailOption = '0';
                else {
                    strMailOption = '1';
                    //Modified by atul
                    document.getElementById('<%=chkRecToSalesforceNew%>');
            }
        }
        function UpdateAttachments() {
            if (arrAttachments != null) {
                AddToTable();
                var strAttachmentsInfo = '';
                document.getElementById('attachmentCounts').innerHTML = arrAttachments.length;
                if (arrAttachments.length > 0) {
                    for (var iIndex = 0; iIndex < arrAttachments.length; iIndex++) {
                        if (arrAttachments[iIndex].Action == 0) {
                            if (strAttachmentsInfo == '')
                                strAttachmentsInfo = arrAttachments[iIndex].AttachmentId + ';' + arrAttachments[iIndex].AttachmentVersion + ';' + arrAttachments[iIndex].Size + ';' + arrAttachments[iIndex].ExpiryDate + ';' + arrAttachments[iIndex].AttachmentName;
                            else
                                strAttachmentsInfo = strAttachmentsInfo + ';' + arrAttachments[iIndex].AttachmentId + ';' + arrAttachments[iIndex].AttachmentVersion + ';' + arrAttachments[iIndex].Size + ';' + arrAttachments[iIndex].ExpiryDate + ';' + arrAttachments[iIndex].AttachmentName;
                        }
                    }
                    document.getElementById('<%=hdArrAttachments.ClientID%>').value = strAttachmentsInfo;
                }
                else
                    document.getElementById('AttachmentTable').innerHTML = '<table><tbody></tbody></table>';
            }
            else
                document.getElementById('AttachmentTable').innerHTML = '<table><tbody></tbody></table>';
        }

        function AddToTable() {
            $("#tbAttachments").remove();
            $("#AttachmentTable").html('');
            $("#AttachmentTable").append('<table id="tbAttachments" class="slds-table slds-table_cell-buffer slds-table_bordered slds-table_striped slds-text-body_regular"  ><tr style="background-color:#d8d8d75c"><th width="80px" >Type</td><th width="250px">Name</th><th width="70px">Size</th><th width="80px">Expires On</th><th width="40px">Action</th></tr></table>');
            var tbAttachments = $("#tbAttachments");
            for (var iIndex = 0; iIndex < arrAttachments.length; iIndex++) {
                var attachment = arrAttachments[iIndex];
                tbAttachments.append('<tr class="slds-hint-parent" id="row_' + attachment.AttachmentId + '"/>' +
            '<td data-label="Name" class="slds-text-body_regular">' + (attachment.Action == 0 ? "Attachment" : "Link") + '</td>' +
            '<td data-label="Name" class="slds-text-body_regular">' + attachment.AttachmentName + '</td>' +
            '<td data-label="Name" class="slds-text-body_regular">' + attachment.Size + '</td>' +
            '<td data-label="Name" class="slds-text-body_regular">' + attachment.ExpiryDate + '</td>' +
            '<td data-label="Name" class="slds-text-body_regular"><button onclick="return OnDeleteRow(this.id,event)" id="btn_' + attachment.AttachmentId + '" class="slds-button slds-button_icon"> <svg class="slds-button__icon" aria-hidden="true"> <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close"></use> </svg> </button></td>');
            }
            $("#AttachmentTable").modal("hide");
        }

        function AttachModel() {
            if (arrAttachments.length > 0) {
                UpdateAttachments();
                $("#AttachmentTable").modal("show");
            }
            else {
                document.getElementById('#AttachmentTable').style.display = "none";

            }
        }

        function setTable() {
            AddToTable();
        }
        function OnDeleteRow(btnId, evt) {
            var id = btnId.split('_')[1];
            for (var iIndex = 0; iIndex < arrAttachments.length; iIndex++) {
                if (arrAttachments[iIndex].AttachmentId == id) {
                    var strAction = ''
                    if (arrAttachments[iIndex].Action == 0)
                        strAction = 'Attachment';
                    else
                        strAction = 'Link';
                    arrAttachments.splice(iIndex, 1);
                    CreateLinks();
                    UpdateAttachments();
                    document.getElementById('<%=hdAllAttachments.ClientID%>').value = JSON.stringify(arrAttachments);
                    break;
                }
            }
            return CancelEvent(evt);
        }
        function CreateLinks() {
            var strLinks = '';
            var strAttachments = '';
            var strTextLinks = '';
            for (var iIndex = 0; iIndex < arrAttachments.length; iIndex++) {
                if (arrAttachments[iIndex].Action == 1) {
                    strLinks = strLinks + "<a href=" + arrAttachments[iIndex].AttachmentLink + ">" + arrAttachments[iIndex].AttachmentName + " (" + arrAttachments[iIndex].Size + ") " + arrAttachments[iIndex].ExpiryDate + "</a></br>";
                    strTextLinks = strTextLinks + arrAttachments[iIndex].AttachmentName + "(" + arrAttachments[iIndex].Size + ")" + arrAttachments[iIndex].ExpiryDate + " = " + arrAttachments[iIndex].AttachmentLink; // + "\n";
                }
                else {
                    if (strAttachments == "")
                        strAttachments = " " + arrAttachments[iIndex].AttachmentName + " ( " + arrAttachments[iIndex].Size + " )"; // + arrAttachments[iIndex].ExpiryDate;
                    else
                        strAttachments = strAttachments + ", " + arrAttachments[iIndex].AttachmentName + " ( " + arrAttachments[iIndex].Size + " )"; // + arrAttachments[iIndex].ExpiryDate;
                }
            }
            document.getElementById('<%=lbAttachmentsNew.ClientID%>').innerHTML = strAttachments;
            GenerateLinks(strLinks, strTextLinks);
        }
        var m_bHtml = true;
        function GenerateLinks(strLinks, strTextLinks) {
            var editor = $find("<%=edHtmlBody.ClientID%>");
                var strHtmlBody = editor.get_html();
                if (!strHtmlBody)
                    strHtmlBody = '';
                m_bHtml = true;
                strHtmlBody = InsertLinksToBody(strHtmlBody, strLinks, true);
                var editor = $find("<%=edHtmlBody.ClientID%>");
            editor.set_html(strHtmlBody);
            m_bHtml = false;
        }
        function InsertLinksToBody(strBody, strLinks, bIsHtml) {
            if (bIsHtml) {
                var preview = $("#windowPreview").contents().find("#divPreview");
                if (preview.length == 0) {
                    var wndPreview = document.getElementById('windowPreview');
                    if (wndPreview) {
                        if (wndPreview.contentDocument) {
                            wndPreview.contentDocument.write('<div id="divPreview" />');
                            wndPreview.contentDocument.close();
                        }
                        else {
                            wndPreview = windowPreview;
                            wndPreview.document.write('<div id="divPreview" />');
                            wndPreview.document.close();
                        }
                    }
                    else {
                        wndPreview = windowPreview;
                        wndPreview.document.write('<div id="divPreview" />');
                        wndPreview.document.close();
                    }
                }
                var preview = $("#windowPreview").contents().find("#divPreview");
                preview.html(strBody);
                var links = $("#windowPreview").contents().find("#divENZLinks");
                if (links.length == 0)
                    preview.prepend('<div id="divENZLinks" />');
                links = $("#windowPreview").contents().find("#divENZLinks");
                links.html(strLinks);
                return preview.html();
            }
            else {
                $("#divPreview").text(strBody);
                if ($("#divPreview > #divENZLinks").length == 0)
                    $("#divPreview").prepend('<div id="divENZLinks" />');
                $("#divPreview > #divENZLinks").text(strLinks);
                return $("#divPreview").text();
            }
        }


        function OnSendMail(evt) {
            $('#spinner-id').css('display', 'block');
            var editor = $find("<%=edHtmlBody.ClientID%>");
            var strHtmlBody = editor.get_html();
            var strSubject = document.getElementById('<%=edSubjectNew.ClientID%>').value;
            var bAgree = true;

            ////check To Address
            var strToAddress = document.getElementById('<%=edToAddressNew.ClientID%>').value;
            if (strToAddress == null || strToAddress == '') {
                $('#toastClientSide').css('display', 'block');
                document.getElementById('errorMessage').innerHTML = '<%=Resources.SendMail.EmptyToAddress%>';
                $('#spinner-id').css('display', 'none');
                return false;
            }
            else {
                if (!IsValidEmailAddresses(strToAddress)) {
                    $('#toastClientSide').css('display', 'block');
                    document.getElementById('errorMessage').innerHTML = '<%=Resources.SendMail.WrongToAddress%>';
                    $('#spinner-id').css('display', 'none');
                    return false;
                }
            }
            ////check CC Address
            var strCcAddress = document.getElementById('<%=edCcAddressNew.ClientID%>').value;
            if (strCcAddress != null && strCcAddress != '' && !IsValidEmailAddresses(strCcAddress)) {
                $('#toastClientSide').css('display', 'block');
                document.getElementById('errorMessage').innerHTML = '<%=Resources.SendMail.WrongCcAddress%>';
                $('#spinner-id').css('display', 'none');
                return false;
            }
            ////check Bcc Address
            var strBccAddress = document.getElementById('<%=edBccAddressNew.ClientID%>').value;
            if (strBccAddress != null && strBccAddress != '' && !IsValidEmailAddresses(strBccAddress)) {
                $('#toastClientSide').css('display', 'block');
                document.getElementById('errorMessage').innerHTML = '<%=Resources.SendMail.WrongBccAddress%>';
                $('#spinner-id').css('display', 'none');
                return false;
            }

            $('#toastClientSide').css('display', 'none');
        }
        function IsValidEmailAddresses(strMailAddresses) {
            var arrAddress = strMailAddresses.split(';');
            var bWrong = false;

            for (var iIndex = 0; iIndex < arrAddress.length; iIndex++) {
                var arrAdd = arrAddress[iIndex].split(',');

                for (var iLen = 0; iLen < arrAdd.length; iLen++) {
                    var re5digit = /\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/;
                    if (arrAdd[iLen].search(re5digit) == -1) {
                        bWrong = true;
                        break;
                    }
                }
                if (bWrong)
                    break;
            }

            if (bWrong)
                return false;

            return true;
        }
        function CancelEvent(evt) {
            if (window.event) {
                window.event.cancelBubble = true;
                window.event.returnValue = false;
            }
            else
                evt.cancelBubble = true;

            if (evt.stopPropagation)
                evt.stopPropagation();
            if (evt.preventDefault)
                evt.preventDefault();

            return false;
        }
        var newWindow = false;
        function OnPreviewMail(evt) {
            var strHtmlBody = document.getElementById('<%=edHtmlBody.ClientID%>').value;
            if (strHtmlBody == null || strHtmlBody == '') {
                strHtmlBody = '<html><head><title>Preview</title></head><body></body></html>';
            }
            newWindow = open('', '', 'resizable=1,scrollbars=1,status=1,height=700,width=1024');
            if (window.focus) { newWindow.focus() }
            newWindow.document.write(strHtmlBody);
            return CancelEvent(evt);
        }
        function OnCancel() {
            var experienceView = 'https://' + new URLSearchParams(window.location.search).get('SFUrl').split('/')[2] + '/' + new URLSearchParams(window.location.search).get('ID');
            setTimeout(function () { window.open(experienceView, '_self'); }, 3000);
        }
        function GetHtmlData() {
            var strHtmlBody = document.getElementById('<%=edHtmlBody.ClientID%>').value; //<head></head><body>
             strHtmlBody = (((((strHtmlBody.replace('<html>', '')).replace('</html>', '')).replace('<head>', '')).replace('</head>', '')).replace('<body>', '')).replace('</body>', '');
             return strHtmlBody;
         }
         $(document).ready(function () {

             $('link[href="../App_Themes/Default/common.css"]').remove();
             $("#btnBCC").button({ icons: { primary: "ui-icon-circle-triangle-s" } });
             $("#btnCC").button({ icons: { primary: "ui-icon-circle-triangle-s" } });
             $("#btnAttachments").button({ icons: { primary: "ui-icon-circle-triangle-s" } });
             $(".rowBCC").hide();
             $(".rowCC").hide();
             document.getElementById('ctl00_PageContent_edHtmlBody').removeAttribute("style");
            

             $('#btnCC').click(function () {
                 $('.rowCC').toggle();
                 if ($('.rowCC').css("display") == "none") {
                     $('#PageContent_edCcAddressNew').val("");
                 }
                 $('#edCcAddress').focus();
                 CancelEvent(event);
             })

             $('#btnBCC').click(function () {
                 $('.rowBCC').toggle();
                 if ($('.rowBCC').css("display") == "none") {
                     $('#PageContent_edBccAddressNew').val("");
                 }
                 $('#edBccAddress').focus();
                 CancelEvent(event);
             })
         });

         function HideModal(e) {
          
             document.getElementById("ui-datepicker-div").style.display = "none";
             $("#divAttachments").modal('hide');
             onCancelToast();
             document.getElementById('PageContent_Attachments1_lbError').innerHTML = "";
             e.preventDefault();
             return false;
         }

         function HideModalTemplate(e) {
             $("#divSelectTemplate").modal('hide');
             e.preventDefault();
             return false;
         }

         window.onload = function () {
             UpdateAttachments();
             document.getElementById('PageContent_updatePanelMain').removeAttribute("style");
             document.getElementById('ctl00_PageContent_edHtmlBody').removeAttribute("style");
             document.getElementById('ctl00_PageContent_edHtmlBodyWrapper').removeAttribute("style");
         }
    </script>
    <cc3:ToolkitScriptManager ID="ToolkitScriptManager" runat="server">
        <Services>
            <asp:ServiceReference Path="~/webservices/EmailServices.asmx" />
        </Services>
    </cc3:ToolkitScriptManager>
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Send Email">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#attach" />
                                    </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Send File</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Send Email  With Attachment</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">

                            <p>Select a file or link you want to send as an attachment using "Attach" button,Once file is Attached successfully click on "Send Mail" button.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container" style="background-color: #b19f7e;" title="">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#standard_objects" />
                                    </svg>
                                </span>
                            </div>
                            <p runat="server" class="slds-text-body_small slds-p-top_x-small slds-line-height_reset">
                                <b>
                                    <asp:Label ID="lbObjectTypeNew" runat="server" CssClass="slds-text-heading--small">Object Type</asp:Label></b>
                            </p>
                        </div>
                        <%--<div class="slds-grid slds-wrap slds-p-top_small slds-border_top">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <asp:Label ID="lbObjectNameNew" runat="server"></asp:Label>
                            </div>
                        </div>--%>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <asp:Label ID="lbObjectNameNew" runat="server" CssClass="slds-text-heading_small"></asp:Label>
                            </div>
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">

                                <span class="slds-clearfix slds-float_right">
                                    <a href="#" id="btnCC" class="slds-button slds-button_neutral slds-m-top_medium">CC</a>
                                    <a href="#" id="btnBCC" class="slds-button slds-button_neutral slds-m-top_medium">BCC</a>
                                    <%-- <a href="#" id="btnAttachments" onclick="AttachModel()" class="slds-button slds-button_neutral slds-m-top_medium">Attachments</a>--%>
                                </span>
                            </div>
                        </div>
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                            <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                            <span class="slds-assistive-text">info</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                </svg>
                                            </span>
                                            <div class="slds-notify__content">

                                                <h2 class="slds-text-body_regular ">
                                                    <asp:Label ID="lbMessageError" runat="server"></asp:Label>
                                                </h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnErrorCloseSuccess" onclick="return hideToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- client side toaster-->
                            <div id="toastClientSide" class="slds-scrollable" style="display: none;">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <span class="slds-assistive-text">error</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                <h2 class="slds-text-body_regular ">
                                                    <span id="errorMessage"></span>
                                                </h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick="return onCancelToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                <div class="demo-only">
                                    <div class="slds-notify_container slds-is-relative">
                                        <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                            <span class="slds-assistive-text">error</span>
                                            <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                </svg>
                                            </span>
                                            <div class="slds-notify__content">
                                                <h2 class="slds-text-body_regular ">
                                                    <asp:Label ID="lblError" runat="server"></asp:Label></h2>
                                            </div>
                                            <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnErrorClose" onclick="return onCancelToast()">
                                                <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                <span class="slds-assistive-text">Close</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbToAddressNew" runat="server" Text="To" CssClass="slds-form-element__label"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edToAddressNew" runat="server" CssClass="slds-input"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbSubjectNew" runat="server" Text="Subject" CssClass="slds-form-element__label"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:UpdatePanel ID="updatePanelSubjectNew" runat="server" UpdateMode="Conditional">
                                            <Triggers>
                                                <asp:AsyncPostBackTrigger ControlID="btnGetTemplate" EventName="Click" />
                                            </Triggers>
                                            <ContentTemplate>
                                                <!--OnTextChanged="edSubject_TextChanged"-->
                                                <asp:TextBox ID="edSubjectNew" runat="server" CssClass="slds-input"></asp:TextBox>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small ">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large rowCC">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbCcAddressNew" runat="server" Text="Cc" CssClass="slds-form-element__label"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edCcAddressNew" runat="server" CssClass="slds-input"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large rowBCC">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbBccAddressNew" runat="server" Text="Bcc" CssClass="slds-form-element__label"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:TextBox ID="edBccAddressNew" runat="server" CssClass="slds-input"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small ">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lbMailOptionNew" runat="server" CssClass="slds-form-element__label" Text="Send mail"></asp:Label>
                                        <cc2:Help ID="Help7New" runat="server" HelpMessageID="Resources.Help.SendMailThrough"></cc2:Help>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <div class="slds-grid slds-wrap">
                                            <div class="slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                                <asp:RadioButton ID="rdSalesforceNew" runat="server" GroupName="MailOption" Text="&nbsp;&nbsp;&nbsp;Salesforce" CssClass="slds-form-element__label slds-text-boy_regular" Font-Bold="false" Style="margin-bottom: -5px; font-weight: 500;" />
                                            </div>
                                            <div class=" slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                                <asp:RadioButton ID="rdSMTPNew" runat="server" GroupName="MailOption" Checked="True" Text="&nbsp;&nbsp;&nbsp;SMTP" CssClass="slds-form-element__label slds-text-boy_regular" Font-Bold="false" Style="margin-bottom: -5px; font-weight: 500;" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="Label1" runat="server" CssClass="slds-form-element__label" Text=""></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <div class="slds-grid slds-wrap">
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                                <div class="slds-form-element">
                                                    <div class="slds-form-element__control">
                                                        <asp:CheckBox ID="chkMailPriorityNew" runat="server" Text=" Priority (Importance: High)" CssClass="slds-form-element__label slds-text-body_regular" Style="margin-bottom: 0px; font-weight: 500;" /><%--</span>--%>
                                                        <cc2:Help ID="ttPrioritySendMail" runat="server" HelpMessageID="Resources.Help.PrioritySendMail">
                                                        </cc2:Help>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                                <asp:CheckBox ID="chkRecToSalesforceNew" runat="server" Text="Record to Salesforce" Checked="True" CssClass="slds-form-element__label slds-text-body_regular" Style="margin-bottom: -5px; font-weight: 500;" />
                                                <cc2:Help ID="Help8" runat="server" HelpMessageID="Resources.Help.RecordToSalesforce">
                                                </cc2:Help>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small" style="display: none">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="lblAttachmentsNew" runat="server" CssClass="slds-form-element__label" Text="Attachments"></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:Label ID="lbAttachmentsNew" runat="server" CssClass="slds-form-element__label"></asp:Label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small ">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                                <div class="slds-form-element">
                                    <span class="slds-text-body_regular">
                                        <asp:Label ID="Label3" runat="server" Text=""></asp:Label>
                                    </span>
                                    <div class="slds-form-element__control">
                                        <asp:UpdatePanel ID="updatePanelMain" runat="server" UpdateMode="Conditional">
                                            <Triggers>
                                                <asp:AsyncPostBackTrigger ControlID="btnGetTemplate" EventName="Click" />
                                            </Triggers>
                                            <ContentTemplate>
                                                <telerik:RadEditor ID="edHtmlBody" BackColor="White" runat="server" ToolsFile="~/App_Data/Emails/BasicTools.xml"
                                                    OnClientLoad="OnClientLoad" Visible="true"
                                                    StripFormattingOptions="NoneSupressCleanMessage"
                                                    Width="100%" Height="200%">
                                                </telerik:RadEditor>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-card slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                                <div class="slds-box" style="padding: 0;">
                                    <div class="slds-card__header slds-grid">
                                        <header class="slds-media slds-media_center slds-has-flexi-truncate">
                                            <div class="slds-media__figure">
                                                <span class="slds-icon_container slds-icon-standard-account" title="FTP Attachments">
                                                    <svg class="slds-icon slds-p-around--xx-small" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#attach" />
                                                    </svg>
                                                    <span class="slds-assistive-text">FTP Attachments</span>
                                                </span>
                                            </div>
                                            <div class="slds-media__body">
                                                <h2 class="slds-card__header-title slds-card__header-link slds-truncate slds-text-heading--small">
                                                    <span>Attachments & Links (</span><span id="attachmentCounts"></span>)
                                                </h2>
                                            </div>
                                        </header>

                                    </div>
                                    <div id="AttachmentTable" style="display: block"></div>
                                </div>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small ">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-right_xx-large">
                                <span class="slds-clearfix slds-float_right">
                                    <asp:Button ID="btnAttachfilesNew" runat="server" Text="Attach" OnClientClick="return OnAttachFiles(event);" CssClass="slds-button slds-button_neutral slds-m-top_medium" />
                                    <asp:Button ID="btnChooseTemplateNew" runat="server" Text="Select Template" OnClientClick="return OnChooseTemplate(event);" CssClass="slds-button slds-button_neutral  slds-m-top_medium" />
                                    <asp:Button ID="btnSendEMailCNew" runat="server" OnClick="btnSendEmail_Click" SkinID="DefaultButton" OnClientClick="return OnSendMail(event);" Text="Send Mail" Visible="true" CssClass="slds-button slds-button_neutral  slds-m-top_medium" />
                                    <button id="btnCancelCNew" type="button" class="slds-button slds-button_brand  slds-m-top_medium" onclick="OnCancel()">Done</button>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div id="spinner-id" class="slds-spinner_container" style="display: none">
                        <div class="demo-only">
                            <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                <span class="slds-assistive-text">Loading</span>
                                <div class="slds-spinner__dot-a"></div>
                                <div class="slds-spinner__dot-b"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!--slds modal-->
            <div class="modal fade" id="divAttachments" role="dialog">
                <div class="demo-only" style="height: 640px;">
                    <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                        <div class="slds-modal__container" style="max-width: 42rem;">
                            <header class="slds-modal__header">
                                <button id="modal-divAttachment" class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick="HideModal(event)">
                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                    </svg>
                                    <span class="slds-assistive-text">Close</span>
                                </button>
                                <span id="modal-heading-02" class="title slds-text-heading_medium">Attachment</span>
                            </header>
                            <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1" style="overflow: auto;">
                                <asp:UpdatePanel ID="UpdatePaneAttachments" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <uc4:Attachments ID="Attachments1" runat="server"></uc4:Attachments>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                            <footer class="slds-modal__footer">
                                <button class="slds-button slds-button_neutral" onclick="HideModal(event)">Cancel</button>
                            </footer>
                        </div>
                    </section>
                    <div class="slds-backdrop slds-backdrop_open"></div>
                </div>
            </div>
            <div class="modal fade" id="divSelectTemplate" role="dialog">
                <div class="demo-only">
                    <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                        <div class="slds-modal__container">
                            <header class="slds-modal__header">
                                <button id="modal-divSelectTemplate" class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick="HideModalTemplate(event)">
                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                    </svg>
                                    <span class="slds-assistive-text">Close</span>
                                </button>
                                <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Template</h2>
                            </header>
                            <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                                <uc2:SelectTemplate ID="SelectTemplate" runat="server"></uc2:SelectTemplate>
                            </div>
                            <footer class="slds-modal__footer">
                                <button class="slds-button slds-button_neutral" onclick="HideModalTemplate(event)">Cancel</button>
                            </footer>
                        </div>
                    </section>
                    <div class="slds-backdrop slds-backdrop_open"></div>
                </div>
            </div>
            <div class="modal fade" id="divFtpSearchObject" role="dialog">
                <div class="demo-only" style="height: 640px;">
                    <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                        <div class="slds-modal__container">
                            <header class="slds-modal__header">
                                <button id="modal-divFtpSearchObject" class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" data-dismiss="modal">
                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                    </svg>
                                    <span class="slds-assistive-text">Close</span>
                                </button>
                                <h2 id="modal-heading-01" class="title slds-text-heading--medium">Search Object</h2>
                            </header>
                            <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="false" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <uc3:FtpSearchObject ID="FtpSearchObject" runat="server"></uc3:FtpSearchObject>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                            <footer class="slds-modal__footer">
                                <button class="slds-button slds-button_neutral" data-dismiss="modal">Cancel</button>
                            </footer>
                        </div>
                    </section>
                    <div class="slds-backdrop slds-backdrop_open"></div>
                </div>
            </div>
            <div id="divMain">
                <div style="display: none;">
                    <asp:Button ID="btnGetTemplate" runat="server" OnClick="btnGetTemplate_Click" />
                </div>
                <div style="display: none;">
                    <table id="tblMain" cellpadding="1" cellspacing="0" runat="server">
                    </table>
                </div>
            </div>
            <%--Attach table--%>
            <div class="modal fade" id="AttachmentTable1" role="dialog"></div>
            <!-- Modal -->
            <iframe id="windowPreview" style="display: none;"></iframe>
            <table id="tblError" style="width: 600px; height: 600px" runat="server">
                <tr>
                    <td align="center" valign="middle">
                        <asp:Label ID="lbError" runat="server" SkinID="Error">This feature is available only in FTP Attachments Pro</asp:Label>
                    </td>
                </tr>
            </table>
            <asp:HiddenField ID="hdArrAttachments" runat="server" />
            <asp:HiddenField ID="hdAttachmentID" runat="server" />
            <asp:HiddenField ID="hdAttachments" runat="server" />
            <asp:HiddenField ID="hdDownloadID" runat="server" />
            <asp:HiddenField ID="hdnMailOption" runat="server" />
            <asp:HiddenField ID="hdTargetId" runat="server" />
            <asp:HiddenField ID="hdIsEmailPresentSF" runat="server" />
            <asp:HiddenField ID="hdWhoId" runat="server" />
            <asp:HiddenField ID="hdWhatId" runat="server" />
            <asp:HiddenField ID="hdFromAddress" runat="server" />
            <asp:HiddenField ID="hdObjectType" runat="server" />
            <asp:HiddenField ID="hdID" runat="server" />
            <asp:HiddenField ID="hdTotalMaxFileSize" runat="server"></asp:HiddenField>
            <asp:HiddenField ID="hdAllAttachments" runat="server" />
            <asp:HiddenField ID="hdTemplateID" runat="server" />
        </div>
    </div>
</asp:Content>
