﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="View" MasterPageFile="~/UserMasterPage.master" CodeBehind="View.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script src="../scripts/common.js" type="text/javascript" charset="utf-8"></script>
    <asp:ScriptManager ID="ScriptManager" runat="server">
        <Services>
            <asp:ServiceReference InlineScript="false" Path="~/WebServices/FTPAttachments.asmx" />
        </Services>
    </asp:ScriptManager>

    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-forecasts" title="View">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true" title="View">
                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#product_consumed" />
                                    </svg>
                                </span>
                            </div>
                            <div runat="server" id="Div2" class="slds-media__body">
                                <nav>
                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                        <ul class="slds-breadcrumb__item">
                                            <span>Download File</span>
                                        </ul>
                                    </ol>
                                </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Download attachment from server</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            
                            <p>Download will start automatically after the file you requested is downloaded from Storage Server to the Application Server.  In case download does not start automatically after being downloaded from Storage Server to Application Server, please click on the "Download" button below.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="slds-p-top_small"></div>
            <div class="slds-card">
                <div class="slds-p-around_small">
                    <div class="slds-box">
                        <%--   <div class="slds-grid slds-wrap">--%>
                        <div class="slds-col slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-media slds-media_center slds-has-flexi-truncate">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-file" title="View">
                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                        <use xlink:href="../css/vendor/slds/assets/icons/standard-sprite/svg/symbols.svg#product_consumed"></use>
                                    </svg>
                                    <span class="slds-assistive-text">account</span>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <h2 class="slds-card__header-title">
                                    <span class="slds-text-heading_small"><b>Click to Download</b></span>
                                </h2>
                            </div>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-align_absolute-center">
                                <div id="toast" class="slds-scrollable" style="display: none;" runat="server">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                <span class="slds-assistive-text">error</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                    </svg>
                                                </span>
                                                <div class="slds-notify__content" style="height: 18px">
                                                    <span>
                                                        <asp:Label ID="lbError" runat="server" SkinID="Error" meta:resourcekey="lbErrorResource1"></asp:Label>
                                                    </span>
                                                </div>
                                                <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return test()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                    </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>--%>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                             
                                    <div id="toastSuccess" class="slds-scrollable" style="display: none;">
                                        <div class="slds-scrollable demo-only">
                                            <div class="slds-notify_container slds-is-relative">
                                                <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                    <span class="slds-assistive-text">success</span>
                                                    <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top">
                                                        <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                        </svg>
                                                    </span>
                                                    <div class="slds-notify__content">
                                                        <span>
                                                            <asp:Label ID="successMessage" runat="server" Text=""></asp:Label></span>
                                                    </div>
                                                    <%--<button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToastsucess()">
                                                        <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                        </svg>
                                                        <span class="slds-assistive-text">Close</span>
                                                    </button>--%>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                         
                        </div>

                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_2-of-12 slds-medium-size_2-of-12 slds-large-size_5-of-12"></div>
                            <div class=" slds-col slds-size_8-of-12 slds-medium-size_8-of-12 slds-large-size_4-of-12 slds-text-align_center">
                                <cc1:ProgressBar ID="progressBar" CssClass="ProgressBar slds-progress-bar slds-progress-bar_large" runat="server" DefaultVisible="True" ProgressBarClass="ProgressBarValue" ProgressBarStatusClass="ProgressBarStatus slds-text-color_success"
                                    ProgressBarTextClass="ProgressBarText slds-text-body_small slds-p-top--x-small" StatusLabelText="<%$Resources:ProgressStatus, StatusLabelText %>"
                                    ValueLabelText="<%$Resources:ProgressStatus, ValueLabelText %>" TextLabel="<%$Resources:ProgressStatus, TextLabel %>" />

                                <input id="hdnDownloadID" name="hdnDownloadID" value="<%=Request.Params["DownloadID"]%>" type="hidden" />
                                <div class="slds-align--absolute-center ">
                                    <asp:Label ID="lbStatus" runat="server" CssClass="slds-text-color_error" meta:resourcekey="lbStatusResource1"></asp:Label>
                                </div>
                            </div>
                            <div class="slds-col slds-size_2-of-12 slds-medium-size_2-of-12 slds-large-size_3-of-12"></div>
                        </div>
                        <div class="slds-col slds-p-top_large slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 slds-p-bottom_x-large">
                            <%--<asp:Button ID="btnDownload1" runat="server" Text="Download" CssClass="slds-button slds-button_neutral" OnClientClick="return OnDownload();" meta:resourcekey="btnDownloadResource1"></asp:Button>--%>

                            <button id="btnDownload" runat="server" skinid="DefaultButton" onclick="return OnDownload();" class="slds-button slds-button_neutral slds-float_right slds-m-horizontal--xx-small" meta:resourcekey="btnDownloadResource1">
                                <svg class="slds-button__icon slds-button__icon_left" aria-hidden="true">
                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/action-sprite/svg/symbols.svg#download" />
                                </svg><span>Download</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">
    
        $(document).ready(function () {
            $('.ProgressBarValue').css("background-color", "#dddbda");
            $('link[href="../App_Themes/Default/common.css"]').remove();
            vpw = $(window).width();
            vph = $(window).height();
            $('#bodyHeight').css({'height': vph + 'px'});

        });

        function test() {
            $('#PageContent_toast').css('display', 'none');
            return false;
        }
        var service = new enzigma.sforce.webapp.webservices.InternalFTPAttachmentsService();
        function UpdateProgress(result, eventArgs)
        {   
            if( result.HasCompleted || result.HasError || result.IsCached )
            {
                
                if(result.ProgressStatus)
                {
                    
                    $('#<%= successMessage.ClientID %>').text(result.ProgressStatus);
                    $('#toastSuccess').css('display', 'inline-block');
                    $('#toast').css('display', 'none')

                }
                window.clearInterval(intervalProgress);
            }    
		    
            
            if(result.Progress > 0)
                $('.ProgressBarValue').css("background-color", "#5eb4ff");
            if( <%=progressBar.ClientID%>_obj )
                <%=progressBar.ClientID%>_obj.UpdateProgress(result.Progress, result.ProgressStatus);
		
            if( result.HasCompleted )
                document.getElementById('<%=btnDownload.ClientID%>').disabled = false;
        }
	
        function OnDownload()
        {
            document.location.href = '<%=Request.RawUrl%>&download=true&DownloadID=<%=DownloadID %>';
            if( window.event )
                window.event.cancelBubble = true;
            return false;
        }
        function OnError(error){}
	
        function RetreiveProgress()
        {
            service.DownloadProgress('<%=DownloadID%>', UpdateProgress, OnError);
        }
        document.getElementById('<%=btnDownload.ClientID%>').disabled = true;
        var intervalProgress = false;
        function OnBodyLoad()
        {
            OnDownload();
            var iInterval = 1000 * <%=enzigma.sforce.webapp.code.Global.ProgressIndicatorInterval%>;
            if( iInterval <= 0 )
                iInterval = 2000;
            intervalProgress = window.setInterval('RetreiveProgress()', iInterval);
        }
        function ClearAllIntervals()
        {
            window.clearInterval(intervalProgress);
        }
	
        RegisterWindowEventHandler('unload', ClearAllIntervals);
    </script>
    <script type="text/javascript">
        window.resizeTo(700,600);
        window.moveTo(window.screen.width/2 - 350, window.screen.height/2 - 300);
    </script>
</asp:Content>
