<%@ Page Language="C#" AutoEventWireup="true" Inherits="SalesforceUserSetup" MasterPageFile="~/MasterPage.master" CodeBehind="SalesforceUserSetup.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="System.Web.Extensions" Namespace="System.Web.UI" TagPrefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="server">
    <script language="javascript" type="text/javascript">

        $(document).ready(function () {
            $('link[href="../../App_Themes/Default/common.css"]').remove();
        });

        function hideToast() {

            $('#PageContent_toast').css('display', 'none');

            $('#PageContent_toastError').css('display', 'none');
            document.getElementById('<%=lbSelfUserError.ClientID%>').value = "";
            document.getElementById('<%=lbSelfUserErrormsg.ClientID%>').value = "";
            return false;
        }
    </script>

    <asp:HiddenField ID="hdnID" runat="server" />
    <asp:ScriptManager ID="ScriptManager" runat="server">
    </asp:ScriptManager>
    <div class="slds-scope">
        <asp:UpdatePanel ID="UpdatePanelSelfServicePortal" runat="server" Visible="true">
            <contenttemplate>
                                    <div class="slds-p-around_small">
                                        <div class="slds-page-header">
                                            <div class="slds-grid">
                                                <div class="slds-col slds-has-flexi-truncate">
                                                    <div class="slds-media slds-no-space slds-grow">
                                                        <div class="slds-media__figure">
                                                            <span class="slds-icon_container slds-icon-standard-opportunity" title="Salesforce User Setup">
                                                                <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                                                         <use xlink:href="../../css/vendor/slds/assets/icons/Utility-sprite/svg/symbols.svg#setup" class="slds-p-around_small"></use>
                                                                    </svg>
                                                            </span>
                                                        </div>
                                                        <div class="slds-media__body">
                                                            <nav>
                                                                    <ol class="slds-breadcrumb slds-line-height_reset">
                                                                        <ul class="slds-breadcrumb__item">
                                                                            <span>User Setup</span>
                                                                        </ul>
                                                                    </ol>
                                                                </nav>
                                                            <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Self Service Portal</h1>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="slds-col slds-no-flex slds-grid slds-align-top">
                                                </div>
                                            </div>
                                            <div class="slds-grid slds-page-header__detail-row">
                                                <div class="slds-grid slds-wrap slds-p-around--small">
                                                    <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                                        <p>
                                                            Self Service portal users (your customers using Self Service Portal) do not have rights to create or update
                            any object in Salesforce, because they are not actual Salesforce users. In order to attach a file through
                            Self Service Portal we need to use a Salesforce user credentials.Please enter a valid Salesforce User credentials who has rights to create FTP Attachments on Case, this user
                            will be used to create/update/delete the attachments from the Self Service Portal on behalf of Self Service Portal users.
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="slds-p-horizontal_small slds-p-bottom--small">
                                        <div class="slds-card">
                                            <div class="slds-media__body"></div>
                                            <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                                                <div class="slds-box">
                                                                    <div class="slds-media slds-p-bottom--small">
                                                        <div class="slds-media__figure">
                                                            <h2 class="slds-text-heading--small">
                                                                <span class="slds-text-heading_small slds-text-color--default">
                                                                    <b>Salesforce Self Service Portal</b></span>
                                                            </h2>
                                                        </div>
                                                    </div>
                                                                    <div class="slds-grid slds-wrap slds-align_absolute-center">
                                                                         <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                                                               <div class="demo-only">
                                                                               <div class="slds-notify_container slds-is-relative">
                                                                                 <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                                                        <span class="slds-assistive-text">info</span>
                                                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                                                             </svg>
                                                                                        </span>
                                                                        <div class="slds-notify__content">
                                                                             <h2 class="slds-text-body_regular ">
                                                                            <asp:Label ID="lbSelfUserError" runat="server" Visible="true" Width="100%" SkinID="Error"></asp:Label></h2>
                                                                        </div>
                                                                        <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close"  onclick="return hideToast()></button>                                          <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                 <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                            </svg>
                                                                            <span class="slds-assistive-text">Close</span>
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                                </div>
                                                                         </div>

                                                                         <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                                                                      <div class="demo-only">
                                                                                      <div class="slds-notify_container slds-is-relative">
                                                         
                                                                                             <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                                                        <span class="slds-assistive-text">error</span>
                                                                                        <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                                                            <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                                                                                       </svg>
                                                                                        </span>
                                                                                 <div class="slds-notify__content">
                                                                                      <h2 class="slds-text-body_regular ">
                                                                               <asp:Label ID="lbSelfUserErrormsg" runat="server" SkinID="Error" Visible="true"></asp:Label></h2>
                                                                        </div>
                                                                                  <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" onclick="return hideToast()">
                                                                                            <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                                                                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                                                         </svg>
                                                                                       <span class="slds-assistive-text">Close</span>
                                                                                </button>
                                                                            </div>
                                                                                     </div>
                                                                            </div>

                                                                       </div>
                                       
                                                                  </div>
                                                     <div class="slds-p-top_small slds-col  slds-small-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_6-of-12 background-body-color--default">
                                                                <asp:DetailsView ID="detailsViewSelfService" runat="server" BackColor="White"  DataSourceID="SelfServiceSource" BorderWidth="1px" BorderStyle="None" BorderColor="#999999" OnItemUpdating="detailViewSelfUser_ItemUpdating" GridLines="None" CellPadding="1" AutoGenerateRows="False">
                                                                        <Fields>
                                                                    <asp:TemplateField SortExpression="Self Service User Login" HeaderText="Self Service User Login:" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                                        <EditItemTemplate>
                                                                                <asp:TextBox ID="edSelfServiceUserLogin" runat="server" Text='<%# Bind("SelfServiceUserLogin") %>' cssclass="slds-input" font-bold="false"></asp:TextBox>
                                                                                <asp:RequiredFieldValidator ID="reqSelfServiceUserLogin" runat="server" ControlToValidate="edSelfServiceUserLogin" ErrorMessage="Field cant be empty" Display="Dynamic" ForeColor="Red"></asp:RequiredFieldValidator>
                                                                        </EditItemTemplate>
                                                                        <InsertItemTemplate>
                                                                        <asp:TextBox ID="edSelfServiceUserLogin" runat="server" Text='<%# Bind("SelfServiceUserLogin") %>' font-bold="false"></asp:TextBox>
                                        	                            <asp:RequiredFieldValidator ID="reqSelfServiceUserLogin" runat="server" ControlToValidate="edSelfServiceUserLogin" Display="Dynamic" ErrorMessage="Field cant be empty" ForeColor="Red" font-bold="false"></asp:RequiredFieldValidator>
                                                                        </InsertItemTemplate>
                                                                        <HeaderStyle Wrap="False"></HeaderStyle>
                                                                        <ItemTemplate>
                                                                        <asp:Label ID="lbSelfServiceUserLogin" runat="server" Text='<%# Bind("SelfServiceUserLogin") %>' font-bold="false"></asp:Label>
                                                                        </ItemTemplate>
                                          	                            <HeaderTemplate>
	                                    	                            <asp:Label ID="lblSelfServiceLoginHeader" runat="server" Text="Self Service User Login" Font-bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                        <div class="slds-float_right">
	                                      	                            <cc2:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.SalesforceLogin">
	                                    	                            </cc2:Help>
                                                                         </div>
	                                                                    </HeaderTemplate>
                                                                     </asp:TemplateField> 

                                                                     <asp:TemplateField SortExpression="Password" HeaderText="Password:" ItemStyle-CssClass="slds-p-vertical_xx-small">
                                                                          <EditItemTemplate>
                                                                            <asp:TextBox ID="edSelfServiceUserPassword" runat="server" Text='<%# Bind("SelfServicePassword") %>' TextMode="Password" font-bold="false" CssClass="slds-input slds-m-top--medium"></asp:TextBox>
                                                                                    <asp:RequiredFieldValidator ID="reqSelfServicePassword" runat="server" ControlToValidate="edSelfServiceUserPassword" ErrorMessage="Field cant be empty" Display="Dynamic" ForeColor="Red"></asp:RequiredFieldValidator>
                                                                            </EditItemTemplate>
                                                                            <InsertItemTemplate>
                                                                            <asp:TextBox ID="edSelfServiceUserPassword" runat="server" Text='<%# Bind("SelfServicePassword") %>' TextMode="Password" font-bold="false"></asp:TextBox>
                                                	                            <asp:RequiredFieldValidator ID="reqSelfServicePassword" runat="server" ControlToValidate="edSelfServiceUserPassword" Display="Dynamic" ErrorMessage="Field cant be empty" ForeColor="Red"></asp:RequiredFieldValidator>
                                                                            </InsertItemTemplate>
                                                                            <HeaderStyle Wrap="False"></HeaderStyle>
                                                                            <ItemTemplate>
                                                                            <asp:Label ID="lbPassword" runat="server" Text="********"></asp:Label>
                                                                            </ItemTemplate>
                                            	                            <HeaderTemplate>
	                                                    	                            <asp:Label ID="lblPassword" runat="server" Text="Password" Font-bold="false" CssClass="slds-form-element__label"></asp:Label>
                                                                                 <div class="slds-float--right">
                                                                                        <cc2:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.SalesforcePassword">
	                                                                                    </cc2:Help>
                                                                                </div>
	                                                                         </HeaderTemplate>
                                                                             </asp:TemplateField>

                                                                            <asp:TemplateField>
                                                                            <EditItemTemplate>
                                                                                <div class="slds-m-top_medium">
                                                                                <asp:Button ID="btnUpdate" runat="server" Text="Update" SkinID="DefaultButton" CommandName="Update" CssClass="slds-button slds-button--brand slds-m-top_medium"></asp:Button>

                                                                                 <asp:Button ID="btnCancel" runat="server" Text="Cancel" SkinID="DefaultButton" CommandName="Cancel" CssClass="slds-button slds-button_neutral slds-m-top_medium" CausesValidation="False"></asp:Button>
                                                                                </div>
                                                                                 <asp:UpdateProgress ID="UpdatePanelSetting" runat="server"  DisplayAfter="200">
                                                                                            <progresstemplate>
                                                                                                      <div class="demo-only">
                                                                                                                   <div class="slds-spinner_container">
                                                                                                                                   <div role="status" class="slds-spinner slds-spinner_medium slds-spinner_brand">
                                                                                                                                       <span class="slds-assistive-text">Loading</span>
                                                                                                                                       <div class="slds-spinner__dot-a"></div>
                                                                                                                                       <div class="slds-spinner__dot-b"></div>
                                                                                                                    </div>
                                                                                                             </div>
                                                                                                      </div>
                                                                                                </progresstemplate>
                                                                                     </asp:UpdateProgress>
                                                                            </EditItemTemplate>
                                                                                <ItemTemplate>
                                                                                            <asp:Button ID="btnEdit" runat="server" Text="Edit" SkinID="DefaultButton" CommandName="Edit" CausesValidation="False" CssClass="slds-button slds-button_neutral slds-m-top_medium"></asp:Button>
                                                                                </ItemTemplate>
                                                                               </asp:TemplateField>
                                                                          </Fields>
                                                                          <FieldHeaderStyle ></FieldHeaderStyle>
                                                            </asp:DetailsView>
                                                         
                                                                     <asp:ObjectDataSource ID="SelfServiceSource" runat="server" TypeName="enzigma.sforce.webapp.code.Business" SelectMethod="GetSettingsByID">
                                                                         <SelectParameters>
                                                                              <asp:QueryStringParameter Type="String" Name="strID" QueryStringField="ID"></asp:QueryStringParameter>
                                                                                   <asp:Parameter Type="String" DefaultValue="enzigma.sforce.webapp.code.business.SelfServiceUserProfile" Name="strType"></asp:Parameter>
                                                                                    </SelectParameters>
                                                                     </asp:ObjectDataSource>
                                                         </div>
                                                           </div>
                                                       </div>
                                                    </div>
                                                </div>
           </contenttemplate>
        </asp:UpdatePanel>

    </div>
</asp:Content>
