<%@ Page Language="C#" AutoEventWireup="true" Inherits="VerifyEmail" MasterPageFile="~/MasterPage.master" CodeBehind="VerifyEmail.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />

    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="Verify Email">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                             <use xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#email" class="slds-p-around_small"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>Verify Email</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Manage Verify Email</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>Verify your email for user authentication.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                            </div>
                            <p runat="server" class="slds-text-body_small slds-p-top_x-small slds-line-height_reset">
                            </p>
                        </div>
                        <div class="slds-grid slds-wrap">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 slds-align_absolute-center">


                                <div id="hideUpdateToaster" class="slds-scrollable" style="display: none">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_info" role="alert">
                                                <span class="slds-assistive-text">info</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                    <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#info" />
                                                </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <h2 class="slds-text-body_regular ">
                                                        <span id="rowUpdateInfo"></span>
                                                    </h2>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div runat="server" id="toast" class="slds-scrollable" style="display: none;">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_success" role="alert">
                                                <span class="slds-assistive-text">info</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#success" />
                                                 </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <h2 class="slds-text-body_regular ">
                                                    <asp:Label ID="lblSuccess" runat="server" SkinID="Error"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                     <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div id="toastError" class="slds-scrollable" style="display: none;" runat="server">
                                    <div class="demo-only">
                                        <div class="slds-notify_container slds-is-relative">
                                            <div class="slds-notify slds-notify_toast slds-theme_error" role="alert">
                                                <span class="slds-assistive-text">error</span>
                                                <span class="slds-icon_container slds-icon-utility-info slds-m-right_small slds-no-flex slds-align-top" title="Description of icon when needed">
                                                    <svg class="slds-icon slds-icon_small" aria-hidden="true">
                                                                               <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#error" />
                                                                           </svg>
                                                </span>
                                                <div class="slds-notify__content">
                                                     <h2 class="slds-text-body_regular ">
                                                    <asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label></h2>
                                                </div>
                                                <button class="slds-button slds-button_icon slds-notify__close slds-button_icon-inverse" title="Close" id="btnClose" onclick="return hideToast()">
                                                    <svg class="slds-button__icon slds-button__icon_large" aria-hidden="true">
                                                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#close" />
                                                </svg>
                                                    <span class="slds-assistive-text">Close</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="slds-grid slds-wrap slds-p-top_small">
                            <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                                <div class="slds-float--left">
                                    <asp:Button ID="btnredirecttologin" Visible="true" runat="server" Text="Back To Login" OnClick="btnRedirect_To_Login" CssClass="slds-button slds-button--brand" meta:resourcekey="btnYesResource1"></asp:Button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" language="javascript">

        function hideToast() {
            $('#PageContent_toast').css('display', 'none');
            $('#PageContent_toastError').css('display', 'none');
            document.getElementById('<%=toast.ClientID%>').value = "";
            return false;
        }
        $(document).ready(function () {
            $('link[href="../App_Themes/Default/common.css"]').remove();
        });
        function OnAttach() {
            if (document.getElementById('ctl00_PageContent_fileUpload').value) {
                document.getElementById('divUploading').style.display = '';
                document.getElementById('rowError').style.display = 'none';
            }
        }
    </script>
</asp:Content>
