﻿function AJAXSend(strURL,strMethod,strMessage)
{
	document.body.style.cursor = 'wait';	
	var httpRequest = false;
	try
	{	
		// IE
		if (window.ActiveXObject) {
			httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
		}		
		// Mozilla/Safari
		else if (window.XMLHttpRequest) {
			httpRequest = new XMLHttpRequest();
			httpRequest.overrideMimeType('text/xml');
		}	
		
		httpRequest.open(strMethod, strURL, false);
		httpRequest.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		httpRequest.send(strMessage); 
		
		return httpRequest;
	}
	catch(ex)
	{
		alert(ex.message);
	}
	finally
	{
		document.body.style.cursor = 'default';
	}
}

function Param(name,value)
{
	this.name = name;
	this.value = value;
}

function WebService(strUrl)
{
	this.Url = strUrl;
	this.call = CallWebService;
}

function CallWebService(strFunctionName, params)
{
	var retObj = new Object();
	var strParams = '';
	var retData = '';
	for(var iIndex = 0; iIndex < params.length; ++iIndex)
		strParams += escape(params[iIndex].name) + '=' + escape(params[iIndex].value) + '&';
	var httpResponse = AJAXSend(this.Url + '/' + strFunctionName, 'POST', strParams);
	
	retObj.status = httpResponse.status;
	retObj.statusText = httpResponse.statusText;
	retObj.response = httpResponse;
	if( httpResponse.status != 200 )
		retObj.errorText = '[' + httpResponse.status + '] ' + httpResponse.statusText;
	retObj.result = GetObject(httpResponse.responseXml);
	return retObj;
}

function GetObject(xmlNode)
{
	var retData = new Object();
	for(var iIndex = 0; iIndex < xmlNode.childNodes.length; ++iIndex)
	{
		var childNode = xmlNode.childNodes[iIndex];
		var bIsArray = false;
		var strArrayName = '';
		if( childNode.nodeName.indexOf('ArrayOf') == 0 )
		{
			strArrayName = childNode.nodeName.substring(7);
			bIsArray = true;
		}
		else if( childNode.childNodes.length > 0 && childNode.nodeName == childNode.childNodes[0].nodeName)
		{
			strArrayName = childNode.nodeName;
			bIsArray = true;
		}
		
		if( bIsArray )
		{
			var arrRet = new Array();
			for(var iArrIndex = 0; iArrIndex < childNode.childNodes.length; ++iArrIndex)
			{
				//alert(strArrayName + ':' + arrRet.length);
				var obj = GetObject(childNode.childNodes[iArrIndex]);
				arrRet[arrRet.length] = obj;
			}
			//alert(childNode.childNodes.length + ':' + strArrayName + ':' + arrRet);
			eval('retData.' + strArrayName + ' = arrRet;');
			//alert('Array: ' + strArrayName + arrRet.length);
		}
		else if(childNode.childNodes.length > 1)
		{
			eval('retData.' + childNode.nodeName + ' = GetObject(childNode);');
			//alert('Object: ' + childNode.nodeName);
		}
		else if(childNode.firstChild)
		{
			eval('retData.' + childNode.nodeName + ' = childNode.firstChild.data;');
			//alert(childNode.nodeName + ' = "' + childNode.firstChild.data +'"');
		}
	}
	return retData;
}

function getXmlValue(value)
{
	 return value.replace('&','&amp;');		
}

function VerifyServerUrl(val, args)
{
	var httpResponse = AJAXSend( args.Value + 'version.txt', 'GET', '');
	args.IsValid = false;
	
	//if( !httpResponse && args.Value.toLowerCase().indexOf('https://') == 0 )
	//	httpResponse = AJAXSend( args.Value.replace('https://','http://') + 'version.txt', 'GET', '');
	
	if( httpResponse && httpResponse.status == 200 )
	{
		var arrVersion = httpResponse.responseText.split('.');
		if( arrVersion.length > 0 && arrVersion[0] >= 2 )
			args.IsValid = true;
	}
}
