angular.module('designerExpertGridDemo', []).
controller('AppCtrl', ['$scope', function ($scope) {
	$scope.designSystems = [{
		id: 'de',
		title: 'Designer.expert Design System',
		c_panel: 'panel-primary',
		c_grid: 'de-grid',
		c_col: 'de-col',
		c_wrap: 'de-wrap',
		c_nowrap: 'de-nowrap',
		c_size: 'de-size',
		c_medium_size: 'de-medium-size',
		c_large_size: 'de-large-size',
		c_container: 'de-container',
	}, {
		id: 'slds',
		title: 'Salesforce Lightning Design System',
		c_panel: 'panel-info',
		c_grid: 'slds-grid',
		c_col: 'slds-col',
		c_wrap: 'slds-wrap',
		c_nowrap: 'slds-nowrap',
		c_size: 'slds-size',
		c_medium_size: 'slds-medium-size',
		c_large_size: 'slds-large-size',
		c_container: 'slds-container',
	}];

	$scope.iterations = function (count) {
		var list = [];
		for (var index = 0; index < count; ++index) list.push(index + 1);
		return list;
	}
}])
