﻿//Every Platforms returns the Result Object
var Result = function (property, value) {
    this.success = true;
    this.data = "";
    this.errorMessage = "";
    this.errorCode = "";
    this.status = "";
    if (property)
        this[property] = value;
};
Result.successWithData = function (data) {
    var result = new Result();
    result.success = true;
    result.data = data;
    return result;
}
Result.failWithErrorMessage = function (strErrorMessage) {
    var result = new Result();
    result.success = false;
    result.errorMessage = strErrorMessage;
    return result;
}
Result.failWithErrorMessageAndStatus = function (strErrorMessage, strStatus) {
    var result = new Result();
    result.success = false;
    result.errorMessage = strErrorMessage;
    result.status = strStatus;
    return result;
}
Result.exception = function (exception)
{
    var result = new Result();
    result.errorCode = "Exception";
    result.success = false;
    if (!(exception instanceof Exception))
        exception = new Exception(exception);
    result.data = exception;
    result.errorMessage = exception.errorMessage;
    return result;
}

