<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" Inherits="help_FTPAttachments_List_Bucket" Title="List Bucket Contents" CodeBehind="ListBucket.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PageContent" runat="Server">
    <link href="<%=enzigma.sforce.webapp.code.Global.WebRoot%>css/vendor/slds/assets/styles/salesforce-lightning-design-system.min.css" rel="stylesheet" type="text/css" />
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <script language="javascript" type="text/javascript">
        function OnConfirmAndDelete(strName, strUrl) {
            if (confirm('Are you sure you want to delete the bucket [' + strName + ']?'))
                window.open(strUrl, '_blank', 'width=500,height=350');
        }
    </script>
    <div class="slds-scope">
        <div class="slds-p-around_small">
            <div class="slds-page-header">
                <div class="slds-grid">
                    <div class="slds-col slds-has-flexi-truncate">
                        <div class="slds-media slds-no-space slds-grow">
                            <div class="slds-media__figure">
                                <span class="slds-icon_container slds-icon-standard-opportunity" title="ListBucket">
                                    <svg class="slds-icon slds-page-header__icon slds-p-around--xx-small" aria-hidden="true">
                                           <use xlink:href="../../css/vendor/slds/assets/icons/utility-sprite/svg/symbols.svg#bucket"></use>
                                        </svg>
                                </span>
                            </div>
                            <div class="slds-media__body">
                                <nav>
                                        <ol class="slds-breadcrumb slds-line-height_reset">
                                            <ul class="slds-breadcrumb__item">
                                                <span>ListBucket</span>
                                            </ul>
                                        </ol>
                                    </nav>
                                <h1 class="slds-page-header__title slds-m-right_small slds-align-middle slds-truncate" title="">Contents Of Amazon</h1>
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-no-flex slds-grid slds-align-top">
                    </div>
                </div>
                <div class="slds-grid slds-page-header__detail-row">
                    <div class="slds-grid slds-wrap slds-p-around--small">
                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1">
                            <p>User can list all the attachments from specific bucket.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="slds-p-horizontal_small slds-p-bottom--small">
            <div class="slds-card">
                <div class="slds-media__body"></div>
                <div class="slds-card__body slds-card__body--inner slds-p-top--small">
                    <div class="slds-box">
                        <div class="slds-media slds-p-bottom--small">
                            <div class="slds-media__figure">
                                <h2 class="slds-text-heading--small">
                                    <span class="slds-text-heading_small slds-text-color--default">
                                        <b>Content of amazon</b>
                                    </span>
                                </h2>
                            </div>
                        </div>
                        <asp:UpdatePanel ID="UpdatePanel" runat="server">
                            <ContentTemplate>
                                    <div class="slds-grid slds-wrap slds-m-top_x-small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-1 slds-large-size_1-of-1 ">
                                        <asp:Label ID="lbSettingError" runat="server" ForeColor="Red"></asp:Label>
                                    </div>
                                </div>
                                    <div class="slds-grid slds-wrap slds-p-top_xx-small ">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12 ">
                                           <b> <asp:Label ID="lbAccessKey" runat="server" Text="Access Key:"></asp:Label></b>
                                            <cc1:Help ID="Help1" runat="server" HelpMessageID="Resources.Help.AmazonAccessKeyID"></cc1:Help>
                                        </div>
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12 ">
                                        <asp:TextBox ID="edAccessKey" runat="server" Width="157px" CssClass="slds-input slds-m-top_x-small"></asp:TextBox>
                                        </div>
                                </div>
                                    <div class="slds-grid slds-wrap slds-p-top_xx-small">
                                    
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12">
                                        <b><asp:Label ID="lbSecretAccessKey" runat="server" Text="Secret  Key:"></asp:Label></b>
                                            <cc1:Help ID="Help2" runat="server" HelpMessageID="Resources.Help.AmazonAccessKeyID"></cc1:Help>
                                        </div>
                                      
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12">
                                             <asp:TextBox ID="edSecretAccessKey" runat="server" Width="157px" CssClass="slds-input"></asp:TextBox>
                                        </div>
                                   </div>
                                    <div class="slds-grid slds-wrap slds-p-top_xx-small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12">
                                           <b> <asp:Label ID="lbBucketName" runat="server" Text="Bucket Name:"></asp:Label></b>
                                            <cc1:Help ID="Help3" runat="server" HelpMessageID="Resources.Help.AmazonAccessKeyID"></cc1:Help>
                                        </div>
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12">
                                        <asp:TextBox ID="edBucketName" runat="server" Width="157px" CssClass="slds-input"></asp:TextBox>
                                        </div>
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_4-of-12">
                                            <asp:CheckBox ID="chkOrgId" runat="server"
                                            Text="Is OrgId?" Checked="True" /><cc1:Help ID="helpOrgID" runat="server" HelpMessageID="Resources.Help.IsOrgID">
                                            </cc1:Help>
                                        </div>
                                </div>
                                    <div class="slds-grid slds-wrap slds-p-top_xx-small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 ">
                                            <asp:Button ID="btnRetrieve" runat="server" OnClick="btnRetrieve_Click" Text="Retrieve Objects" CssClass="slds-button  slds-button_neutral" />
                                        </div>
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2  slds-m-top_x-small">
                                        <asp:Button ID="btnRetreiveBuckets" runat="server" OnClick="btnRetreiveBuckets_Click" Text="Retrieve Buckets" CssClass="slds-button slds-button--brand" />
                                        </div>
                                </div>
                                    <div class="slds-grid slds-wrap slds-p-top_xx-small">
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 ">
                                        <asp:GridView ID="gridBuckets" runat="server" EmptyDataText="No records found">
                                        <Columns>
                                            <asp:TemplateField HeaderText="View">
                                                <ItemTemplate>
                                                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="" Text=""></asp:HyperLink>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                    <asp:GridView ID="gridFiles" runat="server" EmptyDataText="No records found">
                                    </asp:GridView>
                                        </div>
                                </div>
                                    <div class="slds-grid slds-wrap slds-p-top_xx-small" >
                                        <div class="slds-col slds-size_1-of-1 slds-medium-size_1-of-2 slds-large-size_1-of-2 ">
                                            <asp:ObjectDataSource ID="odsAmazon" runat="server" SelectMethod="ListBucketContent" TypeName="FTPAttachment">
                                <SelectParameters>
                                    <asp:ControlParameter ControlID="edAccessKey" Name="strAccessKeyId" PropertyName="Text"
                                        Type="String" />
                                    <asp:ControlParameter ControlID="edSecretAccessKey" Name="strSecretAccessKey" PropertyName="Text"
                                        Type="String" />
                                    <asp:ControlParameter ControlID="edBucketName" Name="strBucketName" PropertyName="Text"
                                        Type="String" />
                                    <asp:ControlParameter ControlID="chkOrgId" Name="IsOrgId" PropertyName="Checked"
                                        Type="Boolean" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            <asp:ObjectDataSource ID="odAmazonBuckets" runat="server" SelectMethod="ListBuckets" TypeName="FTPAttachment">
                                <SelectParameters>
                                    <asp:ControlParameter ControlID="edAccessKey" Name="strAccessKeyId" PropertyName="Text"
                                        Type="String" />
                                    <asp:ControlParameter ControlID="edSecretAccessKey" Name="strSecretAccessKey" PropertyName="Text"
                                        Type="String" />
                                    <asp:ControlParameter ControlID="edBucketName" Name="strBucketName" PropertyName="Text"
                                        Type="String" />
                                    <asp:ControlParameter ControlID="chkOrgId" Name="IsOrgId" PropertyName="Checked"
                                        Type="Boolean" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                                        </div>
                                </div>
                            </div>
                                   
                                 </div>
                          
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
            </div>
        </div>
    </div>
    </div>
    
</asp:Content>

