<%@ Page Language="C#" AutoEventWireup="true" Inherits="OrderHistory" MasterPageFile="~/MasterPage.master" Codebehind="OrderHistory.aspx.cs" %>

<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="cc1" %>
<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server" >
<script language="javascript" type="text/javascript" >
function OnDelete(strOrderID)
{
	if( confirm('Are you sure, you want to delete the selected Order?') )
	{
		window.open('Purchase.aspx?OrderID=' + strOrderID + '&action=delete','_blank');
	}
}
</script>

	<asp:ScriptManager ID="ScriptManager" runat="server">
	</asp:ScriptManager>
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
<TABLE width="970px" border="0" cellpadding="0" cellspacing="0" ><TBODY><TR><TD class="Heading" vAlign=bottom align=center colSpan=3>Order History</TD></TR><TR><TD colSpan=3><BR />You can view all the orders placed for different applications hosted by Orektic. You can even search for specific order by using the search facility below. <BR /><BR /></TD></TR></TBODY></TABLE><asp:HiddenField id="hdnCustomerID" runat="server"></asp:HiddenField> <asp:ObjectDataSource id="Orders" runat="server" TypeName="enzigma.sforce.webapp.code.Business" SelectMethod="SearchOrder">
		<SelectParameters>
			<asp:ControlParameter ControlID="edSearch" Name="strKeyword" PropertyName="Text"
				Type="String" />
			<asp:ControlParameter ControlID="hdnCustomerID" Name="strCustomerID" PropertyName="Value"
				Type="String" />
			<asp:Parameter Name="maximumRows" Type="Int32" />
			<asp:Parameter Name="startRowIndex" Type="Int32" />
		</SelectParameters>
	</asp:ObjectDataSource> 
    <%--<table width="970px" border="0" cellpadding="0" cellspacing="0" >
    <tbody>
    <tr>
                                    <p><asp:Label ID="lbMsg" runat="server"></asp:Label></p>--%>

        <%--<TD>
            <asp:TextBox id="edSearch" runat="server"></asp:TextBox>
        </TD>
        <TD>
            <cc1:ImageButton id="btnSearch" runat="server" CausesValidation="False" Text="Search"></cc1:ImageButton> 
        </TD>--%>
      <%--  <td class="searchbox">
			<asp:TextBox ID="edSearch" runat="server" BorderColor="White" BorderStyle="None" Height="23px"></asp:TextBox>
		</td>
        <td>
            <input id="btnSearch" type="button" class="SearchButton" onclick="btnSearch_Click"/>
               
		</td>
        <td>
        <asp:UpdateProgress id="UpdateProgress1" runat="server">
				<ProgressTemplate>
					<img alt="" src="../App_Themes/Default/images/progressbar-small.gif" />
				</ProgressTemplate>
            
			</asp:UpdateProgress> 
        </td>

    </tr>
    </tbody>
    </table>--%>

        <table border="0" cellpadding="0" cellspacing="0" width="970px">
                <tbody>
                    <tr>
                        <td class="searchbox">
                            <asp:TextBox ID="edSearch" runat="server" BorderColor="White" BorderStyle="None" Height="23px"></asp:TextBox>
                        </td>
                        <td style="text-align: left; width: 40px;">
                            <%--<asp:Button ID="btnSearch" runat="server" class="SearchButton" OnClick="btnSearch_Click" />--%>
                            <asp:Button ID="btnSearch" runat="server" class="SearchButton" OnClick="btnSearch_Click" />
                            <%--<asp:ImageButton ID="btnSearch" runat="server" CausesValidation="False" CssClass="SearchButton" OnClick="btnSearch_Click"/>--%>
                        </td>
                        <td style="float: left;">
                            <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                                <ProgressTemplate>
                                    <img alt="" src="../App_Themes/Default/images/progressbar-small.gif" />
                                </ProgressTemplate>
                            </asp:UpdateProgress>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                     <td colspan="4">
                            <p><asp:Label ID="lbMsg" runat="server"></asp:Label></p>
                        </td>
                    </tr>
      
                </tbody>
            </table>

            <asp:GridView id="gridOrders" runat="server" DataSourceID="Orders" AutoGenerateColumns="False" AllowPaging="True">
                 <PagerSettings Position="Bottom" FirstPageText="First" Mode="NumericFirstLast" LastPageText="Last" />
                <Columns>
<asp:TemplateField HeaderText="Order Number" SortExpression="OrderNumber"><EditItemTemplate>
					<asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("OrderNumber") %>'></asp:TextBox>
				
</EditItemTemplate>
<ItemTemplate>
					<a href="ViewOrder.aspx?OrderID=<%#Eval("ID")%>" target="_blank" ><%# Eval("OrderNumber") %></a>
			
</ItemTemplate>

<ItemStyle Wrap="False"></ItemStyle>
</asp:TemplateField>
<%--<asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
<ItemStyle Wrap="False"></ItemStyle>
</asp:BoundField>--%>
<asp:BoundField DataField="StageName" HeaderText="Stage">
<ItemStyle Wrap="False"></ItemStyle>
</asp:BoundField>

<asp:BoundField DataField="IsApproved" HeaderText="IsApproved">
<ItemStyle Wrap="False"></ItemStyle>
</asp:BoundField>

<asp:BoundField DataField="OrderType__c" HeaderText="Order Type">
<%--<ItemStyle Wrap="False"></ItemStyle>
<HeaderStyle HorizontalAlign="Left" Width="200px" />--%>
</asp:BoundField>

<asp:BoundField DataField="OrgName" HeaderText="Company" SortExpression="OrgName">
<ItemStyle Wrap="False"></ItemStyle>
</asp:BoundField>

<asp:BoundField DataField="Product" HeaderText="Product" SortExpression="Product">
<ItemStyle Wrap="False"></ItemStyle>
</asp:BoundField>

<asp:BoundField DataField="LicensedUsers" HeaderText="Users">
<ItemStyle Wrap="False"></ItemStyle>
<HeaderStyle HorizontalAlign="Left" Width="200px" />
</asp:BoundField>

<asp:TemplateField HeaderText="StandAlone">
<EditItemTemplate>
<asp:TextBox ID="edIsStandalone" runat="server" Text='<%# Bind("IsStandAlone") %>'></asp:TextBox>
</EditItemTemplate>
<ItemTemplate>
<asp:Label ID="lbIsStandalone" runat="server" Text='<%# Bind("IsStandAlone") %>'></asp:Label>
</ItemTemplate>
<HeaderStyle Wrap="False"></HeaderStyle>
<ItemStyle Wrap="False"></ItemStyle>
</asp:TemplateField>

<asp:BoundField DataField="Months" HeaderText="Months">
<ItemStyle Wrap="False"></ItemStyle>
<HeaderStyle HorizontalAlign="Left" Width="200px" />
</asp:BoundField>

                
<asp:TemplateField HeaderText="Total Price" SortExpression="Total"><EditItemTemplate>
					<asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("Total") %>'></asp:TextBox>
				
</EditItemTemplate>
<ItemTemplate>
					<asp:Label ID="Label6" runat="server" Text='<%# enzigma.sforce.webapp.code.business.Ordering.FormatCurrency((decimal)Eval("Total"),(string)Eval("CurrencyCode")) %>'></asp:Label>
				
</ItemTemplate>

<ItemStyle Wrap="False"></ItemStyle>
</asp:TemplateField>

<asp:TemplateField HeaderText="Expires On" SortExpression="ExpiresOn"><EditItemTemplate>
					<asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("ExpiresOn") %>'></asp:TextBox>
				
</EditItemTemplate>
<ItemTemplate>
					<asp:Label ID="Label4" runat="server" Text='<%# Bind("ExpiresOn", "{0:d}") %>'></asp:Label>
				
</ItemTemplate>

<%--<HeaderStyle Wrap="False"></HeaderStyle>

<ItemStyle Wrap="False"></ItemStyle>--%>
</asp:TemplateField>

 <asp:TemplateField ShowHeader="False" HeaderText="Action">
                            <ItemTemplate>
                                <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandName="Delete" OnClientClick='<%# "OnDelete(" + Eval("ID") + ")" %>' Text="Delete"></asp:LinkButton>

                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="center" Width="200px" />
                        </asp:TemplateField>
</Columns>
</asp:GridView> 
</ContentTemplate>
	</asp:UpdatePanel>
	<br />
	&nbsp;
    </div></div></div>
</asp:Content>
