<%@ Page Language="C#" EnableEventValidation="false" AutoEventWireup="true" Inherits="Purchase"
	MasterPageFile="~/MasterPage.master" CodeBehind="Purchase.aspx.cs" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.controls.web" TagPrefix="cc2" %>
<%@ Register Assembly="enzigma.controls" Namespace="enzigma.web.controls" TagPrefix="enz" %>
<asp:Content ID="AttachPage" ContentPlaceHolderID="PageContent" runat="server">
    <div class="slds-p-around_xx-small">
    <div class="slds-card slds-m-bottom_xx-large slds-p-around_x-small ">
    <div class="slds-box">
	<input type="hidden" name="pay_to_email" value="<%=PaypalAccount%>" />

    <input type="hidden" name="cmd" value="_xclick" />
    <input type="hidden" name="charset" value="utf-8" />
    <input type="hidden" name="currency_code" value="USD" />

    <input type="hidden" name="amount" value="99999" />
    <input type="hidden" name="item_name" value="<%=CurrentSubscription.Name%>" />
    <input type="hidden" name="item_number" value="<%=CurrentSubscription.Code%>" />
    <input type="hidden" name="quantity" value="1" />
    
    <input type="hidden" name="add" value="1" />
    <input type="hidden" name="business" value="<%=PaypalAccount%>" />
    <input type="hidden" name="item_name" value="<%=CurrentSubscription.Name%>" />
    <input type="hidden" name="rm" value="2" />
    <input type="hidden" name="upload" value="1" />
    <input type="hidden" name="email" value="<%=CurrentCustomer.Email%>" />
    <input type="hidden" name="address1" value="<%=CurrentCustomer.Address%>" />
    <input type="hidden" name="address2" value="<%=CurrentCustomer.Address2%>" />
    <input type="hidden" name="first_name" value="<%=CurrentCustomer.Name%>" />
    <input type="hidden" name="last_name" value="" />
    <input type="hidden" name="night_phone_a" value="<%=CurrentCustomer.Phone%>" />
    <input type="hidden" name="night_phone_b" value="<%=CurrentCustomer.Phone2%>" />
    <input type="hidden" name="city" value="<%=CurrentCustomer.City%>" />
    <input type="hidden" name="zip" value="<%=CurrentCustomer.Zip%>" />
    <input type="hidden" name="country" value="<%=CurrentCustomer.Country%>" />
    <input type="hidden" name="state" value="<%=CurrentCustomer.State%>" />
    <input type="hidden" name="return" />
    <input type="hidden" name="cancel_return" />

	<script type="text/javascript">
		function MakePayment(iAmount, strReturnUrl, strCancelUrl) {
			var form = document.getElementById('<%=Form.ClientID%>');
			form.action = '<%=PaypalUrl%>';
			form.method = 'post';
			form.elements['amount'].value = iAmount;
			form.elements['return'].value = strReturnUrl;
			form.elements['cancel_return'].value = strCancelUrl;
			form.submit();
		}

		function OnDisablePurchase() {
			var btnPurcahse = document.getElementById('<%=btnPayment.ClientID%>');
			if (btnPurcahse)
				btnPurcahse.disabled = true;
		}
	</script>

	<asp:ScriptManager ID="scriptManager" runat="server">
	</asp:ScriptManager>
	<table>
		<tr>
			<td class="Heading">
				Buy Or Renew Subscription
			</td>
		</tr>
		<tr>
			<td>
				<p>You can pay for your subscription here, to convert your subscription under evaluation
				to paid subscription or renew your subscription. This page will take you through
				following process,</p>
				<ul>
					<li><p>Choose the number of Standard and Force.com licenses in your Salesforce Organization.</p></li>
					<li><p>Choose the type of the server, number of additional storage servers you want to support.</p></li>
					<li><p>Choose subscription period.</p></li>
					<li><p>Click on Submit button and you will be taken to www.paypal.com for the payment.</p></li>
					<li><p>On receipt of the payment we will process your order within 2 business days and notify you.</p></li>
					<li><p>At this time your subscriptions will reflect your purchase.</p></li>
					<li><p>In case you are using standalone server please follow the steps below.</p>
					<ul>
					<li><p>Login to your standalone server e.g. https://yourserver/sforce/</li></p>
					<li><p>Click on "Get Live Profile" button.</p></li>
					<li><p>Enter your Orektic account credentials and Submit it.</p></li>
					<li><p>Once the subscription is refreshed on your Standalone server it will reflect your purchase.</p></li>
					</ul>
					</li>
				<br /><br />
			</td>
		</tr>
		<tr>
			<td align="center">
				<asp:UpdatePanel ID="panelPurchase" runat="server">
					<ContentTemplate>
						<table style="width: 600px">
							<tbody>
								<tr id="rowError">
									<td style="width: 600px" colspan="3">
										<asp:Label ID="lbError" runat="server" SkinID="Error"></asp:Label>
									</td>
								</tr>
								<tr id="rowUsers" runat="server" visible="false">
									<td class="Label" nowrap align="right">
										<asp:Label ID="lbLicensedUsers" runat="server" SkinID="Label" Text="# of users in your Salesforce account?:"></asp:Label>
										<cc2:Help ID="help2" runat="server" HelpMessageID="Resources.Help.Licenses" />
									</td>
									<td>
									</td>
									<td style="white-space: nowrap" align="left">
										<table cellspacing="0" cellpadding="0" border="0" >
											<tbody>
												<tr>
													<td>
														<asp:DropDownList ID="cmbUsers" runat="server" OnSelectedIndexChanged="cmbUsers_SelectedIndexChanged"
															AutoPostBack="True">
														</asp:DropDownList>
														<asp:RequiredFieldValidator ID="reqLicensedUsers" runat="server" ControlToValidate="cmbUsers"
															ErrorMessage="*"></asp:RequiredFieldValidator>
													</td>
													<td style="white-space: nowrap" align="left">
													</td>
												</tr>
											</tbody>
										</table>
									</td>
								</tr>
								<tr id="rowStandalone" runat="server" visible="false" >
									<td class="Label" nowrap align="right">
										<asp:Label ID="Label1" runat="server" SkinID="Label" Text="Hosting type of your license?:"></asp:Label>
										<cc2:Help ID="helpHostingType" runat="server" HelpMessageID="Resources.Help.HostingType" />
									</td>
									<td>
									</td>
									<td align="left">
										<asp:CheckBox ID="chkStandAlone" runat="server" Text="Standalone?" OnCheckedChanged="chkStandAlone_CheckedChanged"
											Visible="true" AutoPostBack="True"></asp:CheckBox>
									</td>
								</tr>
								<tr id="rowServers" runat="server" visible="false">
									<td class="Label" nowrap align="right">
										Total Number of additional Servers you want to use:
										<cc2:Help ID="help1" runat="server" HelpMessageID="Resources.Help.AdditionalServers" />
									</td>
									<td>
									</td>
									<td style="white-space: nowrap" align="left">
										<asp:DropDownList ID="cmbServers" runat="server" OnSelectedIndexChanged="edServers_SelectedIndexChanged"
											AutoPostBack="true">
										</asp:DropDownList>
									</td>
								</tr>
								<tr  id="rowSubscription" runat="server" visible="false">
									<td class="Label" nowrap align="right">
										Choose your subscription period:
									</td>
									<td>
									</td>
									<td align="left">
										<asp:DropDownList ID="cmbPricing" runat="server" OnSelectedIndexChanged="cmbPricing_SelectedIndexChanged" AutoPostBack="true">
										</asp:DropDownList>
                                         
                                    <asp:RequiredFieldValidator ID="reqPricing" Display="Dynamic" runat="server" ControlToValidate="cmbPricing" ></asp:RequiredFieldValidator>                                      
									</td>
								</tr>
								<tr  align="left">
                                    <td></td>
                                    <td></td>
                                    <td><asp:Label ID="lbmsg" runat="server" SkinID="Error"></asp:Label> </td>
								</tr>
								<tr id="rowSubmit" runat="server" visible="false">
									<td class="Label" valign="top" align="right">
										<asp:UpdateProgress ID="UpdateProgress1" runat="server">
											<ProgressTemplate>
												<img src="../App_Themes/Default/images/progressbar-small.gif" />
											</ProgressTemplate>
										</asp:UpdateProgress>
									</td>
									<td>
									</td>
									<td valign="top" align="left">
										<enz:ImageButton ID="btnPayment" OnClick="btnPayment_Click" runat="server" SkinID="DefaultButton"
											Text="Submit" OnClientClick="window.setTimeout('OnDisablePurchase()',5);"></enz:ImageButton>
									</td>
								</tr>
							</tbody>
						</table>
					</ContentTemplate>
				</asp:UpdatePanel>
			</td>
		</tr>
	</table>
	<br />
	<strong>PS : </strong>If you wish to downgrade your subscription please contact
	our Sales representative at <a href="mailto:sales@orektic.com">sales@orektic.com</a>
	<asp:HiddenField ID="hdnID" runat="server" />
    </div></div></div>
</asp:Content>
